GNU bug report logs - #59882
30.0.50; Compilation of ELPA packages during version upgrade (Org 9.6 ELPA upgrade from older ELPA version)

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: Ihor Radchenko <yantar92@HIDDEN>; dated Wed, 7 Dec 2022 11:37:01 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.

Message received at 59882 <at> debbugs.gnu.org:


Received: (at 59882) by debbugs.gnu.org; 3 Feb 2023 12:16:16 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Feb 03 07:16:16 2023
Received: from localhost ([127.0.0.1]:36652 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1pNuzH-0001DK-Q8
	for submit <at> debbugs.gnu.org; Fri, 03 Feb 2023 07:16:16 -0500
Received: from eggs.gnu.org ([209.51.188.92]:39402)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1pNuzA-0001D1-51
 for 59882 <at> debbugs.gnu.org; Fri, 03 Feb 2023 07:16:15 -0500
Received: from fencepost.gnu.org ([2001:470:142:3::e])
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1pNuz4-0005NC-5w; Fri, 03 Feb 2023 07:16:02 -0500
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnu.org;
 s=fencepost-gnu-org; h=References:Subject:In-Reply-To:To:From:Date:
 mime-version; bh=DrRfLXdcREZQfVcOO0Pka3FeRParDkAOtggvMFX3Sic=; b=EWRTvu82MZWd
 ippBUe3WG/5bLHuQjqmBqt5YCqMqWDVofgBR/WrfXtgBL2hYOY3fhr2lE3pFuu0ABSXc72j+/F4J6
 +dD3hqe1CeIsbXBjLwgOYh32ualsEpZD0LltbxLWtZ1tT1lpvPbr/3DviIVALhDRf8uuXhj8Gluqo
 ihKFS1yP853tABGEL2Gr9soAAR2IWPs3W1cBO4fwQFfhYUtI4x/DeZiZVzqaWbRvjP/meXoNdl9pN
 Hy4fA+raUgWe1Q5skF2Ce6HzrFSbMpJINPpzk1Cs0tzNNjbKY15VvVOOvqSK4o1+sQtRn6ifNilD2
 ockI2qCCyUi6DDVTwqtmCw==;
Received: from [87.69.77.57] (helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1pNuyq-0002jA-Oc; Fri, 03 Feb 2023 07:16:01 -0500
Date: Fri, 03 Feb 2023 14:15:52 +0200
Message-Id: <83lelfuepz.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Ihor Radchenko <yantar92@HIDDEN>,
 Sean Whitton <spwhitton@HIDDEN>, rlb@HIDDEN
In-Reply-To: <87lelfnhaa.fsf@localhost> (message from Ihor Radchenko on Fri,
 03 Feb 2023 11:02:21 +0000)
Subject: Re: bug#59882: Multiple versions of Org in load-path problem
References: <SJ0PR03MB54550C18409A8F2DF921A77DA21B9@HIDDEN>
 <SJ0PR03MB54550C7727696BE317D0DD13A21D9@HIDDEN>
 <39a5810d-75bc-4ddb-8722-703f762ed4de@HIDDEN>
 <SJ0PR03MB5455B76B26B72A11E965BFE2A21D9@HIDDEN>
 <835yel11x8.fsf@HIDDEN> <87edt2qpoa.fsf@localhost>
 <83359innsp.fsf@HIDDEN> <87pmcmt8cc.fsf@localhost>
 <jwvfsdi6or0.fsf-monnier+emacs@HIDDEN>
 <3bf2e057-4204-cdc8-0847-39a723db4fc8@HIDDEN>
 <jwva63p715r.fsf-monnier+emacs@HIDDEN>
 <809ae318-fe95-1023-6bca-ba827fd01a29@HIDDEN>
 <87fsdfs8vl.fsf@localhost>
 <4b053e69-87d3-8323-8949-0546b4bb6c1a@HIDDEN>
 <87pmc7stiw.fsf@localhost>
 <96ecff22-8604-3794-671f-75184dcb7d31@HIDDEN>
 <87r0wmr1tk.fsf@localhost> <877cyeqvh4.fsf@localhost>
 <3f0ead96-4424-18a9-394f-680fc135d39c@HIDDEN>
 <87sfh12n6i.fsf@localhost>
 <11e5c88d-09d1-75a5-5c7c-f8ace552c2d3@HIDDEN> <87lelfnhaa.fsf@localhost>
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 59882
Cc: manikulin@HIDDEN, emacs-orgmode@HIDDEN, monnier@HIDDEN,
 59882 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: Ihor Radchenko <yantar92@HIDDEN>
> Cc: Stefan Monnier <monnier@HIDDEN>, emacs-orgmode@HIDDEN, Eli
>  Zaretskii <eliz@HIDDEN>, 59882 <at> debbugs.gnu.org
> Date: Fri, 03 Feb 2023 11:02:21 +0000
> 
> Considering the popularity of Debian-based distros, may someone take a
> closer look on what may be going on? Since the latest Emacs release also
> suffers from the problem, I am afraid that the issue will be present in
> the coming Emacs 29 as well (I recall no related fixes in recent Emacs).

I don't know enough about package.el's peculiarities, sorry.  And my
plate is too full ATM.  So I'm afraid someone else will have to
investigate this.  (I think Debian downstream maintainers are the
natural candidates, so I've taken the liberty of CC'ing them.)




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#59882; Package emacs. Full text available.

Message received at 59882 <at> debbugs.gnu.org:


Received: (at 59882) by debbugs.gnu.org; 3 Feb 2023 11:04:49 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Feb 03 06:04:49 2023
Received: from localhost ([127.0.0.1]:36575 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1pNts9-0007gy-2V
	for submit <at> debbugs.gnu.org; Fri, 03 Feb 2023 06:04:49 -0500
Received: from mout02.posteo.de ([185.67.36.66]:37631)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <yantar92@HIDDEN>) id 1pNtpV-0007dC-2H
 for 59882 <at> debbugs.gnu.org; Fri, 03 Feb 2023 06:04:48 -0500
Received: from submission (posteo.de [185.67.36.169]) 
 by mout02.posteo.de (Postfix) with ESMTPS id ECBB62403BC
 for <59882 <at> debbugs.gnu.org>; Fri,  3 Feb 2023 12:01:48 +0100 (CET)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=posteo.net; s=2017;
 t=1675422112; bh=+LoHpPlnZuStpBn8PhQz9dDqfMRqmzvGIxqv6DBNEe8=;
 h=From:To:Cc:Subject:Date:From;
 b=JkzRHEEvx8wO3T42hSpZ9haKB0XbQGP5fHyNbjP3a1sfwbWoUQl0a8KXglfbNcMlq
 gQ/Po64h44bvzUsLIyNzIQQi/PyGbGHpIBoalPdU1ME5u4mWF7E2L9OLw4ODU778qQ
 WugF/oAH2HNeyWy1khgqVeRCqjQOmYa1tjDxRCe12itBUnYlHiQCIroZqcmVsiM1Ij
 Yhrx6vxm8/v9kfoV5ac8Uc303laXn5fwfQWIFq3/V7jBGKC5WaFjqepk+nxHAp/yi0
 RKu9BDW2lJMTpOEvmz3cyavT9nK6GN40I5k/0ridIeO31npcbsvTQhoFtumX+1oD3D
 nFYLKriwujf/g==
Received: from customer (localhost [127.0.0.1])
 by submission (posteo.de) with ESMTPSA id 4P7Xls52S5z6tmQ;
 Fri,  3 Feb 2023 12:01:45 +0100 (CET)
From: Ihor Radchenko <yantar92@HIDDEN>
To: Max Nikulin <manikulin@HIDDEN>
Subject: Re: bug#59882: Multiple versions of Org in load-path problem
In-Reply-To: <11e5c88d-09d1-75a5-5c7c-f8ace552c2d3@HIDDEN>
References: <SJ0PR03MB54550C18409A8F2DF921A77DA21B9@HIDDEN>
 <SJ0PR03MB54550C7727696BE317D0DD13A21D9@HIDDEN>
 <39a5810d-75bc-4ddb-8722-703f762ed4de@HIDDEN>
 <SJ0PR03MB5455B76B26B72A11E965BFE2A21D9@HIDDEN>
 <835yel11x8.fsf@HIDDEN> <87edt2qpoa.fsf@localhost>
 <83359innsp.fsf@HIDDEN> <87pmcmt8cc.fsf@localhost>
 <jwvfsdi6or0.fsf-monnier+emacs@HIDDEN>
 <3bf2e057-4204-cdc8-0847-39a723db4fc8@HIDDEN>
 <jwva63p715r.fsf-monnier+emacs@HIDDEN>
 <809ae318-fe95-1023-6bca-ba827fd01a29@HIDDEN>
 <87fsdfs8vl.fsf@localhost>
 <4b053e69-87d3-8323-8949-0546b4bb6c1a@HIDDEN>
 <87pmc7stiw.fsf@localhost>
 <96ecff22-8604-3794-671f-75184dcb7d31@HIDDEN>
 <87r0wmr1tk.fsf@localhost> <877cyeqvh4.fsf@localhost>
 <3f0ead96-4424-18a9-394f-680fc135d39c@HIDDEN>
 <87sfh12n6i.fsf@localhost>
 <11e5c88d-09d1-75a5-5c7c-f8ace552c2d3@HIDDEN>
Date: Fri, 03 Feb 2023 11:02:21 +0000
Message-ID: <87lelfnhaa.fsf@localhost>
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 59882
Cc: Eli Zaretskii <eliz@HIDDEN>, emacs-orgmode@HIDDEN,
 Stefan Monnier <monnier@HIDDEN>, 59882 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Max Nikulin <manikulin@HIDDEN> writes:

> On 27/12/2022 16:47, Ihor Radchenko wrote:
>> Can you then try to test using Emacs 28?
>> The main question if whether this has been fixed in newer Emacs releases
>> or it is also something to do with OS environment.
>
> I see quite the same issue with Emacs-28.2 in Debian testing. Compile 
> buffer displays a bit more warnings and usual `org-assert-version' 
> warnings and errors are present as well. It might have another level of 
> complexity due to .eln files. I am unsure what happens with calls to 
> undefined macros.

I asked people around to test using Debian, and we do have a
confirmation that Debian + Emacs 27 and Debian + Emacs 28 do trigger the
error.

I also installed Debian 11.6.0 on virtual machine, and I was also able to
trigger the error, following the provided steps, using the Emacs 27
installed via apt-get.

The problem seems to be real and appears to be some combination of
Debian/Ubuntu + Emacs.

Considering the popularity of Debian-based distros, may someone take a
closer look on what may be going on? Since the latest Emacs release also
suffers from the problem, I am afraid that the issue will be present in
the coming Emacs 29 as well (I recall no related fixes in recent Emacs).

-- 
Ihor Radchenko // yantar92,
Org mode contributor,
Learn more about Org mode at <https://orgmode.org/>.
Support Org development at <https://liberapay.com/org-mode>,
or support my work at <https://liberapay.com/yantar92>




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#59882; Package emacs. Full text available.

Message received at 59882 <at> debbugs.gnu.org:


Received: (at 59882) by debbugs.gnu.org; 27 Dec 2022 09:56:42 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Dec 27 04:56:41 2022
Received: from localhost ([127.0.0.1]:54744 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1pA6hN-0005GF-Mn
	for submit <at> debbugs.gnu.org; Tue, 27 Dec 2022 04:56:41 -0500
Received: from mail-lf1-f41.google.com ([209.85.167.41]:46714)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <manikulin@HIDDEN>) id 1pA6hM-0005G1-3M
 for 59882 <at> debbugs.gnu.org; Tue, 27 Dec 2022 04:56:40 -0500
Received: by mail-lf1-f41.google.com with SMTP id bp15so18919894lfb.13
 for <59882 <at> debbugs.gnu.org>; Tue, 27 Dec 2022 01:56:40 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=content-transfer-encoding:in-reply-to:from:references:cc:to
 :content-language:subject:user-agent:mime-version:date:message-id
 :sender:from:to:cc:subject:date:message-id:reply-to;
 bh=KeTUl+U64F3NJWa0C5o5tU3Fq9i6V6jSx8GzKvOiavg=;
 b=KMUW6y4PkrpDXKuLJeVQO/FVWOYJONps+mtw95AIcqP0mfCDWMc1nFaSA5hdQVKm22
 xP6vidNYifs1WrNYlccTeyKBiZszy9FcbIpLImwPd9Vt7X8u6/KgzFBY6EilHyRsjIRg
 ct/gcfrheEhP8shcU2OJWriLPc6KWgxUPjz9447L4mUngcDnpRyBKrLLTHEZPJudA9F0
 smvGPGbZRebU5n0tWiSr+ydzsq0afblkozuKSkKGf7bZ3sCunoJjVUKXwQtTJAIfzrNL
 YSc+U+3iDk9EfZ1rN9z+M0DOHH+5z8A3vcI7H9a1vf2lYALqsGVi8nng+LfSJl5UMTwq
 CoSw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=content-transfer-encoding:in-reply-to:from:references:cc:to
 :content-language:subject:user-agent:mime-version:date:message-id
 :sender:x-gm-message-state:from:to:cc:subject:date:message-id
 :reply-to;
 bh=KeTUl+U64F3NJWa0C5o5tU3Fq9i6V6jSx8GzKvOiavg=;
 b=cHkdDwsOezEZGyaOHYTQ4OWfn+e70T+VWniv7jnYurp+uiZYk88RFfWWvRVRwMgzzo
 Gs1P8QTWvAb9lDPdTE/StW80Hy6VYPaYjeyVNXtLnPcYGVXMn3gCnSielloXvND9vsNS
 qdxONWHewh8QkgvAUcdsfL4k6GmPQxoEV3vSeLunDL0yNLGMXef0BPU3H/5y3BgqoLXW
 SCz9lcUg1oqrz9eZ1cb/yGkU0mxwmpagDU1dJHn7ep2qvuXl/Z3LjG66uTLGh4g+bYx3
 wNbsnsIuOvGOPj0AV/qumchHHkVNUmalet1AI06n1Q5SNw6+QmH1pDqSENAZpnb5xbVq
 OQKg==
X-Gm-Message-State: AFqh2krq8mCBfAhd1kgSVf/8u/ZC8tnTsgLzUTd4e6vSKjSM8Fqwx6wx
 yYaRhZauH+lc1Y3F8iS+U8A=
X-Google-Smtp-Source: AMrXdXvq6iDIBbC0Fg0+flwpXREGbjbwGD2mejnCFRpHiMbCtMErlJUA8XNbtMgIZ4zc5kfbTW/qfQ==
X-Received: by 2002:a05:6512:c1c:b0:4a4:68b9:60b0 with SMTP id
 z28-20020a0565120c1c00b004a468b960b0mr7266184lfu.59.1672134993850; 
 Tue, 27 Dec 2022 01:56:33 -0800 (PST)
Received: from [192.168.0.101] (nat-0-0.nsk.sibset.net. [5.44.169.188])
 by smtp.googlemail.com with ESMTPSA id
 h13-20020a05651211cd00b004a2511b8224sm2146406lfr.103.2022.12.27.01.56.32
 (version=TLS1_3 cipher=TLS_AES_128_GCM_SHA256 bits=128/128);
 Tue, 27 Dec 2022 01:56:33 -0800 (PST)
Message-ID: <11e5c88d-09d1-75a5-5c7c-f8ace552c2d3@HIDDEN>
Date: Tue, 27 Dec 2022 16:56:31 +0700
MIME-Version: 1.0
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:102.0) Gecko/20100101
 Thunderbird/102.4.2
Subject: Re: bug#59882: Multiple versions of Org in load-path problem
Content-Language: en-US
To: Ihor Radchenko <yantar92@HIDDEN>
References: <SJ0PR03MB54550C18409A8F2DF921A77DA21B9@HIDDEN>
 <SJ0PR03MB54559D5E6849C26AAF6CA044A21D9@HIDDEN>
 <87k032nyok.fsf@localhost>
 <SJ0PR03MB54550C7727696BE317D0DD13A21D9@HIDDEN>
 <39a5810d-75bc-4ddb-8722-703f762ed4de@HIDDEN>
 <SJ0PR03MB5455B76B26B72A11E965BFE2A21D9@HIDDEN>
 <835yel11x8.fsf@HIDDEN> <87edt2qpoa.fsf@localhost> <83359innsp.fsf@HIDDEN>
 <87pmcmt8cc.fsf@localhost> <jwvfsdi6or0.fsf-monnier+emacs@HIDDEN>
 <3bf2e057-4204-cdc8-0847-39a723db4fc8@HIDDEN>
 <jwva63p715r.fsf-monnier+emacs@HIDDEN>
 <809ae318-fe95-1023-6bca-ba827fd01a29@HIDDEN> <87fsdfs8vl.fsf@localhost>
 <4b053e69-87d3-8323-8949-0546b4bb6c1a@HIDDEN> <87pmc7stiw.fsf@localhost>
 <96ecff22-8604-3794-671f-75184dcb7d31@HIDDEN> <87r0wmr1tk.fsf@localhost>
 <877cyeqvh4.fsf@localhost> <3f0ead96-4424-18a9-394f-680fc135d39c@HIDDEN>
 <87sfh12n6i.fsf@localhost>
From: Max Nikulin <manikulin@HIDDEN>
In-Reply-To: <87sfh12n6i.fsf@localhost>
Content-Type: text/plain; charset=UTF-8; format=flowed
Content-Transfer-Encoding: 7bit
X-Spam-Score: -1.1 (-)
X-Debbugs-Envelope-To: 59882
Cc: Eli Zaretskii <eliz@HIDDEN>, emacs-orgmode@HIDDEN,
 Stefan Monnier <monnier@HIDDEN>, 59882 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.1 (--)

On 27/12/2022 16:47, Ihor Radchenko wrote:
> Can you then try to test using Emacs 28?
> The main question if whether this has been fixed in newer Emacs releases
> or it is also something to do with OS environment.

I see quite the same issue with Emacs-28.2 in Debian testing. Compile 
buffer displays a bit more warnings and usual `org-assert-version' 
warnings and errors are present as well. It might have another level of 
complexity due to .eln files. I am unsure what happens with calls to 
undefined macros.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#59882; Package emacs. Full text available.

Message received at 59882 <at> debbugs.gnu.org:


Received: (at 59882) by debbugs.gnu.org; 27 Dec 2022 09:47:34 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Dec 27 04:47:34 2022
Received: from localhost ([127.0.0.1]:54735 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1pA6YY-0004yP-1Q
	for submit <at> debbugs.gnu.org; Tue, 27 Dec 2022 04:47:34 -0500
Received: from mout01.posteo.de ([185.67.36.65]:39945)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <yantar92@HIDDEN>) id 1pA6YW-0004y7-4e
 for 59882 <at> debbugs.gnu.org; Tue, 27 Dec 2022 04:47:32 -0500
Received: from submission (posteo.de [185.67.36.169]) 
 by mout01.posteo.de (Postfix) with ESMTPS id 60F202400CE
 for <59882 <at> debbugs.gnu.org>; Tue, 27 Dec 2022 10:47:25 +0100 (CET)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=posteo.net; s=2017;
 t=1672134446; bh=3FgRTRPzZORjiE0JZ9CA+acltlfs77Wfprr5NZ83jHk=;
 h=From:To:Cc:Subject:Date:From;
 b=H1VjQwuPcbCIG2cZvO34Xjv7nGjPvkHTdl2JU0FXLj2U7mICEOtjdc1S0PnOPnKsK
 4xzovQLOpsF8AxZvgEEYecJmmKnsKH4u/sSBqEmdcLzW7GhKAKP8fjAW1tognd5lIt
 gdX55fS+7sfxBFXy/nGhxo1JMtOom8/nX7mwgO1BfoB+M3kwmKfjsa/IU95LUc4DHa
 erCSnoWdolaFy/VATpXyNRlxsuVF5o+mkGPiMLeSWogQwZj2/gQiE0mNgKbFOXNbbr
 qLtfWphGR+GUJ0flRSE+N6wjpfs+hAgxzdn3hgac6xFMX8uJugiAO6jgjcyV+CRRGK
 MhGQjouZ58+yg==
Received: from customer (localhost [127.0.0.1])
 by submission (posteo.de) with ESMTPSA id 4Nh8vc0fZhz9rxD;
 Tue, 27 Dec 2022 10:47:24 +0100 (CET)
From: Ihor Radchenko <yantar92@HIDDEN>
To: Max Nikulin <manikulin@HIDDEN>
Subject: Re: bug#59882: Multiple versions of Org in load-path problem
In-Reply-To: <3f0ead96-4424-18a9-394f-680fc135d39c@HIDDEN>
References: <SJ0PR03MB54550C18409A8F2DF921A77DA21B9@HIDDEN>
 <SJ0PR03MB54559D5E6849C26AAF6CA044A21D9@HIDDEN>
 <87k032nyok.fsf@localhost>
 <SJ0PR03MB54550C7727696BE317D0DD13A21D9@HIDDEN>
 <39a5810d-75bc-4ddb-8722-703f762ed4de@HIDDEN>
 <SJ0PR03MB5455B76B26B72A11E965BFE2A21D9@HIDDEN>
 <835yel11x8.fsf@HIDDEN> <87edt2qpoa.fsf@localhost>
 <83359innsp.fsf@HIDDEN> <87pmcmt8cc.fsf@localhost>
 <jwvfsdi6or0.fsf-monnier+emacs@HIDDEN>
 <3bf2e057-4204-cdc8-0847-39a723db4fc8@HIDDEN>
 <jwva63p715r.fsf-monnier+emacs@HIDDEN>
 <809ae318-fe95-1023-6bca-ba827fd01a29@HIDDEN>
 <87fsdfs8vl.fsf@localhost>
 <4b053e69-87d3-8323-8949-0546b4bb6c1a@HIDDEN>
 <87pmc7stiw.fsf@localhost>
 <96ecff22-8604-3794-671f-75184dcb7d31@HIDDEN>
 <87r0wmr1tk.fsf@localhost> <877cyeqvh4.fsf@localhost>
 <3f0ead96-4424-18a9-394f-680fc135d39c@HIDDEN>
Date: Tue, 27 Dec 2022 09:47:17 +0000
Message-ID: <87sfh12n6i.fsf@localhost>
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 59882
Cc: Eli Zaretskii <eliz@HIDDEN>, emacs-orgmode@HIDDEN,
 Stefan Monnier <monnier@HIDDEN>, 59882 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Max Nikulin <manikulin@HIDDEN> writes:

> I found just single commit to lisp/emacs-lisp/package.el between 
> emacs-27.1 and emacs-27.2:
>
> 1fc9de4b81c 2020-10-30 19:20:24 -0700 Glenn Morris: Improve 
> reproducibility of generated -pkg.el files
>
> So I am still surprised that you can not reproduce the issue.

Can you then try to test using Emacs 28?
The main question if whether this has been fixed in newer Emacs releases
or it is also something to do with OS environment.

-- 
Ihor Radchenko // yantar92,
Org mode contributor,
Learn more about Org mode at <https://orgmode.org/>.
Support Org development at <https://liberapay.com/org-mode>,
or support my work at <https://liberapay.com/yantar92>




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#59882; Package emacs. Full text available.

Message received at 59882 <at> debbugs.gnu.org:


Received: (at 59882) by debbugs.gnu.org; 26 Dec 2022 12:26:02 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Dec 26 07:26:02 2022
Received: from localhost ([127.0.0.1]:50901 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1p9mYM-0006qU-65
	for submit <at> debbugs.gnu.org; Mon, 26 Dec 2022 07:26:02 -0500
Received: from mail-lj1-f171.google.com ([209.85.208.171]:42719)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <manikulin@HIDDEN>) id 1p9mYI-0006q1-LO
 for 59882 <at> debbugs.gnu.org; Mon, 26 Dec 2022 07:26:00 -0500
Received: by mail-lj1-f171.google.com with SMTP id v23so990049ljj.9
 for <59882 <at> debbugs.gnu.org>; Mon, 26 Dec 2022 04:25:58 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=content-transfer-encoding:in-reply-to:from:references:cc:to
 :content-language:subject:user-agent:mime-version:date:message-id
 :sender:from:to:cc:subject:date:message-id:reply-to;
 bh=rcySI7FpeAuI2+Kv3oNvyJibMr37rOz1UCCTULFlLHU=;
 b=K9SVAhdl9D49Y2P5tPrhiYLehzyFRPFYlxYdoXHNRng4oKUrwhBOim1CntU9hNLaVN
 Wr1Q65tt8/Q+S6VxLbela0rW3NOifKQQCowLN//DK9EFhvRP1//TykzyYvPjWzZgu35i
 OhPoJ5d2Y8tZrwkloBudryq5Afju8bb5GNidFiylXQ6OlOpETpKvAsqMVby+mx6YfBxb
 vlJXJ8BgGRuk9tFQze7PAhQ4ezYOyCJflTFzQS/v0OyjWxGtMRm8Apa3A53FpBGx+WKD
 9/U4BxEzj+seFWIP9Per/fuPeeVwvGDNYkgLm9KOmnImZbWsHL8X38FZkPw77Ky1XdRJ
 GBCg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=content-transfer-encoding:in-reply-to:from:references:cc:to
 :content-language:subject:user-agent:mime-version:date:message-id
 :sender:x-gm-message-state:from:to:cc:subject:date:message-id
 :reply-to;
 bh=rcySI7FpeAuI2+Kv3oNvyJibMr37rOz1UCCTULFlLHU=;
 b=VZ+Vc0RhSGKh7/vSAT36mDIPOSyk+EnL8zoMRRDpjEYC8EU4rV3ZugoK4yw3ZtEIoG
 54DO3CdJt132VAIctkhu7OXkN0eJvSjVJjxco87+5T6Lh3XLtOHy3LcPopjEL8HBD5h8
 qBdBNZjvKZz1LU58lDq9Ny6sqPOxqxSNTkoCPhmaguKiLntEBA2M9P6NycAWOOQOUq8E
 T5FXcXeHyk/jL7XSNvzSINKMnWzrV/rGxFbXeWJCZhae4iCpGKXBwOA/44dhJjsAzyQd
 JswADyOPSQTPrqqowG8tulKLnvVXzRb0iogqo4PWzFtjmxuKT8L1dCSsMVX/XgyFJf1x
 wjYQ==
X-Gm-Message-State: AFqh2kq2nrCCuBT68U3E4aRbiybeMb8ZY1A2AlWH4h1KLghUgTP02235
 8oWGAQbIGx1XzVJlndRppRo=
X-Google-Smtp-Source: AMrXdXsTFg5cnv8z95RWvO3XyrX6tdgbaAAwiImTcXwZPMW+jc8zyaHB8eVuPPkvjLx1/HsKB7kEkw==
X-Received: by 2002:a05:651c:c9b:b0:277:492b:9551 with SMTP id
 bz27-20020a05651c0c9b00b00277492b9551mr6488245ljb.0.1672057552435; 
 Mon, 26 Dec 2022 04:25:52 -0800 (PST)
Received: from [192.168.0.101] (nat-0-0.nsk.sibset.net. [5.44.169.188])
 by smtp.googlemail.com with ESMTPSA id
 m15-20020a2eb6cf000000b0027fc54f8bf0sm81747ljo.35.2022.12.26.04.25.51
 (version=TLS1_3 cipher=TLS_AES_128_GCM_SHA256 bits=128/128);
 Mon, 26 Dec 2022 04:25:51 -0800 (PST)
Message-ID: <3f0ead96-4424-18a9-394f-680fc135d39c@HIDDEN>
Date: Mon, 26 Dec 2022 19:25:49 +0700
MIME-Version: 1.0
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:102.0) Gecko/20100101
 Thunderbird/102.4.2
Subject: Re: bug#59882: Multiple versions of Org in load-path problem
Content-Language: en-US
To: Ihor Radchenko <yantar92@HIDDEN>
References: <SJ0PR03MB54550C18409A8F2DF921A77DA21B9@HIDDEN>
 <SJ0PR03MB5455E1FA2C2887B0200CA8B6A21D9@HIDDEN>
 <SJ0PR03MB54559D5E6849C26AAF6CA044A21D9@HIDDEN>
 <87k032nyok.fsf@localhost>
 <SJ0PR03MB54550C7727696BE317D0DD13A21D9@HIDDEN>
 <39a5810d-75bc-4ddb-8722-703f762ed4de@HIDDEN>
 <SJ0PR03MB5455B76B26B72A11E965BFE2A21D9@HIDDEN>
 <835yel11x8.fsf@HIDDEN> <87edt2qpoa.fsf@localhost> <83359innsp.fsf@HIDDEN>
 <87pmcmt8cc.fsf@localhost> <jwvfsdi6or0.fsf-monnier+emacs@HIDDEN>
 <3bf2e057-4204-cdc8-0847-39a723db4fc8@HIDDEN>
 <jwva63p715r.fsf-monnier+emacs@HIDDEN>
 <809ae318-fe95-1023-6bca-ba827fd01a29@HIDDEN> <87fsdfs8vl.fsf@localhost>
 <4b053e69-87d3-8323-8949-0546b4bb6c1a@HIDDEN> <87pmc7stiw.fsf@localhost>
 <96ecff22-8604-3794-671f-75184dcb7d31@HIDDEN> <87r0wmr1tk.fsf@localhost>
 <877cyeqvh4.fsf@localhost>
From: Max Nikulin <manikulin@HIDDEN>
In-Reply-To: <877cyeqvh4.fsf@localhost>
Content-Type: text/plain; charset=UTF-8; format=flowed
Content-Transfer-Encoding: 7bit
X-Spam-Score: -1.1 (-)
X-Debbugs-Envelope-To: 59882
Cc: Eli Zaretskii <eliz@HIDDEN>, emacs-orgmode@HIDDEN,
 Stefan Monnier <monnier@HIDDEN>, 59882 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.1 (--)

On 26/12/2022 18:01, Ihor Radchenko wrote:
> Ihor Radchenko writes:
>> 1. ~/Git/with-emacs.sh/with-emacs.sh -e emacs-27 -O -- -l org
> I was finally able to reproduce using emacs-26.
> 
> Maybe your Emacs 27 is older than mine? I have GNU Emacs 27.2

Debian stable and Ubuntu LTS have Emacs-27.1 only, so I am testing 
1:27.1+1-3ubuntu5

Following the with-emacs.sh script I have tried

mkdir /tmp/emcs
emacs --quick --eval '(setq user-emacs-directory "/tmp/emcs/")' --eval 
'(setq user-init-file "/tmp/emcs/init.el")' -l package --eval '(setq 
package-user-dir "/tmp/emcs/elpa/")' --eval '(package-initialize)' 
--eval '(package-refresh-contents)' -l org

I had no problem to select Org-9.6 from the buffer generated by 
`list-packages'. Compilation errors and the error during next startup 
are the same as I reported before.

I found just single commit to lisp/emacs-lisp/package.el between 
emacs-27.1 and emacs-27.2:

1fc9de4b81c 2020-10-30 19:20:24 -0700 Glenn Morris: Improve 
reproducibility of generated -pkg.el files

So I am still surprised that you can not reproduce the issue.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#59882; Package emacs. Full text available.

Message received at 59882 <at> debbugs.gnu.org:


Received: (at 59882) by debbugs.gnu.org; 26 Dec 2022 11:02:16 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Dec 26 06:02:16 2022
Received: from localhost ([127.0.0.1]:50827 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1p9lFH-00028L-Rg
	for submit <at> debbugs.gnu.org; Mon, 26 Dec 2022 06:02:16 -0500
Received: from mout02.posteo.de ([185.67.36.66]:57611)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <yantar92@HIDDEN>) id 1p9lFF-000288-Qw
 for 59882 <at> debbugs.gnu.org; Mon, 26 Dec 2022 06:02:14 -0500
Received: from submission (posteo.de [185.67.36.169]) 
 by mout02.posteo.de (Postfix) with ESMTPS id CBE0B2401AD
 for <59882 <at> debbugs.gnu.org>; Mon, 26 Dec 2022 12:02:05 +0100 (CET)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=posteo.net; s=2017;
 t=1672052527; bh=oR+pSsBJfC3aSh4mrKtMXVvyHQtoFP68BXjhc+wI5Gw=;
 h=From:To:Cc:Subject:Date:From;
 b=NDfVBwHuexi6X3U4WAb6a3csePd/dqsak7dCbN38dYD+Q+QAyJkUZP4qJEUgPa4LN
 msGDAz9ZPXr1n6bB7zJbqqI/G0dU9VByB1g65/BYttNGOJLzn/n3mwyRBfWTr9Z3pP
 eTC0u5JWixa+h/H6fq+h3xk0VxxSMcVoCNCfdiD9TLnnQbvzb0ieXpChYSYn6HzkFM
 f/Kev09TDOsQhzUig9GeYixLsxNMA2D6k46AeLjuMnw0S6cJJUTJO3FIZ5CVf7F2Tp
 QldUfstx0GTX50NDSjlxXZGEheXZuY9ZMrTvHEO/k5m39sCIAOL8AgAT0J6b6kEDkR
 Lk91+4KoBBZyQ==
Received: from customer (localhost [127.0.0.1])
 by submission (posteo.de) with ESMTPSA id 4NgZcD3S4Tz6tnl;
 Mon, 26 Dec 2022 12:02:04 +0100 (CET)
From: Ihor Radchenko <yantar92@HIDDEN>
To: Max Nikulin <manikulin@HIDDEN>
Subject: Re: bug#59882: Multiple versions of Org in load-path problem
In-Reply-To: <87r0wmr1tk.fsf@localhost>
References: <SJ0PR03MB54550C18409A8F2DF921A77DA21B9@HIDDEN>
 <87tu27jq7h.fsf@localhost>
 <SJ0PR03MB5455E1FA2C2887B0200CA8B6A21D9@HIDDEN>
 <SJ0PR03MB54559D5E6849C26AAF6CA044A21D9@HIDDEN>
 <87k032nyok.fsf@localhost>
 <SJ0PR03MB54550C7727696BE317D0DD13A21D9@HIDDEN>
 <39a5810d-75bc-4ddb-8722-703f762ed4de@HIDDEN>
 <SJ0PR03MB5455B76B26B72A11E965BFE2A21D9@HIDDEN>
 <835yel11x8.fsf@HIDDEN> <87edt2qpoa.fsf@localhost>
 <83359innsp.fsf@HIDDEN> <87pmcmt8cc.fsf@localhost>
 <jwvfsdi6or0.fsf-monnier+emacs@HIDDEN>
 <3bf2e057-4204-cdc8-0847-39a723db4fc8@HIDDEN>
 <jwva63p715r.fsf-monnier+emacs@HIDDEN>
 <809ae318-fe95-1023-6bca-ba827fd01a29@HIDDEN>
 <87fsdfs8vl.fsf@localhost>
 <4b053e69-87d3-8323-8949-0546b4bb6c1a@HIDDEN>
 <87pmc7stiw.fsf@localhost>
 <96ecff22-8604-3794-671f-75184dcb7d31@HIDDEN>
 <87r0wmr1tk.fsf@localhost>
Date: Mon, 26 Dec 2022 11:01:59 +0000
Message-ID: <877cyeqvh4.fsf@localhost>
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 59882
Cc: Eli Zaretskii <eliz@HIDDEN>, emacs-orgmode@HIDDEN,
 Stefan Monnier <monnier@HIDDEN>, 59882 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Ihor Radchenko <yantar92@HIDDEN> writes:

> 1. ~/Git/with-emacs.sh/with-emacs.sh -e emacs-27 -O -- -l org

I was finally able to reproduce using emacs-26.

Maybe your Emacs 27 is older than mine? I have GNU Emacs 27.2

I also tried with Emacs 28. Not able to reproduce.

-- 
Ihor Radchenko // yantar92,
Org mode contributor,
Learn more about Org mode at <https://orgmode.org/>.
Support Org development at <https://liberapay.com/org-mode>,
or support my work at <https://liberapay.com/yantar92>




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#59882; Package emacs. Full text available.

Message received at 59882 <at> debbugs.gnu.org:


Received: (at 59882) by debbugs.gnu.org; 26 Dec 2022 08:45:11 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Dec 26 03:45:11 2022
Received: from localhost ([127.0.0.1]:50731 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1p9j6c-0006vq-Qp
	for submit <at> debbugs.gnu.org; Mon, 26 Dec 2022 03:45:11 -0500
Received: from mout02.posteo.de ([185.67.36.66]:46763)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <yantar92@HIDDEN>) id 1p9j6b-0006vd-KD
 for 59882 <at> debbugs.gnu.org; Mon, 26 Dec 2022 03:45:10 -0500
Received: from submission (posteo.de [185.67.36.169]) 
 by mout02.posteo.de (Postfix) with ESMTPS id 1E07A2401CD
 for <59882 <at> debbugs.gnu.org>; Mon, 26 Dec 2022 09:45:03 +0100 (CET)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=posteo.net; s=2017;
 t=1672044304; bh=x3MTZw/wuPxFLlEldXH1N4sWbUKD+tYL0ejmXFmfN/c=;
 h=From:To:Cc:Subject:Date:From;
 b=FajJgpmy/jAVIk9Frl8DU+2x9/3cIzXd8swigPF+gvH1ooSx6z4S73o8crE6sZSoU
 4M+7Ulel08Rff963nElW+hTFYnEf6VI/TlNB9eRwMAFWk2cVEVb873924WtzTuSXmi
 mU8Bhz77/JxtxHGmpFe9GKMTZCj04x8qUsHBQx6G/gVQL/XLvgCPR2ZLk2WXMf/Ke7
 M1eDSXMlDdAcCXpl3s54lrMiVUY7Uq1TVuNPF1fYu56nt7LlCvRtIgzUMhCvFDJM4c
 dfccTCzbx97GOre8ovK8DACjDi6u1L9wUNfbq7n3wqSZ7YnZ5UhCIELzgm8iqUHRTu
 QdmpFhqNOM0KA==
Received: from customer (localhost [127.0.0.1])
 by submission (posteo.de) with ESMTPSA id 4NgWZ53cddz6tmK;
 Mon, 26 Dec 2022 09:45:01 +0100 (CET)
From: Ihor Radchenko <yantar92@HIDDEN>
To: Max Nikulin <manikulin@HIDDEN>
Subject: Re: bug#59882: Multiple versions of Org in load-path problem
In-Reply-To: <96ecff22-8604-3794-671f-75184dcb7d31@HIDDEN>
References: <SJ0PR03MB54550C18409A8F2DF921A77DA21B9@HIDDEN>
 <87tu27jq7h.fsf@localhost>
 <SJ0PR03MB5455E1FA2C2887B0200CA8B6A21D9@HIDDEN>
 <SJ0PR03MB54559D5E6849C26AAF6CA044A21D9@HIDDEN>
 <87k032nyok.fsf@localhost>
 <SJ0PR03MB54550C7727696BE317D0DD13A21D9@HIDDEN>
 <39a5810d-75bc-4ddb-8722-703f762ed4de@HIDDEN>
 <SJ0PR03MB5455B76B26B72A11E965BFE2A21D9@HIDDEN>
 <835yel11x8.fsf@HIDDEN> <87edt2qpoa.fsf@localhost>
 <83359innsp.fsf@HIDDEN> <87pmcmt8cc.fsf@localhost>
 <jwvfsdi6or0.fsf-monnier+emacs@HIDDEN>
 <3bf2e057-4204-cdc8-0847-39a723db4fc8@HIDDEN>
 <jwva63p715r.fsf-monnier+emacs@HIDDEN>
 <809ae318-fe95-1023-6bca-ba827fd01a29@HIDDEN>
 <87fsdfs8vl.fsf@localhost>
 <4b053e69-87d3-8323-8949-0546b4bb6c1a@HIDDEN>
 <87pmc7stiw.fsf@localhost>
 <96ecff22-8604-3794-671f-75184dcb7d31@HIDDEN>
Date: Mon, 26 Dec 2022 08:44:55 +0000
Message-ID: <87r0wmr1tk.fsf@localhost>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 59882
Cc: Eli Zaretskii <eliz@HIDDEN>, emacs-orgmode@HIDDEN,
 Stefan Monnier <monnier@HIDDEN>, 59882 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Max Nikulin <manikulin@HIDDEN> writes:

>> I tried to follow these steps, but unfortunately I am unable to
>> reproduce. Everything works fine using Emacs 27 on my side. Strange.
>
> I tried it once more in a minimal LXC container with Ubuntu-22.04 LTS=20
> jammy. This time I even removed the elpa-org-9.5.2 system package, so=20
> built-in version of org is really used. So, emacs-27
>
> - emacs -l org
> - M-x list-packages RET
> - / n org RET
> - move cursor to org, install it

On my side, it will give nothing useful: the package list is not updated
and I get:

Package org is built-in.

     Status: Built-In.
    Version: 9.4.4
    Summary: Export Framework for Org Mode

Detailed steps I tried (with package refresh) using with-emacs.sh [1]:

1. ~/Git/with-emacs.sh/with-emacs.sh -e emacs-27 -O -- -l org
2. M-x package-list-packages RET
3. C-s outline-based RET
4. RET
5. C-x o C-s instal RET
6. RET y
7. The warnings buffer appears, but only contains
   Warning (defvaralias): Overwriting value of =E2=80=98org-tab-first-hook=
=E2=80=99 by aliasing to =E2=80=98org-cycle-tab-first-hook=E2=80=99

[1] https://github.com/alphapapa/with-emacs.sh

--=20
Ihor Radchenko // yantar92,
Org mode contributor,
Learn more about Org mode at <https://orgmode.org/>.
Support Org development at <https://liberapay.com/org-mode>,
or support my work at <https://liberapay.com/yantar92>




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#59882; Package emacs. Full text available.

Message received at 59882 <at> debbugs.gnu.org:


Received: (at 59882) by debbugs.gnu.org; 25 Dec 2022 11:46:48 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Dec 25 06:46:48 2022
Received: from localhost ([127.0.0.1]:47646 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1p9PSp-0001YT-L1
	for submit <at> debbugs.gnu.org; Sun, 25 Dec 2022 06:46:48 -0500
Received: from mail-lf1-f41.google.com ([209.85.167.41]:35328)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <manikulin@HIDDEN>) id 1p9PSn-0001YD-JG
 for 59882 <at> debbugs.gnu.org; Sun, 25 Dec 2022 06:46:46 -0500
Received: by mail-lf1-f41.google.com with SMTP id b3so12881676lfv.2
 for <59882 <at> debbugs.gnu.org>; Sun, 25 Dec 2022 03:46:45 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=content-transfer-encoding:in-reply-to:from:references:cc:to
 :content-language:subject:user-agent:mime-version:date:message-id
 :sender:from:to:cc:subject:date:message-id:reply-to;
 bh=ihzS7x9v/v2m6dWuJbfAAWuDaNMlDQ5J3z5tmX9uIck=;
 b=F/jevi5v+jnOUTFhQfqPqOtYVoeUUCfiavsEkQpyECbFv1kmKeUTMUOMaUzGZHKd0a
 OTE4DyumqaZhGdvmUNtybN1IN/lDBH3lIaUX+QI3S3VZPL7ekgbc4aK943BnG6p3INfL
 CnSlAyuU3puQI4p17oMzASwFxGGVgH3/5JYiFWnknSZbcmoTVnmoNYlXGOy6pB+4YbZ4
 3WijDWDexIZyQIviI0sTD975HCxOObx4WUo4lK8BlIN41As0QJuzH1uotms3c3H6KmPj
 OXdgHtOmT/z2PEzuwSIxsdLm1/MqEXLKQNU6V3ktpdUb3ZnWzqdwEtfORS9toCr6X4SP
 3Fig==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=content-transfer-encoding:in-reply-to:from:references:cc:to
 :content-language:subject:user-agent:mime-version:date:message-id
 :sender:x-gm-message-state:from:to:cc:subject:date:message-id
 :reply-to;
 bh=ihzS7x9v/v2m6dWuJbfAAWuDaNMlDQ5J3z5tmX9uIck=;
 b=jeec3loanFAN+H8+XXIj0Tl1eQ4X8QTV7V5DcienE+jx2ZFIEkfLEqNVcjxlQWPCqh
 akfXO7xt6P3e30/mHmIztmYVkWF64w8GjhXyz+SPlSv0R77EiEt7W+elwi6PsMfJnSQO
 plDRc2XxiQXqSXsq6pK05/R0XuGy8oRuNX5D8/5v+hPH0VldKZNWQNnGUqDUPd2E4Dvq
 E1w0Pw5EQbmkFnWp/o8USwW7mk8AipYjYN8DcBHj71fTn6t5BYdsXFrxTJrZ+fD3+QQV
 ratNAdURccBVu83PukuWH030DmeiqE/ukpJpKnV3ghgyE6LkCZwSJjQQ+BKueFnS1j7y
 vZrw==
X-Gm-Message-State: AFqh2ko6GmcIhEtmRsNiKFZtSWYER/3NY8CWLFgTljTjcrT6Lm39y5WV
 k4ha/Qyoq162I1r+2UKsOwo=
X-Google-Smtp-Source: AMrXdXv9y86GEFs2juVJxp1UajekPW8Dl7y0ZyRNF7aFHVW1JocbzZ/TpIM2fpWmBlb6rfTGliZ11w==
X-Received: by 2002:a05:6512:3e10:b0:4a4:68b8:f4f0 with SMTP id
 i16-20020a0565123e1000b004a468b8f4f0mr4742378lfv.54.1671968799362; 
 Sun, 25 Dec 2022 03:46:39 -0800 (PST)
Received: from [192.168.0.101] (nat-0-0.nsk.sibset.net. [5.44.169.188])
 by smtp.googlemail.com with ESMTPSA id
 z29-20020a19505d000000b004ab52b0bcf9sm1342856lfj.207.2022.12.25.03.46.37
 (version=TLS1_3 cipher=TLS_AES_128_GCM_SHA256 bits=128/128);
 Sun, 25 Dec 2022 03:46:38 -0800 (PST)
Message-ID: <96ecff22-8604-3794-671f-75184dcb7d31@HIDDEN>
Date: Sun, 25 Dec 2022 18:46:37 +0700
MIME-Version: 1.0
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:102.0) Gecko/20100101
 Thunderbird/102.4.2
Subject: Re: bug#59882: Multiple versions of Org in load-path problem
Content-Language: en-US
To: Ihor Radchenko <yantar92@HIDDEN>
References: <SJ0PR03MB54550C18409A8F2DF921A77DA21B9@HIDDEN>
 <87tu27jq7h.fsf@localhost>
 <SJ0PR03MB5455E1FA2C2887B0200CA8B6A21D9@HIDDEN>
 <SJ0PR03MB54559D5E6849C26AAF6CA044A21D9@HIDDEN>
 <87k032nyok.fsf@localhost>
 <SJ0PR03MB54550C7727696BE317D0DD13A21D9@HIDDEN>
 <39a5810d-75bc-4ddb-8722-703f762ed4de@HIDDEN>
 <SJ0PR03MB5455B76B26B72A11E965BFE2A21D9@HIDDEN>
 <835yel11x8.fsf@HIDDEN> <87edt2qpoa.fsf@localhost> <83359innsp.fsf@HIDDEN>
 <87pmcmt8cc.fsf@localhost> <jwvfsdi6or0.fsf-monnier+emacs@HIDDEN>
 <3bf2e057-4204-cdc8-0847-39a723db4fc8@HIDDEN>
 <jwva63p715r.fsf-monnier+emacs@HIDDEN>
 <809ae318-fe95-1023-6bca-ba827fd01a29@HIDDEN> <87fsdfs8vl.fsf@localhost>
 <4b053e69-87d3-8323-8949-0546b4bb6c1a@HIDDEN> <87pmc7stiw.fsf@localhost>
From: Max Nikulin <manikulin@HIDDEN>
In-Reply-To: <87pmc7stiw.fsf@localhost>
Content-Type: text/plain; charset=UTF-8; format=flowed
Content-Transfer-Encoding: 8bit
X-Spam-Score: -1.1 (-)
X-Debbugs-Envelope-To: 59882
Cc: Eli Zaretskii <eliz@HIDDEN>, emacs-orgmode@HIDDEN,
 Stefan Monnier <monnier@HIDDEN>, 59882 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.1 (--)

On 18/12/2022 22:40, Stefan Monnier wrote:
> Could Someone™ investigate why that code
> doesn't do its job.
> 
> The code in question is in `package--reload-previously-loaded` and
> my understanding is that it should cause `org-macs` to be reloaded

I do not see obvious flaws in `package--reload-previously-loaded' code. 
My guess is that we get reports from users who have installed released 
versions of emacs.

Notice that my complain concerning failure `byte-recompile-directory', 
hidden from its caller, is still valid.

On 25/12/2022 16:48, Ihor Radchenko wrote:
> Max Nikulin writes:
> 
>> I have tried the following in Emacs-27. For Emacs >= 29 add -L to Org <=
>> 9.5.

Stefan convinced me that I was too optimistic concerning Emacs-29.

>> - "emacs -l org" to simulate a regular user session with some opened files.
>> - Update to Org-9.6 from ELPA.
>> - Close emacs and start it again "emacs -l org"
>>
>> Result:
>> byte-code: Invalid function: org-assert-version
> 
> I tried to follow these steps, but unfortunately I am unable to
> reproduce. Everything works fine using Emacs 27 on my side. Strange.

I tried it once more in a minimal LXC container with Ubuntu-22.04 LTS 
jammy. This time I even removed the elpa-org-9.5.2 system package, so 
built-in version of org is really used. So, emacs-27

- emacs -l org
- M-x list-packages RET
- / n org RET
- move cursor to org, install it
- i x y
- compilation buffers pops up with warning and errors.

Due to "-l org" some libraries like org, org-macs, ob are loaded. Files 
that `require' already loaded libraries generate warnings

Compiling file /home/emcs/.emacs.d/elpa/org-9.6/ob-R.el at Sun Dec 18 
04:30:49 2022

In end of data:
ob-R.el:562:1:Warning: the function ‘org-assert-version’ is not known to be
     defined.

because `org-assert-version' is defined in org-macs.el, but the old 
version without it is already loaded. Call to `org-assert-version' is 
just added to the .elc file.

E.g. org-keys.el produce the same warning. Another case is

Compiling file /home/emcs/.emacs.d/elpa/org-9.6/ob-matlab.el at Sun Dec 
18 04:30:50 2022
ob-matlab.el:43:1:Error: Symbol’s function definition is void: 
org-assert-version

This file contains "(require 'ob-octave)". Attempt of load new version 
of ob-octave fails because during execution of it contents causes an 
error due to the `org-assert-version' call.

In particular, compilation of org.el fails because the new version has 
new "(require 'org-fold)" and the latter also tries to call undefined 
`org-assert-version'.

So at this point we have partially compiled broken install. Some files 
are not compiled, others have call to `org-assert-version' instead of 
its expansion.

Let's try to start emacs again and load org. Since org.el is not 
compiled, "(org-assert-version)" inside it is unable to catch any 
problem due to mixed-version compilation. Now `org-release' returns new 
version. The failure happens during "(require 'org-keys)" that was 
compiled with the warning.

Debugger entered--Lisp error: (invalid-function org-assert-version)
   org-assert-version()
   byte-code("\300\301!\210\302 \210\300\303!\210\300\304!\207" [require 
org-macs org-assert-version cl-lib oc] 2)
   require(org-keys)

So we have an obscure load time error.  I would say that compile *error* 
messages are obscure as well because it is unclear that errors happen in 
`require'. E.g. when compiling org-matlab.el the reported line number is 
for "(require 'ob-maxima)" while compiling of ob.maxima.el finished with 
a warning, not an error and it is really confusing. "ob-octave:34:" in 
addition to "ob-matlab:43:" during compiling of ob-matlab.el would be 
more informative.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#59882; Package emacs. Full text available.

Message received at 59882 <at> debbugs.gnu.org:


Received: (at 59882) by debbugs.gnu.org; 25 Dec 2022 09:49:10 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Dec 25 04:49:10 2022
Received: from localhost ([127.0.0.1]:47578 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1p9Nd0-0006A2-8M
	for submit <at> debbugs.gnu.org; Sun, 25 Dec 2022 04:49:10 -0500
Received: from mout02.posteo.de ([185.67.36.66]:53713)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <yantar92@HIDDEN>) id 1p9Ncy-00069g-BU
 for 59882 <at> debbugs.gnu.org; Sun, 25 Dec 2022 04:49:08 -0500
Received: from submission (posteo.de [185.67.36.169]) 
 by mout02.posteo.de (Postfix) with ESMTPS id CE726240226
 for <59882 <at> debbugs.gnu.org>; Sun, 25 Dec 2022 10:49:02 +0100 (CET)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=posteo.net; s=2017;
 t=1671961742; bh=mO9Ss+dDTGw0/AuxxsaELpvye0pxsTZYonw8Tzn0irs=;
 h=From:To:Cc:Subject:Date:From;
 b=D8FGCJcgZ+osWzD3MEFYwru3Ja6R3+4gQj9/mPZ/l8tkHByfjOFUOuW5sDa4Z7V5U
 P6t1yCiRpSzWowvFb2JVBJ1lZlFer/VwQP5/pdlYl7ZRTFDD0LjVRLc5oukvshfTyU
 aA7Occ6Cp/2yQ5WWk8VWlhDen+1oPRAdqmp5fL58L9GnvHM4QwWMbBrY2grj87Q6Vh
 9cg8JV0e1dvP8v1ZU7K/sTDT9QRNnMv6W1gGIFERizwhYJB2yRhzT0W4QGDmtGOoBD
 PMmBvgmYWTF0GSswgQHxr3DE72KrqUoYLEQFmj22n70vpCOT9TQyMjL1Jhs5dYdQxq
 5aD0xbOqksjFA==
Received: from customer (localhost [127.0.0.1])
 by submission (posteo.de) with ESMTPSA id 4Nfx2M13yPz6tmJ;
 Sun, 25 Dec 2022 10:48:59 +0100 (CET)
From: Ihor Radchenko <yantar92@HIDDEN>
To: Max Nikulin <manikulin@HIDDEN>
Subject: Re: bug#59882: Multiple versions of Org in load-path problem
In-Reply-To: <4b053e69-87d3-8323-8949-0546b4bb6c1a@HIDDEN>
References: <SJ0PR03MB54550C18409A8F2DF921A77DA21B9@HIDDEN>
 <87tu27jq7h.fsf@localhost>
 <SJ0PR03MB5455E1FA2C2887B0200CA8B6A21D9@HIDDEN>
 <SJ0PR03MB54559D5E6849C26AAF6CA044A21D9@HIDDEN>
 <87k032nyok.fsf@localhost>
 <SJ0PR03MB54550C7727696BE317D0DD13A21D9@HIDDEN>
 <39a5810d-75bc-4ddb-8722-703f762ed4de@HIDDEN>
 <SJ0PR03MB5455B76B26B72A11E965BFE2A21D9@HIDDEN>
 <835yel11x8.fsf@HIDDEN> <87edt2qpoa.fsf@localhost>
 <83359innsp.fsf@HIDDEN> <87pmcmt8cc.fsf@localhost>
 <jwvfsdi6or0.fsf-monnier+emacs@HIDDEN>
 <3bf2e057-4204-cdc8-0847-39a723db4fc8@HIDDEN>
 <jwva63p715r.fsf-monnier+emacs@HIDDEN>
 <809ae318-fe95-1023-6bca-ba827fd01a29@HIDDEN>
 <87fsdfs8vl.fsf@localhost>
 <4b053e69-87d3-8323-8949-0546b4bb6c1a@HIDDEN>
Date: Sun, 25 Dec 2022 09:48:55 +0000
Message-ID: <87pmc7stiw.fsf@localhost>
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 59882
Cc: Eli Zaretskii <eliz@HIDDEN>, emacs-orgmode@HIDDEN,
 Stefan Monnier <monnier@HIDDEN>, 59882 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Max Nikulin <manikulin@HIDDEN> writes:

> I have tried the following in Emacs-27. For Emacs >= 29 add -L to Org <= 
> 9.5.
>
> - "emacs -l org" to simulate a regular user session with some opened files.
> - Update to Org-9.6 from ELPA.
> - Close emacs and start it again "emacs -l org"
>
> Result:
> byte-code: Invalid function: org-assert-version

I tried to follow these steps, but unfortunately I am unable to
reproduce. Everything works fine using Emacs 27 on my side. Strange.

-- 
Ihor Radchenko // yantar92,
Org mode contributor,
Learn more about Org mode at <https://orgmode.org/>.
Support Org development at <https://liberapay.com/org-mode>,
or support my work at <https://liberapay.com/yantar92>




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#59882; Package emacs. Full text available.

Message received at 59882 <at> debbugs.gnu.org:


Received: (at 59882) by debbugs.gnu.org; 18 Dec 2022 15:40:57 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Dec 18 10:40:56 2022
Received: from localhost ([127.0.0.1]:34526 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1p6vma-0006zB-Kq
	for submit <at> debbugs.gnu.org; Sun, 18 Dec 2022 10:40:56 -0500
Received: from mailscanner.iro.umontreal.ca ([132.204.25.50]:52441)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <monnier@HIDDEN>) id 1p6vmZ-0006z5-10
 for 59882 <at> debbugs.gnu.org; Sun, 18 Dec 2022 10:40:55 -0500
Received: from pmg3.iro.umontreal.ca (localhost [127.0.0.1])
 by pmg3.iro.umontreal.ca (Proxmox) with ESMTP id 824F2440F2F;
 Sun, 18 Dec 2022 10:40:49 -0500 (EST)
Received: from mail01.iro.umontreal.ca (unknown [172.31.2.1])
 by pmg3.iro.umontreal.ca (Proxmox) with ESMTP id AB2434401BE;
 Sun, 18 Dec 2022 10:40:47 -0500 (EST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=iro.umontreal.ca;
 s=mail; t=1671378047;
 bh=86gF1hoBgjm8HufTIRe5F9ukXsOLjO18YHHelTvsBk8=;
 h=From:To:Cc:Subject:In-Reply-To:References:Date:From;
 b=i7PZXJelGvuZpwwZLh2P57S9dZ8RiM7ciBWGm48bVrZ1EhqYhvrOi0OF7EgPAMku+
 Gl3KtwMivrMnCywrXdVIvRzVS5+e7WNwZdR29e90LtqJzM7Sng8TpiUlnNZoJpf47P
 5u21ZslnP/yv7/72RFsUqcc73Mf3Z4ulufqKe5Eh/jWQ/vioDlK530JOwU3TqZcBlQ
 HrbhDSG6Cauhc3uYTSGgs0y08LakaZfKhf7cFDAfVDmcjrMs7bfKYVGULdH0lOtk+7
 cbD2spROsRJiai0hmL3mTHHalEhe9Jwa3iqfzigs4rytON+Et2vnFhf2AtjgMtiTnx
 mofyTHGp5WE4A==
Received: from pastel (unknown [45.72.200.228])
 by mail01.iro.umontreal.ca (Postfix) with ESMTPSA id 7964B120D6D;
 Sun, 18 Dec 2022 10:40:47 -0500 (EST)
From: Stefan Monnier <monnier@HIDDEN>
To: Max Nikulin <manikulin@HIDDEN>
Subject: Re: bug#59882: Multiple versions of Org in load-path problem
In-Reply-To: <4b053e69-87d3-8323-8949-0546b4bb6c1a@HIDDEN> (Max Nikulin's
 message of "Sun, 18 Dec 2022 22:24:24 +0700")
Message-ID: <jwvh6xsybez.fsf-monnier+emacs@HIDDEN>
References: <SJ0PR03MB54550C18409A8F2DF921A77DA21B9@HIDDEN>
 <87tu27jq7h.fsf@localhost>
 <SJ0PR03MB5455E1FA2C2887B0200CA8B6A21D9@HIDDEN>
 <SJ0PR03MB54559D5E6849C26AAF6CA044A21D9@HIDDEN>
 <87k032nyok.fsf@localhost>
 <SJ0PR03MB54550C7727696BE317D0DD13A21D9@HIDDEN>
 <39a5810d-75bc-4ddb-8722-703f762ed4de@HIDDEN>
 <SJ0PR03MB5455B76B26B72A11E965BFE2A21D9@HIDDEN>
 <835yel11x8.fsf@HIDDEN> <87edt2qpoa.fsf@localhost>
 <83359innsp.fsf@HIDDEN> <87pmcmt8cc.fsf@localhost>
 <jwvfsdi6or0.fsf-monnier+emacs@HIDDEN>
 <3bf2e057-4204-cdc8-0847-39a723db4fc8@HIDDEN>
 <jwva63p715r.fsf-monnier+emacs@HIDDEN>
 <809ae318-fe95-1023-6bca-ba827fd01a29@HIDDEN>
 <87fsdfs8vl.fsf@localhost>
 <4b053e69-87d3-8323-8949-0546b4bb6c1a@HIDDEN>
Date: Sun, 18 Dec 2022 10:40:39 -0500
User-Agent: Gnus/5.13 (Gnus v5.13)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-SPAM-INFO: Spam detection results:  0
 ALL_TRUSTED                -1 Passed through trusted hosts only via SMTP
 AWL -0.422 Adjusted score from AWL reputation of From: address
 BAYES_00                 -1.9 Bayes spam probability is 0 to 1%
 DKIM_SIGNED               0.1 Message has a DKIM or DK signature,
 not necessarily valid
 DKIM_VALID -0.1 Message has at least one valid DKIM or DK signature
 DKIM_VALID_AU -0.1 Message has a valid DKIM or DK signature from author's
 domain
X-SPAM-LEVEL: 
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 59882
Cc: Ihor Radchenko <yantar92@HIDDEN>, emacs-orgmode@HIDDEN,
 Eli Zaretskii <eliz@HIDDEN>, 59882 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> - "emacs -l org" to simulate a regular user session with some opened file=
s.
> - Update to Org-9.6 from ELPA.
> - Close emacs and start it again "emacs -l org"
>
> Result:
> byte-code: Invalid function: org-assert-version

Hmm... there's code in `package.el` intended to avoid that problem, but
clearly it's failing here.  Could Someone=E2=84=A2 investigate why that code
doesn't do its job.

The code in question is in `package--reload-previously-loaded` and
my understanding is that it should cause `org-macs` to be reloaded from
the Org-9.6 version of the code before the new code gets compiled, and
that new version does define the `org-assert-version` version, so those
macro calls should then be compiled correctly.

[ The approach used in `package--reload-previously-loaded` has its
  weaknesses, but AFAIK it *should* be able to avoid the above error.  ]


        Stefan





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#59882; Package emacs. Full text available.

Message received at 59882 <at> debbugs.gnu.org:


Received: (at 59882) by debbugs.gnu.org; 18 Dec 2022 15:24:36 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Dec 18 10:24:36 2022
Received: from localhost ([127.0.0.1]:34456 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1p6vWm-0006mi-C2
	for submit <at> debbugs.gnu.org; Sun, 18 Dec 2022 10:24:36 -0500
Received: from mail-lj1-f180.google.com ([209.85.208.180]:36394)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <manikulin@HIDDEN>) id 1p6vWj-0006mX-IP
 for 59882 <at> debbugs.gnu.org; Sun, 18 Dec 2022 10:24:34 -0500
Received: by mail-lj1-f180.google.com with SMTP id n1so6848774ljg.3
 for <59882 <at> debbugs.gnu.org>; Sun, 18 Dec 2022 07:24:33 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=content-transfer-encoding:in-reply-to:from:references:cc:to
 :content-language:subject:user-agent:mime-version:date:message-id
 :sender:from:to:cc:subject:date:message-id:reply-to;
 bh=I0w9solaxEGBNfzBBFBWgWofPUUNqUjsrCM9Z4sP+5Q=;
 b=e7IsJUbg4XSC2tu8eJjuAAm1MMvzSpkiKUbDsCMtR9rtZwdrY8wKT8o04o2MqJ2At7
 dtId5UYOP1XjEpk/3T89JtmwldlfBx63gEKpSx2HChR8qr5/bEKth1yROKXBYJ76W2wJ
 ElaGZ5q41SdK7LMQecdel1szpCkTCpfrZio2JUB/+prhGn8nR+AWSlzk0X8xM29Gw73T
 PLGiIRcEKXJIXNcl3pKC5N/yAAq/fPXxFuvc/tsSmd1BiR3p/BtV3sgqVNQTtUgttaVl
 bWjdwyXKjferN+g+bxgXsutHXfFjEzFsOIhPi2N94kqFlQTVbl1It3Z3EJ+snar1g6RX
 kP5g==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=content-transfer-encoding:in-reply-to:from:references:cc:to
 :content-language:subject:user-agent:mime-version:date:message-id
 :sender:x-gm-message-state:from:to:cc:subject:date:message-id
 :reply-to;
 bh=I0w9solaxEGBNfzBBFBWgWofPUUNqUjsrCM9Z4sP+5Q=;
 b=O/NtcmnkKlZ5cQ4lsKgpynkVotJYwYFzSLZTCCUfThsC3MI3iv9Fouu/L2IyPCQlGL
 Dt/d3ZZrbn1slAWzFGun9TsyZykBMBIz38czT+HGTon+szCxW/WDxkF6p2OtJoh33e2C
 GDDi18WSimDJUmh1tgB60/Sw3El3WO4O/7eEx7WwIMTUZIL7QVRAV1iLYxCZp8+ccwNz
 Ce4SgarW8vK4PkkdZgeJRKtv5iymn/CTshLX5uqAyiU9Bk5Erb/e3tNTS7Qc0xUSC1VX
 9wGpTeQRJOzyXU5J+OVW1SQhTK5szYoxqAdHMp2/Txt9+bmctY1vAMs7qH19RUydDHor
 QCgA==
X-Gm-Message-State: AFqh2kpHwiOa5p37+oM2DIpTUJxhNpmnEfMOUgnIDnhgPuSo9cShrfGP
 QmhbzxdxDaRTv6l4F894xbY=
X-Google-Smtp-Source: AMrXdXvke/AgbA9krlHIeWz5/dAC/9urz1tYQzRhNVM2EDmLkTSMfHhj0fCzDZPOH/KfWzPOvegwcw==
X-Received: by 2002:a2e:9c06:0:b0:27e:521c:92ca with SMTP id
 s6-20020a2e9c06000000b0027e521c92camr4143080lji.19.1671377067372; 
 Sun, 18 Dec 2022 07:24:27 -0800 (PST)
Received: from [192.168.0.101] (nat-0-0.nsk.sibset.net. [5.44.169.188])
 by smtp.googlemail.com with ESMTPSA id
 h18-20020a19ca52000000b004b55075f813sm845765lfj.227.2022.12.18.07.24.25
 (version=TLS1_3 cipher=TLS_AES_128_GCM_SHA256 bits=128/128);
 Sun, 18 Dec 2022 07:24:26 -0800 (PST)
Message-ID: <4b053e69-87d3-8323-8949-0546b4bb6c1a@HIDDEN>
Date: Sun, 18 Dec 2022 22:24:24 +0700
MIME-Version: 1.0
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:102.0) Gecko/20100101
 Thunderbird/102.4.2
Subject: Re: bug#59882: Multiple versions of Org in load-path problem
Content-Language: en-US
To: Ihor Radchenko <yantar92@HIDDEN>
References: <SJ0PR03MB54550C18409A8F2DF921A77DA21B9@HIDDEN>
 <87tu27jq7h.fsf@localhost>
 <SJ0PR03MB5455E1FA2C2887B0200CA8B6A21D9@HIDDEN>
 <SJ0PR03MB54559D5E6849C26AAF6CA044A21D9@HIDDEN>
 <87k032nyok.fsf@localhost>
 <SJ0PR03MB54550C7727696BE317D0DD13A21D9@HIDDEN>
 <39a5810d-75bc-4ddb-8722-703f762ed4de@HIDDEN>
 <SJ0PR03MB5455B76B26B72A11E965BFE2A21D9@HIDDEN>
 <835yel11x8.fsf@HIDDEN> <87edt2qpoa.fsf@localhost> <83359innsp.fsf@HIDDEN>
 <87pmcmt8cc.fsf@localhost> <jwvfsdi6or0.fsf-monnier+emacs@HIDDEN>
 <3bf2e057-4204-cdc8-0847-39a723db4fc8@HIDDEN>
 <jwva63p715r.fsf-monnier+emacs@HIDDEN>
 <809ae318-fe95-1023-6bca-ba827fd01a29@HIDDEN> <87fsdfs8vl.fsf@localhost>
From: Max Nikulin <manikulin@HIDDEN>
In-Reply-To: <87fsdfs8vl.fsf@localhost>
Content-Type: text/plain; charset=UTF-8; format=flowed
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 59882
Cc: Eli Zaretskii <eliz@HIDDEN>, emacs-orgmode@HIDDEN,
 Stefan Monnier <monnier@HIDDEN>, 59882 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

On 16/12/2022 21:47, Ihor Radchenko wrote:
>> Can it happen that already loaded version affects compilation of a new
>> version by package-install.
> 
> Yes. It is what appears to be happening:
> 
> https://irreal.org/blog/?p=10996
> https://irreal.org/blog/?p=10999

I would not call it steps to reproduce.

 From my point of view, there is a number of issues with updating of 
packages from emacs session.

1. If compilation of a package failed then it is not withdrawn from the 
load path.

2. There is no reliable way to determine if package compilation failed. 
(byte-recompile-directory DIR 0 t) returns human readable string, not 
signalling an error or returning a value convenient to check in the 
code. It is the cause of the previous issue.

3. Emacs package system is not ready for complex multifile packages 
containing macro definitions. It does not push user to update packages 
just after emacs restart in a clean state. As a result, files may be 
compiled with old or missed macro definitions.

4. Because of the item 2 a package has no chance to implement reliable 
internal sanity check that prevents updating to a broken state.

I have tried the following in Emacs-27. For Emacs >= 29 add -L to Org <= 
9.5.

- "emacs -l org" to simulate a regular user session with some opened files.
- Update to Org-9.6 from ELPA.
- Close emacs and start it again "emacs -l org"

Result:
byte-code: Invalid function: org-assert-version

Notice attempt to load Org-9.6 despite warnings and even error during 
update:

> Compiling file /home/emcs/.emacs.d/elpa/org-9.6/ob-C.el at Sun Dec 18 04:30:49 2022
> Entering directory ‘/home/emcs/.emacs.d/elpa/org-9.6/’
> 
> In end of data:
> ob-C.el:509:1:Warning: the function ‘org-assert-version’ is not known to be
>     defined. 
...
> Compiling file /home/emcs/.emacs.d/elpa/org-9.6/ob-matlab.el at Sun Dec 18 04:30:50 2022
> ob-matlab.el:43:1:Error: Symbol’s function definition is void: org-assert-version

So emacs can not handle update of a package with changed macro 
definitions when they reside in another package file.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#59882; Package emacs. Full text available.

Message received at 59882 <at> debbugs.gnu.org:


Received: (at 59882) by debbugs.gnu.org; 16 Dec 2022 14:48:00 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Dec 16 09:48:00 2022
Received: from localhost ([127.0.0.1]:49785 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1p6C0G-0006US-Ei
	for submit <at> debbugs.gnu.org; Fri, 16 Dec 2022 09:48:00 -0500
Received: from mout01.posteo.de ([185.67.36.65]:41143)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <yantar92@HIDDEN>) id 1p6C0B-0006TZ-EX
 for 59882 <at> debbugs.gnu.org; Fri, 16 Dec 2022 09:47:58 -0500
Received: from submission (posteo.de [185.67.36.169]) 
 by mout01.posteo.de (Postfix) with ESMTPS id 879E724002C
 for <59882 <at> debbugs.gnu.org>; Fri, 16 Dec 2022 15:47:48 +0100 (CET)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=posteo.net; s=2017;
 t=1671202069; bh=Jd3XG4K6OXOw/75rLVJONb637HI/HOXWYQjD+lgxh7s=;
 h=From:To:Cc:Subject:Date:From;
 b=gk3lLfmHmRA8iRZGPQuj9km8hgIq7aAxSdLJY1MitpTJbXoRbJeJsxdkxhMs4xsV6
 nXhDVqOiEtHsYrLvwgfpJcXPba/wR7y9mOuRcQkpeaEO3u7OjhZa7nQIY4gy1qjlCj
 DF29Jxir5GZHMqkZHqSs2MDjv4MYcID1scUnJZLy+RlJCyhU7UqF3lyJiPt5vVkrzr
 wht2HMOtLWeALRZKNeKTjuF8DWBX8Fq9yLh/r8CRg6GEmz9JlSAGnSN86sbc1f64m/
 yFWLePYjYbKBohT7UrVe2VBQPVWGjbGYj7tO6Al/2Uk7HzSNp7CDFhdkWklYpFFOrt
 LoeHM2+3JTYgQ==
Received: from customer (localhost [127.0.0.1])
 by submission (posteo.de) with ESMTPSA id 4NYX5G57nmz6tnh;
 Fri, 16 Dec 2022 15:47:46 +0100 (CET)
From: Ihor Radchenko <yantar92@HIDDEN>
To: Max Nikulin <manikulin@HIDDEN>
Subject: Re: bug#59882: Multiple versions of Org in load-path problem
In-Reply-To: <809ae318-fe95-1023-6bca-ba827fd01a29@HIDDEN>
References: <SJ0PR03MB54550C18409A8F2DF921A77DA21B9@HIDDEN>
 <87tu27jq7h.fsf@localhost>
 <SJ0PR03MB5455E1FA2C2887B0200CA8B6A21D9@HIDDEN>
 <SJ0PR03MB54559D5E6849C26AAF6CA044A21D9@HIDDEN>
 <87k032nyok.fsf@localhost>
 <SJ0PR03MB54550C7727696BE317D0DD13A21D9@HIDDEN>
 <39a5810d-75bc-4ddb-8722-703f762ed4de@HIDDEN>
 <SJ0PR03MB5455B76B26B72A11E965BFE2A21D9@HIDDEN>
 <835yel11x8.fsf@HIDDEN> <87edt2qpoa.fsf@localhost>
 <83359innsp.fsf@HIDDEN> <87pmcmt8cc.fsf@localhost>
 <jwvfsdi6or0.fsf-monnier+emacs@HIDDEN>
 <3bf2e057-4204-cdc8-0847-39a723db4fc8@HIDDEN>
 <jwva63p715r.fsf-monnier+emacs@HIDDEN>
 <809ae318-fe95-1023-6bca-ba827fd01a29@HIDDEN>
Date: Fri, 16 Dec 2022 14:47:42 +0000
Message-ID: <87fsdfs8vl.fsf@localhost>
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 59882
Cc: Eli Zaretskii <eliz@HIDDEN>, emacs-orgmode@HIDDEN,
 Stefan Monnier <monnier@HIDDEN>, 59882 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Max Nikulin <manikulin@HIDDEN> writes:

> I have impression that there is no recipe how to reproduce this bug yet, 
> just reports that people have faced it. So aspects of autoload may be 
> considered as a part of brainstorm.
>
> Other ideas when built-in Org version may be loaded too early:
> - restoring previous session.
> - user configured Org agenda as startup buffer.
>
> Can it happen that already loaded version affects compilation of a new 
> version by package-install.

Yes. It is what appears to be happening:

https://irreal.org/blog/?p=10996
https://irreal.org/blog/?p=10999

-- 
Ihor Radchenko // yantar92,
Org mode contributor,
Learn more about Org mode at <https://orgmode.org/>.
Support Org development at <https://liberapay.com/org-mode>,
or support my work at <https://liberapay.com/yantar92>




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#59882; Package emacs. Full text available.

Message received at 59882 <at> debbugs.gnu.org:


Received: (at 59882) by debbugs.gnu.org; 16 Dec 2022 12:36:29 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Dec 16 07:36:29 2022
Received: from localhost ([127.0.0.1]:49023 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1p69wz-0002RS-BY
	for submit <at> debbugs.gnu.org; Fri, 16 Dec 2022 07:36:29 -0500
Received: from mail-lf1-f43.google.com ([209.85.167.43]:33686)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <manikulin@HIDDEN>) id 1p69wx-0002RM-Ro
 for 59882 <at> debbugs.gnu.org; Fri, 16 Dec 2022 07:36:28 -0500
Received: by mail-lf1-f43.google.com with SMTP id j4so3355660lfk.0
 for <59882 <at> debbugs.gnu.org>; Fri, 16 Dec 2022 04:36:27 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=content-transfer-encoding:in-reply-to:from:references:cc:to
 :content-language:subject:user-agent:mime-version:date:message-id
 :sender:from:to:cc:subject:date:message-id:reply-to;
 bh=WH/tpE+/Lb1tAjUgcHxuLprq3s7aV9nqM5GWSmvfaOs=;
 b=K1Wq0ZL749NQy0MPJjTDmmhkX+qdseekFEyXDw0k0YVEexsWPfIaY7SFsgfSnKo1tt
 ZqQZxFeO3PEAyAXuiq6FVyG2IhMBaJlsvIalIXlN0mQreaIeSk2lHENlXPuRPB+YX07G
 ho2EdK2iYfNZd+3x+LUXzEKiKWWHBRfbjFv4lDE7hQwsI1GHlJEuhZ47gSFkLkELAJGh
 /aqloa3upClaofAEPWb6IiijuNGudBXqN8V7+PifZtv4IiqX3NXyrZXXjjUUgcLHsZ8G
 GVqswdaLpGZw+5uXdrNo5Ffw+YrF8nDLNeXBigQTVK2/fueJewYSewyOKKpxzUOWJdRK
 GiGg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=content-transfer-encoding:in-reply-to:from:references:cc:to
 :content-language:subject:user-agent:mime-version:date:message-id
 :sender:x-gm-message-state:from:to:cc:subject:date:message-id
 :reply-to;
 bh=WH/tpE+/Lb1tAjUgcHxuLprq3s7aV9nqM5GWSmvfaOs=;
 b=gMAHB1W/9gC9ncCLVNqrlZOPwF3LyVGbomkNNBcheTep8JNSgoKACgbLvqwLo6/P/D
 iOxFTu+ZHQBF0EdYuVR001EAi6hiMHLa9uvr1r56lgkuwpipwILfIDAnMO/a+mTiZDIB
 v8RSkSpj6uNR7ifSNAYCZDwEg75NImnbhV49AoCCuDmBX5qCQkFy2Kh4m4b0guY+JRVu
 wfzIR+/NZadn0JIaIX/jC/pN3XaN2RZvTO4WZI6HUzILNJzYLs/msTrIPJ7bGKXK3KRt
 5fVfLdPghzcY1r32Q93l0PdmGSkYjncO4G10Hbx4A8MEmexI7U169PFYaOfzd0JRneTU
 VHzA==
X-Gm-Message-State: ANoB5pm09SjnsOH6rUysuqVno8J92z3Pki0aHjlIRSRFJsVGeognIdoD
 h3gImVCfIXaZlLZmF71/x+s=
X-Google-Smtp-Source: AA0mqf59ePbu7cbepzM24SyOxSGcFUiB2tB568RbtVaLVxdRGA0Sy6cKDGZl0SaNcBiIC9KGPY0TZA==
X-Received: by 2002:ac2:539b:0:b0:4b5:5efb:7d26 with SMTP id
 g27-20020ac2539b000000b004b55efb7d26mr8037632lfh.37.1671194181801; 
 Fri, 16 Dec 2022 04:36:21 -0800 (PST)
Received: from [192.168.0.101] (nat-0-0.nsk.sibset.net. [5.44.169.188])
 by smtp.googlemail.com with ESMTPSA id
 s10-20020a056512214a00b004b52f4ea0d3sm207082lfr.192.2022.12.16.04.36.19
 (version=TLS1_3 cipher=TLS_AES_128_GCM_SHA256 bits=128/128);
 Fri, 16 Dec 2022 04:36:20 -0800 (PST)
Message-ID: <809ae318-fe95-1023-6bca-ba827fd01a29@HIDDEN>
Date: Fri, 16 Dec 2022 19:36:18 +0700
MIME-Version: 1.0
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:102.0) Gecko/20100101
 Thunderbird/102.4.2
Subject: Re: bug#59882: Multiple versions of Org in load-path problem
Content-Language: en-US
To: Stefan Monnier <monnier@HIDDEN>
References: <SJ0PR03MB54550C18409A8F2DF921A77DA21B9@HIDDEN>
 <87tu27jq7h.fsf@localhost>
 <SJ0PR03MB5455E1FA2C2887B0200CA8B6A21D9@HIDDEN>
 <SJ0PR03MB54559D5E6849C26AAF6CA044A21D9@HIDDEN>
 <87k032nyok.fsf@localhost>
 <SJ0PR03MB54550C7727696BE317D0DD13A21D9@HIDDEN>
 <39a5810d-75bc-4ddb-8722-703f762ed4de@HIDDEN>
 <SJ0PR03MB5455B76B26B72A11E965BFE2A21D9@HIDDEN>
 <835yel11x8.fsf@HIDDEN> <87edt2qpoa.fsf@localhost> <83359innsp.fsf@HIDDEN>
 <87pmcmt8cc.fsf@localhost> <jwvfsdi6or0.fsf-monnier+emacs@HIDDEN>
 <3bf2e057-4204-cdc8-0847-39a723db4fc8@HIDDEN>
 <jwva63p715r.fsf-monnier+emacs@HIDDEN>
From: Max Nikulin <manikulin@HIDDEN>
In-Reply-To: <jwva63p715r.fsf-monnier+emacs@HIDDEN>
Content-Type: text/plain; charset=UTF-8; format=flowed
Content-Transfer-Encoding: 7bit
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 59882
Cc: Ihor Radchenko <yantar92@HIDDEN>, emacs-orgmode@HIDDEN,
 Eli Zaretskii <eliz@HIDDEN>, 59882 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

On 15/12/2022 11:17, Stefan Monnier wrote:
> Max Nikulin [2022-12-14 23:02:53] wrote:
>> Completion failure for "org-to" happened because result of
>> `register-definition-prefixes' calls is not considered as options. I am
>> aware that it may give false positives, but I still believe they should
>> be added.
> 
> I'm sorry, but I don't understand what you're saying.

My bad. "org-go" is completed to "org--goto" while "org-goto-" is not 
offered. The latter might be a variant because "org-goto" is registered 
as an autoload prefix. Ihor kindly created https://debbugs.gnu.org/60085 
"`help-enable-autoload' is not fully obeyed", so it is better to discuss 
it there.

>> Though I believe that org mixed version issue happens due to transitional
>> dependency of some third party package on org or something like (require
>> 'org-protocol) that can not be loaded on demand.
> 
> Hmm... indeed the "Subject:" talks about mixed versions, yet I was
> discussing something not directly related.  Looks like I got off-topic
> somewhere along the way without noticing, sorry.

I have impression that there is no recipe how to reproduce this bug yet, 
just reports that people have faced it. So aspects of autoload may be 
considered as a part of brainstorm.

Other ideas when built-in Org version may be loaded too early:
- restoring previous session.
- user configured Org agenda as startup buffer.

Can it happen that already loaded version affects compilation of a new 
version by package-install.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#59882; Package emacs. Full text available.

Message received at 59882 <at> debbugs.gnu.org:


Received: (at 59882) by debbugs.gnu.org; 15 Dec 2022 04:56:39 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Dec 14 23:56:39 2022
Received: from localhost ([127.0.0.1]:42355 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1p5gIR-0005te-05
	for submit <at> debbugs.gnu.org; Wed, 14 Dec 2022 23:56:39 -0500
Received: from mout01.posteo.de ([185.67.36.65]:56113)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <yantar92@HIDDEN>) id 1p5gIN-0005tW-O7
 for 59882 <at> debbugs.gnu.org; Wed, 14 Dec 2022 23:56:37 -0500
Received: from submission (posteo.de [185.67.36.169]) 
 by mout01.posteo.de (Postfix) with ESMTPS id 35537240027
 for <59882 <at> debbugs.gnu.org>; Thu, 15 Dec 2022 05:56:30 +0100 (CET)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=posteo.net; s=2017;
 t=1671080190; bh=nmck62qLXnuZnDkkrWLP7h0AMbOP43DynSDnh+m03lA=;
 h=From:To:Cc:Subject:Date:From;
 b=NRmYRU22uqvhty3lE2ShptGZu2vaEWiUKVV6IJTJMhINp/cKud0hMQe9zn0VlgTAV
 vjT2jcQ2EEiXrXll5x4PM9N30L6yleIDdhp8TUl+KI46KP0ZhVFH5+EW9I02dcwF0i
 b+BR5mygkmDdtb/+ynxnEnl0s7xf1aGfMo+62s4UGw8/HD6r1NCaeI942i3gRzBxVu
 lPG+AvN14wla1uv2VUsISeU2AHlehAuu+pw2AMAMK568Tk9dUaVAE0bOQzlR/pHafM
 vNB/7sRlCnQ2MEd9w5ovhwvJaxgFPmypGjrLoh+9Xaakx2T08osv45fAtCCd7YgGPk
 ifAMPN1VT5L0g==
Received: from customer (localhost [127.0.0.1])
 by submission (posteo.de) with ESMTPSA id 4NXg1T1wdpz9rxB;
 Thu, 15 Dec 2022 05:56:28 +0100 (CET)
From: Ihor Radchenko <yantar92@HIDDEN>
To: Stefan Monnier <monnier@HIDDEN>
Subject: Re: bug#59882: Multiple versions of Org in load-path problem
In-Reply-To: <jwva63p715r.fsf-monnier+emacs@HIDDEN>
References: <SJ0PR03MB54550C18409A8F2DF921A77DA21B9@HIDDEN>
 <87tu27jq7h.fsf@localhost>
 <SJ0PR03MB5455E1FA2C2887B0200CA8B6A21D9@HIDDEN>
 <SJ0PR03MB54559D5E6849C26AAF6CA044A21D9@HIDDEN>
 <87k032nyok.fsf@localhost>
 <SJ0PR03MB54550C7727696BE317D0DD13A21D9@HIDDEN>
 <39a5810d-75bc-4ddb-8722-703f762ed4de@HIDDEN>
 <SJ0PR03MB5455B76B26B72A11E965BFE2A21D9@HIDDEN>
 <835yel11x8.fsf@HIDDEN> <87edt2qpoa.fsf@localhost>
 <83359innsp.fsf@HIDDEN> <87pmcmt8cc.fsf@localhost>
 <jwvfsdi6or0.fsf-monnier+emacs@HIDDEN>
 <3bf2e057-4204-cdc8-0847-39a723db4fc8@HIDDEN>
 <jwva63p715r.fsf-monnier+emacs@HIDDEN>
Date: Thu, 15 Dec 2022 04:56:16 +0000
Message-ID: <87fsdhw9hr.fsf@localhost>
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 59882
Cc: Max Nikulin <manikulin@HIDDEN>, emacs-orgmode@HIDDEN,
 Eli Zaretskii <eliz@HIDDEN>, 59882 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Stefan Monnier <monnier@HIDDEN> writes:

>> Though I believe that org mixed version issue happens due to transitional
>> dependency of some third party package on org or something like (require
>> 'org-protocol) that can not be loaded on demand.
>
> Hmm... indeed the "Subject:" talks about mixed versions, yet I was
> discussing something not directly related.  Looks like I got off-topic
> somewhere along the way without noticing, sorry.

And the off-topic is what has been CCed to Org mailing list :)

-- 
Ihor Radchenko // yantar92,
Org mode contributor,
Learn more about Org mode at <https://orgmode.org/>.
Support Org development at <https://liberapay.com/org-mode>,
or support my work at <https://liberapay.com/yantar92>




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#59882; Package emacs. Full text available.

Message received at 59882 <at> debbugs.gnu.org:


Received: (at 59882) by debbugs.gnu.org; 15 Dec 2022 04:17:42 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Dec 14 23:17:42 2022
Received: from localhost ([127.0.0.1]:42319 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1p5fgk-0005SR-0V
	for submit <at> debbugs.gnu.org; Wed, 14 Dec 2022 23:17:42 -0500
Received: from mailscanner.iro.umontreal.ca ([132.204.25.50]:27454)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <monnier@HIDDEN>) id 1p5fgg-0005SH-TU
 for 59882 <at> debbugs.gnu.org; Wed, 14 Dec 2022 23:17:40 -0500
Received: from pmg1.iro.umontreal.ca (localhost.localdomain [127.0.0.1])
 by pmg1.iro.umontreal.ca (Proxmox) with ESMTP id 0A680100587;
 Wed, 14 Dec 2022 23:17:33 -0500 (EST)
Received: from mail01.iro.umontreal.ca (unknown [172.31.2.1])
 by pmg1.iro.umontreal.ca (Proxmox) with ESMTP id 1FAE7100563;
 Wed, 14 Dec 2022 23:17:31 -0500 (EST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=iro.umontreal.ca;
 s=mail; t=1671077851;
 bh=cTCNDK3R12tQfqYzUZBatZn1ck5VzN79QiU2hDzoF3k=;
 h=From:To:Cc:Subject:In-Reply-To:References:Date:From;
 b=oXEokMbHC5uifrmBZP7jrhbP6pqPhiYN0lAORF/N7IwcNvkUqkG7RKMx62UiwdFFP
 Nlk2EmCQ6Px1UkzV8jV1jPwff8HWoWVdJvptpQjH8+C/NZa3S6V/wtDzww3a4rr18O
 6LyB0PC434YE9O3RGEOf+bf0QjdHwx2kvuaho86jXq7Nzdm5fqibjna6AqHNRaHMUP
 PmNAmvX4BoiCQHL/zUg32kGUAwZW29E7+AVi3PEKPORwLrMFx/PjJ1Qe/qKNo/JVfL
 cFncilFEXL9WSfJOhS8w5GHz1Ac7HFDkippYTy8gl5TbgzAzXa20zSXL1S/tj1w/pW
 MzKm8sR8NukKg==
Received: from pastel (unknown [45.72.193.52])
 by mail01.iro.umontreal.ca (Postfix) with ESMTPSA id 9F42012019B;
 Wed, 14 Dec 2022 23:17:30 -0500 (EST)
From: Stefan Monnier <monnier@HIDDEN>
To: Max Nikulin <manikulin@HIDDEN>
Subject: Re: bug#59882: Multiple versions of Org in load-path problem
In-Reply-To: <3bf2e057-4204-cdc8-0847-39a723db4fc8@HIDDEN> (Max Nikulin's
 message of "Wed, 14 Dec 2022 23:02:53 +0700")
Message-ID: <jwva63p715r.fsf-monnier+emacs@HIDDEN>
References: <SJ0PR03MB54550C18409A8F2DF921A77DA21B9@HIDDEN>
 <87tu27jq7h.fsf@localhost>
 <SJ0PR03MB5455E1FA2C2887B0200CA8B6A21D9@HIDDEN>
 <SJ0PR03MB54559D5E6849C26AAF6CA044A21D9@HIDDEN>
 <87k032nyok.fsf@localhost>
 <SJ0PR03MB54550C7727696BE317D0DD13A21D9@HIDDEN>
 <39a5810d-75bc-4ddb-8722-703f762ed4de@HIDDEN>
 <SJ0PR03MB5455B76B26B72A11E965BFE2A21D9@HIDDEN>
 <835yel11x8.fsf@HIDDEN> <87edt2qpoa.fsf@localhost>
 <83359innsp.fsf@HIDDEN> <87pmcmt8cc.fsf@localhost>
 <jwvfsdi6or0.fsf-monnier+emacs@HIDDEN>
 <3bf2e057-4204-cdc8-0847-39a723db4fc8@HIDDEN>
Date: Wed, 14 Dec 2022 23:17:22 -0500
User-Agent: Gnus/5.13 (Gnus v5.13)
MIME-Version: 1.0
Content-Type: text/plain
X-SPAM-INFO: Spam detection results:  0
 ALL_TRUSTED                -1 Passed through trusted hosts only via SMTP
 AWL -0.416 Adjusted score from AWL reputation of From: address
 BAYES_00                 -1.9 Bayes spam probability is 0 to 1%
 DKIM_SIGNED               0.1 Message has a DKIM or DK signature,
 not necessarily valid
 DKIM_VALID -0.1 Message has at least one valid DKIM or DK signature
 DKIM_VALID_AU -0.1 Message has a valid DKIM or DK signature from author's
 domain
X-SPAM-LEVEL: 
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 59882
Cc: Ihor Radchenko <yantar92@HIDDEN>, emacs-orgmode@HIDDEN,
 Eli Zaretskii <eliz@HIDDEN>, 59882 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Max Nikulin [2022-12-14 23:02:53] wrote:
> On 14/12/2022 21:35, Stefan Monnier wrote:
>>>      Like I said in another message that I sent just before receiving yours
>>>      my conclusion came from the fact that hitting 'C-h v' with the cursor
>>>      on 'org-goto-interface' provided nothing.  It was the first time this
>>>      ever happened to me.  I did try to explicitly enter the variable's
>>>      name by entering 'org-goto<TAB>', which (like 'org-go<TAB>') is not
>>>      enough: it is completed to 'org--goto'.
>> AFAICT this is a missing feature: we obey `help-enable-autoload` in
>> `describe-function` but we fail to do the same autoloading dance in
>> `describe-variable`.
>
> I think, the difference is interactive vs. non-interactive calls rather than
> `describe-function' vs. `describe-variable'. What misses this feature is
> `customize-variable'.
>
> Completion failure for "org-to" happened because result of
> `register-definition-prefixes' calls is not considered as options. I am
> aware that it may give false positives, but I still believe they should
> be added.

I'm sorry, but I don't understand what you're saying.

> Though I believe that org mixed version issue happens due to transitional
> dependency of some third party package on org or something like (require
> 'org-protocol) that can not be loaded on demand.

Hmm... indeed the "Subject:" talks about mixed versions, yet I was
discussing something not directly related.  Looks like I got off-topic
somewhere along the way without noticing, sorry.


        Stefan





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#59882; Package emacs. Full text available.

Message received at 59882 <at> debbugs.gnu.org:


Received: (at 59882) by debbugs.gnu.org; 14 Dec 2022 21:49:34 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Dec 14 16:49:33 2022
Received: from localhost ([127.0.0.1]:41908 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1p5Zd7-0007Da-LX
	for submit <at> debbugs.gnu.org; Wed, 14 Dec 2022 16:49:33 -0500
Received: from us-smtp-delivery-170.mimecast.com ([170.10.129.170]:31024)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mec@HIDDEN>) id 1p5Zd6-0007DU-53
 for 59882 <at> debbugs.gnu.org; Wed, 14 Dec 2022 16:49:32 -0500
Received: from NAM11-BN8-obe.outbound.protection.outlook.com
 (mail-bn8nam11lp2169.outbound.protection.outlook.com [104.47.58.169]) by
 relay.mimecast.com with ESMTP with STARTTLS (version=TLSv1.2,
 cipher=TLS_ECDHE_RSA_WITH_AES_256_GCM_SHA384) id
 us-mta-439-nh3uFsWRNlCIr196lbySPA-1; Wed, 14 Dec 2022 16:49:27 -0500
X-MC-Unique: nh3uFsWRNlCIr196lbySPA-1
Received: from DS7PR20MB4671.namprd20.prod.outlook.com (2603:10b6:8:79::16) by
 SA1PR20MB6193.namprd20.prod.outlook.com (2603:10b6:806:335::8) with
 Microsoft
 SMTP Server (version=TLS1_2, cipher=TLS_ECDHE_RSA_WITH_AES_256_GCM_SHA384) id
 15.20.5880.8; Wed, 14 Dec 2022 21:49:24 +0000
Received: from DS7PR20MB4671.namprd20.prod.outlook.com
 ([fe80::a2ca:ae14:c459:fc31]) by DS7PR20MB4671.namprd20.prod.outlook.com
 ([fe80::a2ca:ae14:c459:fc31%5]) with mapi id 15.20.5880.019; Wed, 14 Dec 2022
 21:49:24 +0000
From: "Cook, Malcolm" <MEC@HIDDEN>
To: Ihor Radchenko <yantar92@HIDDEN>, Eli Zaretskii <eliz@HIDDEN>
Subject: RE: bug#59882: Multiple versions of Org in load-path problem
Thread-Topic: bug#59882: Multiple versions of Org in load-path problem
Thread-Index: AQHZCR5eZDy5J6kF+UuTmomTbhGr6K5ibgoAgADrUJ6AAD7mboAAAlGAgAC5oRiAADryuoAAm71hgAgGB4CAAMZw8A==
Date: Wed, 14 Dec 2022 21:49:24 +0000
Message-ID: <DS7PR20MB4671B33BAA23471AAA14F968BEE09@HIDDEN>
References: <SJ0PR03MB54550C18409A8F2DF921A77DA21B9@HIDDEN>
 <87tu27jq7h.fsf@localhost>
 <SJ0PR03MB5455E1FA2C2887B0200CA8B6A21D9@HIDDEN>
 <SJ0PR03MB54559D5E6849C26AAF6CA044A21D9@HIDDEN>
 <87k032nyok.fsf@localhost>
 <SJ0PR03MB54550C7727696BE317D0DD13A21D9@HIDDEN>
 <39a5810d-75bc-4ddb-8722-703f762ed4de@HIDDEN>
 <SJ0PR03MB5455B76B26B72A11E965BFE2A21D9@HIDDEN>
 <835yel11x8.fsf@HIDDEN> <87edt2qpoa.fsf@localhost>
In-Reply-To: <87edt2qpoa.fsf@localhost>
Accept-Language: en-US
X-MS-Has-Attach: 
X-MS-TNEF-Correlator: 
x-ms-publictraffictype: Email
x-ms-traffictypediagnostic: DS7PR20MB4671:EE_|SA1PR20MB6193:EE_
x-ms-office365-filtering-correlation-id: f2c3f11b-42f6-46fb-0335-08dade1d10b7
x-ms-exchange-senderadcheck: 1
x-ms-exchange-antispam-relay: 0
x-microsoft-antispam: BCL:0
x-microsoft-antispam-message-info: RuNf+hwvwgaPPuBIfGxRtxwmEKuzlRdmm8iCaSSjow09/qmRZd//do08Kp+BmYUG350TccPzO6WwX6KpOKfy4mNeRg8Vbudo8YFRPdu6l86xSDCyQND6RYfMuiRLIKQWx8EIg0kgGp8U+H5Ag1MStqu4RCOMNov60rgei04rVj3kFWj1imjBsisnfQHnK3EeSn69RPAgenLlC7iYrAmKwEl6TEq5P2pNyJarhPzY66xh4mXMV0qyLjagcfDl/dEhnHa2qtEUL1stWXXNNbyL/jaa8g5zDCqRkPHGlvId/0efj6IfZ0nutq2dmimmcCRMfz/2KQQfScnfh2gMXIBIn/VboN8PL+dLBQIov+CEVevsqhPjuQLRadx4OQB0sstI37uTjYcOZwRkDdiLdGKuSfJA+v84j5cilAgXtBf2tkjGldC9DwcHoEj8Lo7vepnAtHvlqWQduu4hoEzRmhsbaivejC9C3m+8KBup/D3IHGwDgH+b8aLkk35ic8kNCuHifcir6BRFCGFY0MfXqtKZbFVBn6k7xUAOBVeVHNQIIKXxs3lW8jfGOwJlR+y1h0d7JSOVlzI0tt8rC2v5MFD4cGw31HiQQsqQaBPQN2ln96cw8hfrigl5nbqSFDgRdR4opp20XX7EdDXGq5kZ4uHaoxy8Uxm840qDZTtHgPycmo5ry76GAIP2ykIBqc/JQKLPfHGa+dI1lsnP7jIKgbdMUaqLH+fGQbIrAQOcVoRX11M=
x-forefront-antispam-report: CIP:255.255.255.255; CTRY:; LANG:en; SCL:1; SRV:;
 IPV:NLI; SFV:NSPM; H:DS7PR20MB4671.namprd20.prod.outlook.com; PTR:; CAT:NONE;
 SFS:(13230022)(39840400004)(136003)(346002)(396003)(366004)(376002)(451199015)(786003)(316002)(110136005)(54906003)(38070700005)(2906002)(7696005)(478600001)(6506007)(33656002)(86362001)(55016003)(186003)(26005)(71200400001)(8936002)(52536014)(9686003)(38100700002)(41300700001)(4326008)(76116006)(66556008)(4744005)(66476007)(64756008)(66946007)(66446008)(8676002)(122000001)(5660300002);
 DIR:OUT; SFP:1101
x-ms-exchange-antispam-messagedata-chunkcount: 1
x-ms-exchange-antispam-messagedata-0: =?us-ascii?Q?javYeTNU6KAHqReYIMVRXhwkXRDKNdbTW2+V9yYqosrPfxBaOWFZBURATpUZ?=
 =?us-ascii?Q?cXVDWmV+B+SgCogZLY9MVhys0ZxfVHNMsCxLOUl8dmGnYbNUDiJKD+QWtp3J?=
 =?us-ascii?Q?CVfpynlRoZJ1LymBQ+fMN9tsiRc/kp+yPybdbeZJpXZ5VEX/vKY4kJny8PGA?=
 =?us-ascii?Q?zbsG9SAEevqatXVyVWC+VxlNKLAeCxlTub4XebL6qQDYR0HKEnLP9+U+fyiw?=
 =?us-ascii?Q?ZSRtYzvx3MmktCBckSIrSmFKN11qhtRSztTlKP94cPe5ukWiQJ7qMFNGa31t?=
 =?us-ascii?Q?ysHPq5nYngZRTGyMX6rO6UlIyitNFRWST1Kj8AZbaiMfV+M7G2CN2cTZpvDF?=
 =?us-ascii?Q?1imNvbQtHtscVnYCXfWKq4LDu+yOqtAxjbgVW5f2tdENFvvSjJoebVJjm30K?=
 =?us-ascii?Q?Hl9ei6YIim8MEW9Eiyiv+X5iTm9XlMibmJzm7wd8gK276UdD1kro54IeQDqD?=
 =?us-ascii?Q?Mk2arO8rehCkOvflDN/dN8fmQj3y1KM+E4pnajJjnR02I3VAhCxBdIZ8X6OB?=
 =?us-ascii?Q?Lr7JxFPk6x6He8lTb1j5I4LpIrQk0rXC83EM8U6e/FvqUJ35oXPIYWwAgufl?=
 =?us-ascii?Q?zI+sd1FlkSs2t05FvA3brx5/PGHmzh03Nagxh+1ZLS03jQCHyirKFrAwXmVi?=
 =?us-ascii?Q?m/VylGOYzZbQkjzcqSirFtbuxvjJ67thWYjgj8IjHPsZGRMuXP6rmApb2WM7?=
 =?us-ascii?Q?bn8kC8usGTjm6ec7EXIxbrd7KXNkAjgUrOh5rU3ErY3UqDbAYhhVYb5kgAYb?=
 =?us-ascii?Q?dygQZwC6ijrdXvPheDDnUzQ9Ou+wlBhz4zFlZXMIJKZbbV1jt6OKkR7Enz2Y?=
 =?us-ascii?Q?eKYTJypLFDQYnAAZhGlryYV7+8rYzhJu6WFvMx6A8MAy681/0iBD3MMJzzQa?=
 =?us-ascii?Q?85KDp9R5n0mNRwcXIGnkAsbueKj3RcTgrkrXCyZDK/Mb/Z1VZuJwsHTRtmBO?=
 =?us-ascii?Q?4miOYKP8ezdZ5HDSJMmlLl9yEgnfjHBAW5o7OgUa1N5k3nh6WqbeZiXttKbd?=
 =?us-ascii?Q?twY7JWXUz3qpl/lT8ivxngXOJWqKF3SjnhBmnk9rYzR4KWF2In3aiO1dBDDx?=
 =?us-ascii?Q?nb+YfD3NFu7Sbt7WckvFLpuWB0/jTeyCOu68gDcWkhpbMmLp4i7kaN1BmgIp?=
 =?us-ascii?Q?SZycgU8/LNz5tFxazaaJGxV7n4FWmsTbQifs6BQllSHpdmHOAVjNhQ8LOUi3?=
 =?us-ascii?Q?ThFGHMSSkLzezFB6t9yQomweY5F89IE7I1/d4P9ug7z9yV0jZIFkRfvLRG1Q?=
 =?us-ascii?Q?fCe8qLJFODGduX2LH3RQq8pgw1efkAAwj+F+ZVCWIJkyhwMCUqqTgbnBWh07?=
 =?us-ascii?Q?bVRDVpd5IIc+swfiRZehKF2U7/g/yiPsj0aoPkW0Fz1ItVqNFPRfyJXEuYw5?=
 =?us-ascii?Q?tlgug2Xm66+RjeOj+rrwx/gikXS2Z2wwpG1t6Z0WQyyNxIF/Ryt3dMHW2wBT?=
 =?us-ascii?Q?0osbFZzFZhgr+hUvBk6HKLza+CxEuD/HeJV6Ovd3O/7PC01rDqt9C7EyEHqK?=
 =?us-ascii?Q?KJ84d9UaeSOXp2Ki6A6DdH1odfmbVCVQIVzQ44RdWhoeKtrMuz2F4ojXXfvM?=
 =?us-ascii?Q?+mTPzNZp+vkUe0JYVWk=3D?=
MIME-Version: 1.0
X-OriginatorOrg: stowers.org
X-MS-Exchange-CrossTenant-AuthAs: Internal
X-MS-Exchange-CrossTenant-AuthSource: DS7PR20MB4671.namprd20.prod.outlook.com
X-MS-Exchange-CrossTenant-Network-Message-Id: f2c3f11b-42f6-46fb-0335-08dade1d10b7
X-MS-Exchange-CrossTenant-originalarrivaltime: 14 Dec 2022 21:49:24.2037 (UTC)
X-MS-Exchange-CrossTenant-fromentityheader: Hosted
X-MS-Exchange-CrossTenant-id: 3ab7a17c-a0ab-4280-b9f3-bb144eebee49
X-MS-Exchange-CrossTenant-mailboxtype: HOSTED
X-MS-Exchange-CrossTenant-userprincipalname: Bi0jQD3h0oGdixgzulTE8dLhk1sJUKUEyGfnFtlPi/qOSuVGfjAu2THqeLnEaqbL
X-MS-Exchange-Transport-CrossTenantHeadersStamped: SA1PR20MB6193
X-Mimecast-Spam-Score: 0
X-Mimecast-Originator: stowers.org
Content-Language: en-US
Content-Type: text/plain; charset=WINDOWS-1252
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 59882
Cc: David Masterson <dsmasterson@HIDDEN>,
 "emacs-orgmode@HIDDEN" <emacs-orgmode@HIDDEN>,
 "michel@HIDDEN" <michel@HIDDEN>,
 "59882 <at> debbugs.gnu.org" <59882 <at> debbugs.gnu.org>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

>On a related note, is it normal that package like org-mouse.el gets
>loaded upon calling C-h f org-mouse- <TAB> completion prompt?
>org-mouse.el does not contain a single autoload cookie.

There need not be which is apparently by design:

The autoload happens as a consequence of emacs' documented feature to [Auto=
load by Prefix](https://www.gnu.org/software/emacs/manual/html_node/elisp/A=
utoload-by-Prefix.html)=20

Given that:

(equal (gethash "org-mouse-"  definition-prefixes) '("org-mouse"))






Information forwarded to bug-gnu-emacs@HIDDEN:
bug#59882; Package emacs. Full text available.

Message received at 59882 <at> debbugs.gnu.org:


Received: (at 59882) by debbugs.gnu.org; 14 Dec 2022 16:03:06 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Dec 14 11:03:06 2022
Received: from localhost ([127.0.0.1]:40067 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1p5UDq-0004gD-23
	for submit <at> debbugs.gnu.org; Wed, 14 Dec 2022 11:03:06 -0500
Received: from mail-lf1-f43.google.com ([209.85.167.43]:38655)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <manikulin@HIDDEN>) id 1p5UDm-0004fq-J1
 for 59882 <at> debbugs.gnu.org; Wed, 14 Dec 2022 11:03:04 -0500
Received: by mail-lf1-f43.google.com with SMTP id g7so11227009lfv.5
 for <59882 <at> debbugs.gnu.org>; Wed, 14 Dec 2022 08:03:02 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=content-transfer-encoding:in-reply-to:from:references:cc:to
 :content-language:subject:user-agent:mime-version:date:message-id
 :sender:from:to:cc:subject:date:message-id:reply-to;
 bh=lteJDzTQuVoubfadrMxG21LN5xB/lgSpm2MdUrFvpts=;
 b=XxnzS7tShOQIEWqV+rg4IcitoqI+366uIO7CXBDoEdUElG+hNIEQKR0BVh8I/FB2w+
 K0cuAU4aC8uylyqJjMFxXPUrcAnkUmrGGp/4PZmgL3bRyL93cq0u49fZ2SrjTLFufmOc
 6t7mLbJFjH9n9pG6VEb1AHJfLXKh4EUPgPi7Yrki43a/WXgoTYqcvlfzL2Z1fOQ4Acrx
 SW+MW6aK50Vb4UPkvH3WvQw4LP4/j9LLWN+Exrh8zCGwm/GNY9uZjSm3S6byqA52U84j
 4EECt/7rB5tQRBH5gESZt92sbfw7SQttdoeb2RKbG9WjGoan66KjehIYz6a3faIEWeXH
 PXow==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=content-transfer-encoding:in-reply-to:from:references:cc:to
 :content-language:subject:user-agent:mime-version:date:message-id
 :sender:x-gm-message-state:from:to:cc:subject:date:message-id
 :reply-to;
 bh=lteJDzTQuVoubfadrMxG21LN5xB/lgSpm2MdUrFvpts=;
 b=e5ZDnx7ZkGPHyJyX+zyoAlUvrtpsVMUAr3euEYbZk67pz33y5z+ggsaIkiZGpyRJnX
 3rS90vlVqw5M6iX9My+BthCKJZO7uIDwyjebj2K3E9rhsSMMu2Ye+PJcUqB9a8uzDSDd
 JiL0TwEICTUwo9IHsKpifV5rNNywN69YGql+4K59iH1a3uUs9Z5VDVV79A2PX5rJeyHO
 RLowVLEwZiDjcZ5yb3HHGNJgYua++eYOCSMR9MjFJh5evIHgjmxWWpFMKdHn0XJDeabW
 n2Hi52fHXMjaL1MWI/joVQXM60i4erS0jLmO06dRq45vv18Q7Svw7S03i0kSuoL+rpP9
 hGNQ==
X-Gm-Message-State: ANoB5pkZvwIYt3YXKNFiT46cwfyG0i5FGul+NfakYgkl2HcKzP7GXZ2x
 Sr6ytsS/sFGdMFTTAfmxcvk=
X-Google-Smtp-Source: AA0mqf4aACmZ6ZhYM4EzY3rwSIEAqjyqS5aIclKriB4CXfaTq4BImwC1ep9LAMvpJWnb0m6D3LVGeQ==
X-Received: by 2002:a05:6512:2102:b0:4b5:6c36:79a4 with SMTP id
 q2-20020a056512210200b004b56c3679a4mr6365584lfr.65.1671033776185; 
 Wed, 14 Dec 2022 08:02:56 -0800 (PST)
Received: from [192.168.0.101] (nat-0-0.nsk.sibset.net. [5.44.169.188])
 by smtp.googlemail.com with ESMTPSA id
 l11-20020a19494b000000b004b551505c29sm852044lfj.218.2022.12.14.08.02.54
 (version=TLS1_3 cipher=TLS_AES_128_GCM_SHA256 bits=128/128);
 Wed, 14 Dec 2022 08:02:55 -0800 (PST)
Message-ID: <3bf2e057-4204-cdc8-0847-39a723db4fc8@HIDDEN>
Date: Wed, 14 Dec 2022 23:02:53 +0700
MIME-Version: 1.0
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:102.0) Gecko/20100101
 Thunderbird/102.4.2
Subject: Re: bug#59882: Multiple versions of Org in load-path problem
Content-Language: en-US
To: Stefan Monnier <monnier@HIDDEN>,
 Ihor Radchenko <yantar92@HIDDEN>
References: <SJ0PR03MB54550C18409A8F2DF921A77DA21B9@HIDDEN>
 <87tu27jq7h.fsf@localhost>
 <SJ0PR03MB5455E1FA2C2887B0200CA8B6A21D9@HIDDEN>
 <SJ0PR03MB54559D5E6849C26AAF6CA044A21D9@HIDDEN>
 <87k032nyok.fsf@localhost>
 <SJ0PR03MB54550C7727696BE317D0DD13A21D9@HIDDEN>
 <39a5810d-75bc-4ddb-8722-703f762ed4de@HIDDEN>
 <SJ0PR03MB5455B76B26B72A11E965BFE2A21D9@HIDDEN>
 <835yel11x8.fsf@HIDDEN> <87edt2qpoa.fsf@localhost> <83359innsp.fsf@HIDDEN>
 <87pmcmt8cc.fsf@localhost> <jwvfsdi6or0.fsf-monnier+emacs@HIDDEN>
From: Max Nikulin <manikulin@HIDDEN>
In-Reply-To: <jwvfsdi6or0.fsf-monnier+emacs@HIDDEN>
Content-Type: text/plain; charset=UTF-8; format=flowed
Content-Transfer-Encoding: 7bit
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 59882
Cc: Eli Zaretskii <eliz@HIDDEN>, emacs-orgmode@HIDDEN, 59882 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

On 14/12/2022 21:35, Stefan Monnier wrote:
> 
>>      Like I said in another message that I sent just before receiving yours
>>      my conclusion came from the fact that hitting 'C-h v' with the cursor
>>      on 'org-goto-interface' provided nothing.  It was the first time this
>>      ever happened to me.  I did try to explicitly enter the variable's
>>      name by entering 'org-goto<TAB>', which (like 'org-go<TAB>') is not
>>      enough: it is completed to 'org--goto'.
> 
> AFAICT this is a missing feature: we obey `help-enable-autoload` in
> `describe-function` but we fail to do the same autoloading dance in
> `describe-variable`.

I think, the difference is interactive vs. non-interactive calls rather 
than `describe-function' vs. `describe-variable'. What misses this 
feature is `customize-variable'.

Completion failure for "org-to" happened because result of 
`register-definition-prefixes' calls is not considered as options. I am 
aware that it may give false positives, but I still believe they should 
be added.

Though I believe that org mixed version issue happens due to 
transitional dependency of some third party package on org or something 
like (require 'org-protocol) that can not be loaded on demand.





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#59882; Package emacs. Full text available.

Message received at 59882 <at> debbugs.gnu.org:


Received: (at 59882) by debbugs.gnu.org; 14 Dec 2022 14:35:43 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Dec 14 09:35:43 2022
Received: from localhost ([127.0.0.1]:39625 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1p5SrH-0001LV-EH
	for submit <at> debbugs.gnu.org; Wed, 14 Dec 2022 09:35:43 -0500
Received: from mailscanner.iro.umontreal.ca ([132.204.25.50]:50344)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <monnier@HIDDEN>) id 1p5SrF-0001LN-Tg
 for 59882 <at> debbugs.gnu.org; Wed, 14 Dec 2022 09:35:42 -0500
Received: from pmg2.iro.umontreal.ca (localhost.localdomain [127.0.0.1])
 by pmg2.iro.umontreal.ca (Proxmox) with ESMTP id 272678078F;
 Wed, 14 Dec 2022 09:35:36 -0500 (EST)
Received: from mail01.iro.umontreal.ca (unknown [172.31.2.1])
 by pmg2.iro.umontreal.ca (Proxmox) with ESMTP id 64CD580723;
 Wed, 14 Dec 2022 09:35:34 -0500 (EST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=iro.umontreal.ca;
 s=mail; t=1671028534;
 bh=P2Z6TSz8LyNM3DixZFbYamYX4fXNuX1vB+9jB3KOs3A=;
 h=From:To:Cc:Subject:In-Reply-To:References:Date:From;
 b=YyxtmuuxALBl5WnbYVzi/qat/AC+so2R2IPTn0xvvImimR44E2AE7O6bFp/hpu6UD
 HQ+9d/D3nxEhQfeAVWfAcB9JtukKWg2opEvVYlaArWa+TZKSuNic3OZ/Corjm0FlAj
 zQAkIxsaLLMWq8lTT0z+9ZEbaHxjIaTkfvO08SERt9VON97Mote8zWxUmy+URfRVwx
 Ntfw370bimD/hQCDBsTUxoG9EotbehI9vsxZQx/+eojkCGFCmtiX3tt/Wrv6CcxOwn
 qAR8D8IcFJqjfmpGQfXXH4OviUaJKM0cdo68uJlG73xv57xnlbzYa00nmwnOT6K14P
 uVLxNfUAH0GMA==
Received: from pastel (unknown [45.72.193.52])
 by mail01.iro.umontreal.ca (Postfix) with ESMTPSA id 21648120409;
 Wed, 14 Dec 2022 09:35:34 -0500 (EST)
From: Stefan Monnier <monnier@HIDDEN>
To: Ihor Radchenko <yantar92@HIDDEN>
Subject: Re: bug#59882: Multiple versions of Org in load-path problem
In-Reply-To: <87pmcmt8cc.fsf@localhost> (Ihor Radchenko's message of "Wed, 14
 Dec 2022 13:37:07 +0000")
Message-ID: <jwvfsdi6or0.fsf-monnier+emacs@HIDDEN>
References: <SJ0PR03MB54550C18409A8F2DF921A77DA21B9@HIDDEN>
 <87tu27jq7h.fsf@localhost>
 <SJ0PR03MB5455E1FA2C2887B0200CA8B6A21D9@HIDDEN>
 <SJ0PR03MB54559D5E6849C26AAF6CA044A21D9@HIDDEN>
 <87k032nyok.fsf@localhost>
 <SJ0PR03MB54550C7727696BE317D0DD13A21D9@HIDDEN>
 <39a5810d-75bc-4ddb-8722-703f762ed4de@HIDDEN>
 <SJ0PR03MB5455B76B26B72A11E965BFE2A21D9@HIDDEN>
 <835yel11x8.fsf@HIDDEN> <87edt2qpoa.fsf@localhost>
 <83359innsp.fsf@HIDDEN> <87pmcmt8cc.fsf@localhost>
Date: Wed, 14 Dec 2022 09:35:32 -0500
User-Agent: Gnus/5.13 (Gnus v5.13)
MIME-Version: 1.0
Content-Type: text/plain
X-SPAM-INFO: Spam detection results:  0
 ALL_TRUSTED                -1 Passed through trusted hosts only via SMTP
 AWL -0.335 Adjusted score from AWL reputation of From: address
 BAYES_00                 -1.9 Bayes spam probability is 0 to 1%
 DKIM_SIGNED               0.1 Message has a DKIM or DK signature,
 not necessarily valid
 DKIM_VALID -0.1 Message has at least one valid DKIM or DK signature
 DKIM_VALID_AU -0.1 Message has a valid DKIM or DK signature from author's
 domain
X-SPAM-LEVEL: 
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 59882
Cc: dsmasterson@HIDDEN, Eli Zaretskii <eliz@HIDDEN>, emacs-orgmode@HIDDEN,
 michel@HIDDEN, 59882 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> similar issues with several important Org components (ol-* and ob-*). In
> particular, ob-*.el packages affect Org simply by defining function
> symbols with specific name patters (by ob-core.el design).
> Achieving no side effects is difficult in practice.

That's true.  It can be a balancing act.

> Also, note that side effects are not uncommon in Elisp packages.
> Including, built-ins, like rect.el.
> dired+ comes to mind among popular third-party packages.

Most of them are plain bugs, tho (typically fixed by introducing an
autoloaded minor-mode, so the package is activated by enabling the
minor mode rather than by `require`ing the package).

>     Like I said in another message that I sent just before receiving yours
>     my conclusion came from the fact that hitting 'C-h v' with the cursor
>     on 'org-goto-interface' provided nothing.  It was the first time this
>     ever happened to me.  I did try to explicitly enter the variable's
>     name by entering 'org-goto<TAB>', which (like 'org-go<TAB>') is not
>     enough: it is completed to 'org--goto'.

AFAICT this is a missing feature: we obey `help-enable-autoload` in
`describe-function` but we fail to do the same autoloading dance in
`describe-variable`.


        Stefan





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#59882; Package emacs. Full text available.

Message received at 59882 <at> debbugs.gnu.org:


Received: (at 59882) by debbugs.gnu.org; 14 Dec 2022 14:25:27 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Dec 14 09:25:27 2022
Received: from localhost ([127.0.0.1]:39565 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1p5ShL-0001EU-B6
	for submit <at> debbugs.gnu.org; Wed, 14 Dec 2022 09:25:27 -0500
Received: from mailscanner.iro.umontreal.ca ([132.204.25.50]:29079)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <monnier@HIDDEN>) id 1p5ShJ-0001EO-6f
 for 59882 <at> debbugs.gnu.org; Wed, 14 Dec 2022 09:25:25 -0500
Received: from pmg3.iro.umontreal.ca (localhost [127.0.0.1])
 by pmg3.iro.umontreal.ca (Proxmox) with ESMTP id E3C9C440C61;
 Wed, 14 Dec 2022 09:25:19 -0500 (EST)
Received: from mail01.iro.umontreal.ca (unknown [172.31.2.1])
 by pmg3.iro.umontreal.ca (Proxmox) with ESMTP id 6F014440989;
 Wed, 14 Dec 2022 09:25:18 -0500 (EST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=iro.umontreal.ca;
 s=mail; t=1671027918;
 bh=/96otOORWWLRbV9VU7Csfw0P98buPkk1QKic9zzYEQE=;
 h=From:To:Cc:Subject:In-Reply-To:References:Date:From;
 b=HTbQkdBz7fGzZQKgeB/sY/37VKJJVrlroT+DHhOQ82OPs7ndmiPi5DBT6h6SUvh79
 rvMxgj60dr6YQqerebMOMXlNgYsF5T9O9y2JO17kTEPu/m6QhUjqYlk90sKIS9ZnGZ
 dyoLC995mYRrZs7/sqgOXCK/Y4thWIbwLZAx+iQqmbFRYv6EWcSLRhDZlROsmPu/zS
 Z1xfdL8hM0zOThQNKmD9sX9vi+vKUmijxurcKanBlEkgBBgUO4hyMunMd9ffPkCBHy
 psm66REiCM8zQRuqah4Ls56ZYiqTJGECo6yqZoT5h9PC63qUupIKW7JuYa0GY5cDkh
 ascn7q6Xtg/3Q==
Received: from pastel (unknown [45.72.193.52])
 by mail01.iro.umontreal.ca (Postfix) with ESMTPSA id 31DBE1202FF;
 Wed, 14 Dec 2022 09:25:18 -0500 (EST)
From: Stefan Monnier <monnier@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#59882: Multiple versions of Org in load-path problem
In-Reply-To: <83359innsp.fsf@HIDDEN> (Eli Zaretskii's message of "Wed, 14 Dec
 2022 14:59:50 +0200")
Message-ID: <jwvlena6p5s.fsf-monnier+emacs@HIDDEN>
References: <SJ0PR03MB54550C18409A8F2DF921A77DA21B9@HIDDEN>
 <87tu27jq7h.fsf@localhost>
 <SJ0PR03MB5455E1FA2C2887B0200CA8B6A21D9@HIDDEN>
 <SJ0PR03MB54559D5E6849C26AAF6CA044A21D9@HIDDEN>
 <87k032nyok.fsf@localhost>
 <SJ0PR03MB54550C7727696BE317D0DD13A21D9@HIDDEN>
 <39a5810d-75bc-4ddb-8722-703f762ed4de@HIDDEN>
 <SJ0PR03MB5455B76B26B72A11E965BFE2A21D9@HIDDEN>
 <835yel11x8.fsf@HIDDEN> <87edt2qpoa.fsf@localhost>
 <83359innsp.fsf@HIDDEN>
Date: Wed, 14 Dec 2022 09:25:17 -0500
User-Agent: Gnus/5.13 (Gnus v5.13)
MIME-Version: 1.0
Content-Type: text/plain
X-SPAM-INFO: Spam detection results:  0
 ALL_TRUSTED                -1 Passed through trusted hosts only via SMTP
 AWL -0.386 Adjusted score from AWL reputation of From: address
 BAYES_00                 -1.9 Bayes spam probability is 0 to 1%
 DKIM_SIGNED               0.1 Message has a DKIM or DK signature,
 not necessarily valid
 DKIM_VALID -0.1 Message has at least one valid DKIM or DK signature
 DKIM_VALID_AU -0.1 Message has a valid DKIM or DK signature from author's
 domain
X-SPAM-LEVEL: 
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 59882
Cc: dsmasterson@HIDDEN, Ihor Radchenko <yantar92@HIDDEN>,
 emacs-orgmode@HIDDEN, michel@HIDDEN, 59882 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

>> On a related note, is it normal that package like org-mouse.el gets
>> loaded upon calling C-h f org-mouse- <TAB> completion prompt?

Yes.  See `help-enable-completion-autoload`.

>> I am asking because org-mouse.el advises some functions and its loading
>> may cause unexpected consequences. See
>> https://orgmode.org/list/87r0x6sju1.fsf@HIDDEN
> I think org-mouse.el should be fixed not to cause such effects just by
> loading it.  It should do that only when it is actually used.

Exactly.  Merely loading a file should not affect Emacs's behavior in
any significant way.


        Stefan





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#59882; Package emacs. Full text available.

Message received at 59882 <at> debbugs.gnu.org:


Received: (at 59882) by debbugs.gnu.org; 14 Dec 2022 13:37:22 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Dec 14 08:37:22 2022
Received: from localhost ([127.0.0.1]:39328 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1p5Rwn-0000dV-Lc
	for submit <at> debbugs.gnu.org; Wed, 14 Dec 2022 08:37:22 -0500
Received: from mout02.posteo.de ([185.67.36.66]:42315)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <yantar92@HIDDEN>) id 1p5Rwk-0000dC-9U
 for 59882 <at> debbugs.gnu.org; Wed, 14 Dec 2022 08:37:20 -0500
Received: from submission (posteo.de [185.67.36.169]) 
 by mout02.posteo.de (Postfix) with ESMTPS id C0F4B240101
 for <59882 <at> debbugs.gnu.org>; Wed, 14 Dec 2022 14:37:10 +0100 (CET)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=posteo.net; s=2017;
 t=1671025032; bh=Gr4nifMs3Zi1HNjroKOduCZ222EKSliwaLCk/EWd9mY=;
 h=From:To:Cc:Subject:Date:From;
 b=muhapMOjb9B1Xo0G8ftJ//V1oGn5KH0LCR/txyCEdMd9CNR57ZgSYf1NjpX3tM4m0
 tGFoz8njnAp+PEFGARKiwlfoYn7aIrailZqzOwllZ/LjrHEsljuqA9vadSPnnU5ZyP
 HX+Wtdbf77OGBRFT4lJZgdtoKdsQQzD6VWQegZ5UZ7LM09UsqeeXxTF6+A9TUGzBjQ
 84pbSWG2A/xDldzHIwvjxnqZgNLQeQLvlg6RDD1OAFhCeSkoQTmQ6XmaTxE/Qyuf9u
 V0iQLMDxtRDSZVVczEBvW4tS0HnTBYVOzNDfZPPfmvXeiLk0/0XkLbs6wnb/ABOxfm
 q/IEqWVAOr5SQ==
Received: from customer (localhost [127.0.0.1])
 by submission (posteo.de) with ESMTPSA id 4NXGcj1F8Tz6tmN;
 Wed, 14 Dec 2022 14:37:08 +0100 (CET)
From: Ihor Radchenko <yantar92@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#59882: Multiple versions of Org in load-path problem
In-Reply-To: <83359innsp.fsf@HIDDEN>
References: <SJ0PR03MB54550C18409A8F2DF921A77DA21B9@HIDDEN>
 <87tu27jq7h.fsf@localhost>
 <SJ0PR03MB5455E1FA2C2887B0200CA8B6A21D9@HIDDEN>
 <SJ0PR03MB54559D5E6849C26AAF6CA044A21D9@HIDDEN>
 <87k032nyok.fsf@localhost>
 <SJ0PR03MB54550C7727696BE317D0DD13A21D9@HIDDEN>
 <39a5810d-75bc-4ddb-8722-703f762ed4de@HIDDEN>
 <SJ0PR03MB5455B76B26B72A11E965BFE2A21D9@HIDDEN>
 <835yel11x8.fsf@HIDDEN> <87edt2qpoa.fsf@localhost>
 <83359innsp.fsf@HIDDEN>
Date: Wed, 14 Dec 2022 13:37:07 +0000
Message-ID: <87pmcmt8cc.fsf@localhost>
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 59882
Cc: dsmasterson@HIDDEN, 59882 <at> debbugs.gnu.org, emacs-orgmode@HIDDEN,
 Stefan Monnier <monnier@HIDDEN>, michel@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Eli Zaretskii <eliz@HIDDEN> writes:

>> I am asking because org-mouse.el advises some functions and its loading
>> may cause unexpected consequences. See
>> https://orgmode.org/list/87r0x6sju1.fsf@HIDDEN
>
> I think org-mouse.el should be fixed not to cause such effects just by
> loading it.  It should do that only when it is actually used.

Yes, we plan to do exactly this https://orgmode.org/list/87zgbqqukg.fsf@localhost
However, it will be a breaking backward-incompatible change. And we have
similar issues with several important Org components (ol-* and ob-*). In
particular, ob-*.el packages affect Org simply by defining function
symbols with specific name patters (by ob-core.el design).

Achieving no side effects is difficult in practice.

Also, note that side effects are not uncommon in Elisp packages.
Including, built-ins, like rect.el.
dired+ comes to mind among popular third-party packages.

>> At the same time, we have users complaining about some defcustoms not
>> being available without loading.
>> https://orgmode.org/list/25496.19258.682537.503614@HIDDEN
>
> That's too vague: it talks about "whether a variable exists", which is
> ambiguous.  That a variable is not boundp until its definition is
> loaded is perfectly expected, and I don't think defcustom changes that
> in any way (unless you autoload the defcustom, which is considered not
> the best style around here).
>
> So I guess some clarification is in order: what exactly was the
> problem with that variable being "nonexistent"?

Agree. See the quote below:
https://list.orgmode.org/orgmode/25497.41832.663858.836948@HIDDEN/

    Like I said in another message that I sent just before receiving yours
    my conclusion came from the fact that hitting 'C-h v' with the cursor
    on 'org-goto-interface' provided nothing.  It was the first time this
    ever happened to me.  I did try to explicitly enter the variable's
    name by entering 'org-goto<TAB>', which (like 'org-go<TAB>') is not
    enough: it is completed to 'org--goto'.

-- 
Ihor Radchenko // yantar92,
Org mode contributor,
Learn more about Org mode at <https://orgmode.org/>.
Support Org development at <https://liberapay.com/org-mode>,
or support my work at <https://liberapay.com/yantar92>




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#59882; Package emacs. Full text available.

Message received at 59882 <at> debbugs.gnu.org:


Received: (at 59882) by debbugs.gnu.org; 14 Dec 2022 13:00:03 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Dec 14 08:00:03 2022
Received: from localhost ([127.0.0.1]:39101 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1p5RMg-0000AP-Ri
	for submit <at> debbugs.gnu.org; Wed, 14 Dec 2022 08:00:03 -0500
Received: from eggs.gnu.org ([209.51.188.92]:37150)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1p5RMe-00009O-4P
 for 59882 <at> debbugs.gnu.org; Wed, 14 Dec 2022 08:00:01 -0500
Received: from fencepost.gnu.org ([2001:470:142:3::e])
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1p5RMY-0000Ya-Dy; Wed, 14 Dec 2022 07:59:54 -0500
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnu.org;
 s=fencepost-gnu-org; h=References:Subject:In-Reply-To:To:From:Date:
 mime-version; bh=eaedBL0dDVZaLly6EwNHAUf0uD6bdk4MbUi2fyHjTQs=; b=OllkgFQVEdWX
 7w2n/Aa3cO62XpeXyADPN/1Gjbk5uYJLTsiIDy7RadmfCjoTAWcGyuMlN2Z7L49DqDf7SURAQSZY/
 mMJr8wwJFNwuPIw2QDoufqj7WEKA9/G+ZFY24wxzz0QXJBPcEhnoV3GvxuAjOwBsK+jOOQ+6592s0
 OH2yDuIyHBujsxHd+6KvpA048ESetUQLy2VpFxX+8f/dlYRULQcXC5ulEq+fDj083vWV6ERmHQiml
 5ZfKKijkUlMMbz27IddaQUQh/ypwi2g/nq5knnF+IeR6tw2t1hqk/yyhtGYLnqH+YyW75YBRfuXR9
 T0MpfJPPpn2unpSzM+zymA==;
Received: from [87.69.77.57] (helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1p5RMX-0007Ql-UK; Wed, 14 Dec 2022 07:59:54 -0500
Date: Wed, 14 Dec 2022 14:59:50 +0200
Message-Id: <83359innsp.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Ihor Radchenko <yantar92@HIDDEN>,
 Stefan Monnier <monnier@HIDDEN>
In-Reply-To: <87edt2qpoa.fsf@localhost> (message from Ihor Radchenko on Wed,
 14 Dec 2022 09:51:01 +0000)
Subject: Re: bug#59882: Multiple versions of Org in load-path problem
References: <SJ0PR03MB54550C18409A8F2DF921A77DA21B9@HIDDEN>
 <87tu27jq7h.fsf@localhost>
 <SJ0PR03MB5455E1FA2C2887B0200CA8B6A21D9@HIDDEN>
 <SJ0PR03MB54559D5E6849C26AAF6CA044A21D9@HIDDEN>
 <87k032nyok.fsf@localhost>
 <SJ0PR03MB54550C7727696BE317D0DD13A21D9@HIDDEN>
 <39a5810d-75bc-4ddb-8722-703f762ed4de@HIDDEN>
 <SJ0PR03MB5455B76B26B72A11E965BFE2A21D9@HIDDEN>
 <835yel11x8.fsf@HIDDEN> <87edt2qpoa.fsf@localhost>
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 59882
Cc: dsmasterson@HIDDEN, emacs-orgmode@HIDDEN, michel@HIDDEN,
 59882 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: Ihor Radchenko <yantar92@HIDDEN>
> Cc: David Masterson <dsmasterson@HIDDEN>, emacs-orgmode@HIDDEN,
>  michel@HIDDEN, 59882 <at> debbugs.gnu.org
> Date: Wed, 14 Dec 2022 09:51:01 +0000
> 
> On a related note, is it normal that package like org-mouse.el gets
> loaded upon calling C-h f org-mouse- <TAB> completion prompt?
> org-mouse.el does not contain a single autoload cookie.

I think it's expected, because the doc strings need to be loaded.
Stefan, am I right?

> I am asking because org-mouse.el advises some functions and its loading
> may cause unexpected consequences. See
> https://orgmode.org/list/87r0x6sju1.fsf@HIDDEN

I think org-mouse.el should be fixed not to cause such effects just by
loading it.  It should do that only when it is actually used.

> At the same time, we have users complaining about some defcustoms not
> being available without loading.
> https://orgmode.org/list/25496.19258.682537.503614@HIDDEN

That's too vague: it talks about "whether a variable exists", which is
ambiguous.  That a variable is not boundp until its definition is
loaded is perfectly expected, and I don't think defcustom changes that
in any way (unless you autoload the defcustom, which is considered not
the best style around here).

So I guess some clarification is in order: what exactly was the
problem with that variable being "nonexistent"?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#59882; Package emacs. Full text available.

Message received at 59882 <at> debbugs.gnu.org:


Received: (at 59882) by debbugs.gnu.org; 14 Dec 2022 09:51:18 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Dec 14 04:51:18 2022
Received: from localhost ([127.0.0.1]:37965 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1p5OQ1-0007Pc-U6
	for submit <at> debbugs.gnu.org; Wed, 14 Dec 2022 04:51:18 -0500
Received: from mout02.posteo.de ([185.67.36.66]:47691)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <yantar92@HIDDEN>) id 1p5OPz-0007PV-Et
 for 59882 <at> debbugs.gnu.org; Wed, 14 Dec 2022 04:51:16 -0500
Received: from submission (posteo.de [185.67.36.169]) 
 by mout02.posteo.de (Postfix) with ESMTPS id 9C704240104
 for <59882 <at> debbugs.gnu.org>; Wed, 14 Dec 2022 10:51:07 +0100 (CET)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=posteo.net; s=2017;
 t=1671011469; bh=eEar9lDI0ZzeC6utT+dwqfh4waCDbrC7DEv3rFOuqb8=;
 h=From:To:Cc:Subject:Date:From;
 b=BKTHCGasZDIeeqlguqGpPaalTosuX6SuHWalZ2JEAuUMYulb9ZZq/wBQMsedyRvxA
 C4/tk/voikqFEaPKUY2aCO9w1brQXaKgmwmaZzU2e8Xp548KI7bGZzZ0UWQWDLbYy5
 UFgb/d3ehTmMuHHg9fQ19oSRmNmLBlTES0VomiFcEVXtRyhegdHRhm8GGMlR8QWizR
 KnWTqU1WEvhwJcgj6B+xVeK/kWS5gfVBusDQ39d5a7P0vgo3bKtoVAmCIHhrHCG85F
 85fe0PdoxXIHkLBV2eSeftlc6su2BgJm+yTOcfzqrGIrBiwC0oYWRDzRzSgks/7Hpd
 EnavROMbPdcyg==
Received: from customer (localhost [127.0.0.1])
 by submission (posteo.de) with ESMTPSA id 4NX9bs6c41z6tnl;
 Wed, 14 Dec 2022 10:51:03 +0100 (CET)
From: Ihor Radchenko <yantar92@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#59882: Multiple versions of Org in load-path problem
In-Reply-To: <835yel11x8.fsf@HIDDEN>
References: <SJ0PR03MB54550C18409A8F2DF921A77DA21B9@HIDDEN>
 <87tu27jq7h.fsf@localhost>
 <SJ0PR03MB5455E1FA2C2887B0200CA8B6A21D9@HIDDEN>
 <SJ0PR03MB54559D5E6849C26AAF6CA044A21D9@HIDDEN>
 <87k032nyok.fsf@localhost>
 <SJ0PR03MB54550C7727696BE317D0DD13A21D9@HIDDEN>
 <39a5810d-75bc-4ddb-8722-703f762ed4de@HIDDEN>
 <SJ0PR03MB5455B76B26B72A11E965BFE2A21D9@HIDDEN>
 <835yel11x8.fsf@HIDDEN>
Date: Wed, 14 Dec 2022 09:51:01 +0000
Message-ID: <87edt2qpoa.fsf@localhost>
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 59882
Cc: David Masterson <dsmasterson@HIDDEN>, emacs-orgmode@HIDDEN,
 michel@HIDDEN, 59882 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Eli Zaretskii <eliz@HIDDEN> writes:

>> So, 'describe-variable' on org-version causes Org to be loaded?!?
>
> Why is it so surprising?  Is this the first time you see that a Help
> command loads something to do its job?

On a related note, is it normal that package like org-mouse.el gets
loaded upon calling C-h f org-mouse- <TAB> completion prompt?
org-mouse.el does not contain a single autoload cookie.

I am asking because org-mouse.el advises some functions and its loading
may cause unexpected consequences. See
https://orgmode.org/list/87r0x6sju1.fsf@HIDDEN

At the same time, we have users complaining about some defcustoms not
being available without loading.
https://orgmode.org/list/25496.19258.682537.503614@HIDDEN

I feel confused about the situation.

-- 
Ihor Radchenko // yantar92,
Org mode contributor,
Learn more about Org mode at <https://orgmode.org/>.
Support Org development at <https://liberapay.com/org-mode>,
or support my work at <https://liberapay.com/yantar92>




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#59882; Package emacs. Full text available.

Message received at 59882 <at> debbugs.gnu.org:


Received: (at 59882) by debbugs.gnu.org; 10 Dec 2022 14:02:13 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Dec 10 09:02:13 2022
Received: from localhost ([127.0.0.1]:42924 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1p40Qe-0007Pd-R7
	for submit <at> debbugs.gnu.org; Sat, 10 Dec 2022 09:02:13 -0500
Received: from mout01.posteo.de ([185.67.36.65]:42063)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <yantar92@HIDDEN>) id 1p40Qa-0007PX-I9
 for 59882 <at> debbugs.gnu.org; Sat, 10 Dec 2022 09:02:11 -0500
Received: from submission (posteo.de [185.67.36.169]) 
 by mout01.posteo.de (Postfix) with ESMTPS id 01888240028
 for <59882 <at> debbugs.gnu.org>; Sat, 10 Dec 2022 15:02:02 +0100 (CET)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=posteo.net; s=2017;
 t=1670680923; bh=iE/loLF1nT7uop82WEck0qakh6QAgKhg5wgIM+X47F4=;
 h=From:To:Cc:Subject:Date:From;
 b=cRB2j6bH6W9BH1PK2Thp0mqcYm4l5y2IfklxTx2vQZgq+kJRTpzh1VvhrbqqROxMQ
 AsWrU0QkjSzuf1yabt8ipiXhNs2QmJb5DerfHHA0dSK8RPvYDsrgA9c4a4mDGVmIjL
 CwbXaDBrZnskapl1X9RCPdiLkO1v7E2gZSflzjpcjwV+3SXuAzA/Sxkl+GGU7q3KHc
 bQx5RYVyRl3RhuYutaNlz0KGXpx5F1NYDrmvVlBRvNmCjarwLvZ9MlzqBHWJCfUDnV
 9ZsH3NctxlgbfC649TGusINdMm15P3ZMEoyXLZ7uo3BJT8Icf8++XkPw5InbhMCQWv
 buaChdlXdtdhQ==
Received: from customer (localhost [127.0.0.1])
 by submission (posteo.de) with ESMTPSA id 4NTqMF6dqnz9rxS;
 Sat, 10 Dec 2022 15:01:59 +0100 (CET)
From: Ihor Radchenko <yantar92@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#59882: Multiple versions of Org in load-path problem
In-Reply-To: <835yel11x8.fsf@HIDDEN>
References: <SJ0PR03MB54550C18409A8F2DF921A77DA21B9@HIDDEN>
 <87tu27jq7h.fsf@localhost>
 <SJ0PR03MB5455E1FA2C2887B0200CA8B6A21D9@HIDDEN>
 <SJ0PR03MB54559D5E6849C26AAF6CA044A21D9@HIDDEN>
 <87k032nyok.fsf@localhost>
 <SJ0PR03MB54550C7727696BE317D0DD13A21D9@HIDDEN>
 <39a5810d-75bc-4ddb-8722-703f762ed4de@HIDDEN>
 <SJ0PR03MB5455B76B26B72A11E965BFE2A21D9@HIDDEN>
 <835yel11x8.fsf@HIDDEN>
Date: Sat, 10 Dec 2022 14:01:58 +0000
Message-ID: <878rjfs6g9.fsf@localhost>
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 59882
Cc: David Masterson <dsmasterson@HIDDEN>, emacs-orgmode@HIDDEN,
 michel@HIDDEN, 59882 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

Eli Zaretskii <eliz@HIDDEN> writes:

>> In my testing, I found a strange case where, in *scratch*, I get:
>> 
>> (message "%s" org-version)
>> ;; Error undefined
>> ;; Do 'C-h v org-version'
>> (message "%s" org-version)
>> 9.3
>> 
>> So, 'describe-variable' on org-version causes Org to be loaded?!?
>
> Why is it so surprising?  Is this the first time you see that a Help
> command loads something to do its job?

Please note that David's recipe is _not_ what I described in the bug
report.

I am referring to the problem people run into when using M-x
package-install.

AFAIU, package-install must not depend on the older version of a package
being loaded/not loaded.

-- 
Ihor Radchenko // yantar92,
Org mode contributor,
Learn more about Org mode at <https://orgmode.org/>.
Support Org development at <https://liberapay.com/org-mode>,
or support my work at <https://liberapay.com/yantar92>




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#59882; Package emacs. Full text available.

Message received at 59882 <at> debbugs.gnu.org:


Received: (at 59882) by debbugs.gnu.org; 9 Dec 2022 20:27:32 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Dec 09 15:27:32 2022
Received: from localhost ([127.0.0.1]:38292 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1p3jy0-0002tt-6m
	for submit <at> debbugs.gnu.org; Fri, 09 Dec 2022 15:27:32 -0500
Received: from eggs.gnu.org ([209.51.188.92]:56092)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1p3jxy-0002tn-NC
 for 59882 <at> debbugs.gnu.org; Fri, 09 Dec 2022 15:27:31 -0500
Received: from fencepost.gnu.org ([2001:470:142:3::e])
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1p3jxr-00056i-7a; Fri, 09 Dec 2022 15:27:24 -0500
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnu.org;
 s=fencepost-gnu-org; h=References:Subject:In-Reply-To:To:From:Date:
 mime-version; bh=FNVLU/JksVkgaVXKVQMPVCqFsVmNIuSuTQsDToeRViQ=; b=CCSVnLl/pTuo
 FwiowaQjCX4zcgOrSWfkvsmRCkk7Ko58h7e1ViwZoARZ+CitQ2aCg9mEGUqCntS5FIJ6xDVv/o5NZ
 Jk42GznjAWuzyHi9Z05m+iwUL2Aun48ayQCs3SzgcFPAnA3FyAZKm8V5qpkMloELp28z6nvWS3REZ
 tfQltDaIPam+AgChYmm9/rDCDVhbwF95EP4C2Hm4bJ0n0z55CiqNWvbrm5DA1QG540mZ859379pfI
 ixZkHdTTwf7P0y9tDmY8Ev/zqBRDyFhSbuNwAfMfDEAXOYNtrA3RfNkckN7WdZ3kvT3S3yrfkYPhj
 Dzp6/573vyBKpk5VbYGlEw==;
Received: from [87.69.77.57] (helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1p3jxo-0007md-2e; Fri, 09 Dec 2022 15:27:21 -0500
Date: Fri, 09 Dec 2022 22:27:13 +0200
Message-Id: <83359oz5jy.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: David Masterson <dsmasterson@HIDDEN>
In-Reply-To: <SJ0PR03MB545522F5053017127964564BA21C9@HIDDEN>
 (message from David Masterson on Fri, 09 Dec 2022 11:51:29 -0800)
Subject: Re: bug#59882: Multiple versions of Org in load-path problem
References: <SJ0PR03MB54550C18409A8F2DF921A77DA21B9@HIDDEN>
 <87tu27jq7h.fsf@localhost>
 <SJ0PR03MB5455E1FA2C2887B0200CA8B6A21D9@HIDDEN>
 <SJ0PR03MB54559D5E6849C26AAF6CA044A21D9@HIDDEN>
 <87k032nyok.fsf@localhost>
 <SJ0PR03MB54550C7727696BE317D0DD13A21D9@HIDDEN>
 <39a5810d-75bc-4ddb-8722-703f762ed4de@HIDDEN>
 <SJ0PR03MB5455B76B26B72A11E965BFE2A21D9@HIDDEN>
 <835yel11x8.fsf@HIDDEN>
 <SJ0PR03MB54551B455DAEB936213DE09CA21C9@HIDDEN>
 <DS7PR20MB46714DA5A213137BCEF5A2D4BE1C9@HIDDEN>
 <SJ0PR03MB545522F5053017127964564BA21C9@HIDDEN>
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 59882
Cc: MEC@HIDDEN, emacs-orgmode@HIDDEN, michel@HIDDEN,
 59882 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: David Masterson <dsmasterson@HIDDEN>
> Cc: Eli Zaretskii <eliz@HIDDEN>,  "michel@HIDDEN" <michel@HIDDEN>,
>   "emacs-orgmode@HIDDEN" <emacs-orgmode@HIDDEN>,  "59882 <at> debbugs.gnu.org"
>  <59882 <at> debbugs.gnu.org>
> Date: Fri, 09 Dec 2022 11:51:29 -0800
> 
> > https://www.gnu.org/software/emacs/manual/html_node/elisp/Autoload-by-Prefix.html
> >
> > What you observed will NOT happen if you first run:
> >
> > 	(clrhash  definition-prefixes)
> 
> Ah! Thank you.  In many ways, I still think of Emacs from what I learned
> about it in the early 80s (yes, pre-Elisp).  I didn't expect this and,
> so, didn't investigate the possibility that it's planned (the Info
> documentation has gotten huge).  Apologies to Eli.

No apologies needed, we all learn something new about Emacs every day.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#59882; Package emacs. Full text available.

Message received at 59882 <at> debbugs.gnu.org:


Received: (at 59882) by debbugs.gnu.org; 9 Dec 2022 19:51:41 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Dec 09 14:51:41 2022
Received: from localhost ([127.0.0.1]:38125 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1p3jPJ-0002XL-9j
	for submit <at> debbugs.gnu.org; Fri, 09 Dec 2022 14:51:41 -0500
Received: from mail-bn8nam12olkn2024.outbound.protection.outlook.com
 ([40.92.21.24]:29472 helo=NAM12-BN8-obe.outbound.protection.outlook.com)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <outlook_98C99531806B1C22@HIDDEN>)
 id 1p3jPI-0002XF-GL
 for 59882 <at> debbugs.gnu.org; Fri, 09 Dec 2022 14:51:40 -0500
ARC-Seal: i=1; a=rsa-sha256; s=arcselector9901; d=microsoft.com; cv=none;
 b=Dnair/gVdzvC5ihrZPsCB0aI5h3nU6YvdR7skcsPthodskAbh0DgKoX7PU/u/+btvWK+uKvBbnBZsuA7CLePoSxmTABck94rr8Dw5e/CWZ+fobABw34J9XHt7Bp/6TR1OIafVFCP2EUYkwq/X4KZvT+oumIo4sLnFjiL6vaWN64F4VSUwcmAS2UcgqGdsrg6iBJxFdP3ZFxZfF9pOE9jhL4g/kN6ZfFbA5vd9T8RJjVQuFiUXhZ6FHs9hegcoKpygMWRfRpkRQbs6zF/0qVaYuaop5ieSshjyF4CEaJGDJgpE/Ps/Y7xwSAaRlatbpIhh0fXVdbccwJOVQk5el70eQ==
ARC-Message-Signature: i=1; a=rsa-sha256; c=relaxed/relaxed; d=microsoft.com; 
 s=arcselector9901;
 h=From:Date:Subject:Message-ID:Content-Type:MIME-Version:X-MS-Exchange-AntiSpam-MessageData-ChunkCount:X-MS-Exchange-AntiSpam-MessageData-0:X-MS-Exchange-AntiSpam-MessageData-1;
 bh=f2gNQPs6P8nS0anTxgLwmCme79jDGk10ha8PKz0ibHg=;
 b=NHF1iKWcQHTTML/OAESJ3r3XWVw9fCDrv6Pb3kiJZXB8aw21wR7kmw5KVdG4DZ6QLoxS8u+ye47wG7q6no9IaVUsA0/h19muKtO4Zfhbgc+C4zEo2iQyPYKbKvV/f91+cdoCOuToJOGAcLTkwzzguPJowIa1x/nYk1z51PAm6At/sBra/VBp5GsOn52BcX3Orlz+Gdc+GKrSVR4wQDvhhpYN4JYWXTP2wCuCujsjNPpGyF0z0JcFZVB1lgOexYTAOLhrZols5eIXKmKewCZKrhM8Tvry3I8MW2a5QXfjxPdmxBHsrCy6lVNV5084wjvOsHizVcvwwhKWtxdV1Eiq9g==
ARC-Authentication-Results: i=1; mx.microsoft.com 1; spf=none; dmarc=none;
 dkim=none; arc=none
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=outlook.com;
 s=selector1;
 h=From:Date:Subject:Message-ID:Content-Type:MIME-Version:X-MS-Exchange-SenderADCheck;
 bh=f2gNQPs6P8nS0anTxgLwmCme79jDGk10ha8PKz0ibHg=;
 b=Xjv1h5onlj7OrCwx7cG9K4LoZoLkRGmAr2M3tu3aEkh9DT5Uu+EWcpdoH1ubnYcQN1CrW2+HRiwR+sR+Of0hcCmKk7WdrEh8sscQC/W2GHr7cmJXo9IPvoCdf7gRGWjmXXe771ICZrQ/phuYofetK4z4bCjyb265LmZE8tzGQUDaaxkdSahWCbsgSL9VNLf1lfFWkbh1wwRCglregEOzl0L/zccFNV6svmbtHvORvLQzFr+eQIhswBnB0UVMb6tz3FoPql4I1EHi0wt8TVxJMlWAOtDDdZn0u8daI304tuXFbgtHPkjHNoIC3oLyVn4ALfo48X4hMBdH7QcJgLck4A==
Received: from SJ0PR03MB5455.namprd03.prod.outlook.com (2603:10b6:a03:27b::11)
 by MN2PR03MB5344.namprd03.prod.outlook.com (2603:10b6:208:1e0::13)
 with Microsoft SMTP Server (version=TLS1_2,
 cipher=TLS_ECDHE_RSA_WITH_AES_256_GCM_SHA384) id 15.20.5880.16; Fri, 9 Dec
 2022 19:51:33 +0000
Received: from SJ0PR03MB5455.namprd03.prod.outlook.com
 ([fe80::e016:84f7:daad:916e]) by SJ0PR03MB5455.namprd03.prod.outlook.com
 ([fe80::e016:84f7:daad:916e%3]) with mapi id 15.20.5880.018; Fri, 9 Dec 2022
 19:51:33 +0000
From: David Masterson <dsmasterson@HIDDEN>
To: "Cook, Malcolm" <MEC@HIDDEN>
Subject: Re: bug#59882: Multiple versions of Org in load-path problem
References: <SJ0PR03MB54550C18409A8F2DF921A77DA21B9@HIDDEN>
 <87tu27jq7h.fsf@localhost>
 <SJ0PR03MB5455E1FA2C2887B0200CA8B6A21D9@HIDDEN>
 <SJ0PR03MB54559D5E6849C26AAF6CA044A21D9@HIDDEN>
 <87k032nyok.fsf@localhost>
 <SJ0PR03MB54550C7727696BE317D0DD13A21D9@HIDDEN>
 <39a5810d-75bc-4ddb-8722-703f762ed4de@HIDDEN>
 <SJ0PR03MB5455B76B26B72A11E965BFE2A21D9@HIDDEN>
 <835yel11x8.fsf@HIDDEN>
 <SJ0PR03MB54551B455DAEB936213DE09CA21C9@HIDDEN>
 <DS7PR20MB46714DA5A213137BCEF5A2D4BE1C9@HIDDEN>
Date: Fri, 09 Dec 2022 11:51:29 -0800
In-Reply-To: <DS7PR20MB46714DA5A213137BCEF5A2D4BE1C9@HIDDEN>
 (Malcolm Cook's message of "Fri, 9 Dec 2022 19:40:17 +0000")
Message-ID: <SJ0PR03MB545522F5053017127964564BA21C9@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.1 (gnu/linux)
Content-Type: text/plain
X-TMN: [BkItmtRSOj3h7nZT3hlSvMYHnCyj09RjD8yQ+JGuTN/mtwSh7BNRDxHoOgNDKtYQ]
X-ClientProxiedBy: BYAPR11CA0071.namprd11.prod.outlook.com
 (2603:10b6:a03:80::48) To SJ0PR03MB5455.namprd03.prod.outlook.com
 (2603:10b6:a03:27b::11)
X-Microsoft-Original-Message-ID: <87mt7wz77i.fsf@penguin>
MIME-Version: 1.0
X-MS-Exchange-MessageSentRepresentingType: 2
X-MS-PublicTrafficType: Email
X-MS-TrafficTypeDiagnostic: SJ0PR03MB5455:EE_|MN2PR03MB5344:EE_
X-MS-Office365-Filtering-Correlation-Id: bbe1a85c-ff5e-4875-d91b-08dada1ec5d3
X-Microsoft-Antispam: BCL:0;
X-Microsoft-Antispam-Message-Info: Jv0q1k+a52NcEGVBm9fsGSOgiyVHGfzIw/n/Wz9fN3T6hGMh40LXra9DziidTWaybtR1vbYt+/4+/UCXnS3gZz+zwgTtcPFZQPekPjeAIV3uK8f8Uxpn8srzkEuEKa+kxu+DRuve8KDtrqDyyHVXOYQKY/ZEqwS/59hqjmsiDr+txhtixQcMpolZDtwKsm0er3w6RJYemlclsm/sx9GC/y1w1MUFCojCVfk+OKO5a+nImYVfef9KZFGXRf9dkHSFlvNv/PxYhQNELx6QNMxQeADHrfw7EFFeL0xUXQW54187S09FyRkaEF3KnIm0VUGXuJllMyRpmBK3ngjqBKRowKsXsj3B3IBD5CHTiStXu9EWerzgdzEoKr48IwV5Pie3tIEpissAwQLhWEaF6wU/yKoAIUdI9gj5rIvukYx8My/t+61BUu/zQraypy4vULo505hOOz89lZ9OsK3XFORYE8IlVJH0vwEgY8IpUk2j/UeNKjmWnCKXuQmsgTZe7lYXm2uM3hIFNx5adtFN7PdTSRH2NFf0X0MxsAsQhTea0HW/nHaat2v8T2tW+WtzPIKXF/R9m/MFiwZHr/z3NQrx8cqY1YfEmdiO+dDwjOZ0/TOh/cElLCLT/o+aXLqj9kWD9Jv4xC+aeaM+bldYXStKNA==
X-MS-Exchange-AntiSpam-MessageData-ChunkCount: 1
X-MS-Exchange-AntiSpam-MessageData-0: =?us-ascii?Q?RiqXfKoGyYT1iDpiagn0LQ6NmsjQya/H5T76KnIWP3bGvjHpyKqzpltr9l9i?=
 =?us-ascii?Q?q09EhfszlpPZOrjziTTQDykFHozZ+NXrRQRoCYTaLr9AGvhGl0qM6V6jEGS2?=
 =?us-ascii?Q?0traabUazlE1pLFDiq4yJB5SyCYXHTE1mLcahtXXJWgi3L33nMms0KKJ58uY?=
 =?us-ascii?Q?HeUKxg4VhTCRjul1cDiRTniN2Pa3GZqiuJ/tPCNAyjiH1liTclXF3l830Cnl?=
 =?us-ascii?Q?1bcU2j/CyVjQGE9Ggpteot27JphkGosyylxMw6qxNl/oY4YF/k3IRXPXmHFl?=
 =?us-ascii?Q?gl9RbD2FMPY/veTPMsADbcgEjv0jBnEKyB461BLd/LSnmNwf//IwMa24t0mK?=
 =?us-ascii?Q?K0Yft4sckdmMLn199PtldTHOn87KBGYT7MmSnzPS4pxYSkiHHNvwFQgMkCr+?=
 =?us-ascii?Q?bVtDPQojw7Ji1CwLs4OrV+lgNY7akYWQFv/LljeKTctmQ5/FPpqQC+XsPLz5?=
 =?us-ascii?Q?sJdBygl9FOC9LseQ1WPJjBOwsiACWHi/D5/CKkmZQ+bcDykwLyzERhDckooe?=
 =?us-ascii?Q?ioBroFTrl9q6xjaTT3HAHspJJidGmULuNyJJo1t6MnQqAN7lrbYoYjc0MR32?=
 =?us-ascii?Q?OvxHLw4HbhfJPuw6+Xs70jcd8g8d5jmPArTGRkDewCL+LpOldzrpMzRnwYCi?=
 =?us-ascii?Q?pu/yNb8ciahCN7D2/NlZk3+fzXNQ3i19E8cNoXt4hSEa/RYiLkwapVD4HeFa?=
 =?us-ascii?Q?CQfGE5z1SDOaYQjeGCbo8HIG3fB/1uTWDHwj+JmQ8wzXKxkE4al33V+/ZJ9q?=
 =?us-ascii?Q?qZxdaQgA4Metm/sg/fXdaHMj2MdAXBQyvS3WMB7E69WYfzb4JmERM4XMCeuW?=
 =?us-ascii?Q?l0G1yTKBmuvuTO6GCS+1EZaM/iHCxxbibTe72bu5bR6826QeZVpwt7Jds2ym?=
 =?us-ascii?Q?+fbhVv1GQVjnfvWnTxf/g9/P6ahHlvmWCCgcqeT3qFrjE0GdTqZGp2s36YH6?=
 =?us-ascii?Q?wNIBg45JaXcD3i0Vh8aBb+F2CLKWQ1ARLOP2WaDfEh0t5GT56M4tvU8yU8YT?=
 =?us-ascii?Q?KGlN6qm42K0vBr1wmKpKvldWQ1zaY7FXTOs/LAX8X2lGsKzeH9vwP505ZsyO?=
 =?us-ascii?Q?uJYvZcuIECzFei046o1n6uYrNLadzAm5hxSjx77nbM03cyAh6nqEGakhBmax?=
 =?us-ascii?Q?IMcsi8FSdYiJaMPUw52v/4BsI1ixsFohsosEcSA1nAcwLWgUODbnLSw2h42a?=
 =?us-ascii?Q?4sWi06yXOQuHM48TSWdV9DnEpYbpWTbnOPwiSTzrFnUJfE7Sd9OozThAZqvP?=
 =?us-ascii?Q?0cz26fTQSxvCI07R5dZOCnAQ6lKhc9mbDQOGxMykPk75bRSwYeEN6jaCEfR9?=
 =?us-ascii?Q?sJaUmmS0keSbxHhttZdphPsGzjAua0Ll0+T2dfoz6u1JGwUfx9DBCzCAKs61?=
 =?us-ascii?Q?ZmEOXzDhtoIfXPL2Lmvk9NSZLBeP?=
X-OriginatorOrg: outlook.com
X-MS-Exchange-CrossTenant-Network-Message-Id: bbe1a85c-ff5e-4875-d91b-08dada1ec5d3
X-MS-Exchange-CrossTenant-AuthSource: SJ0PR03MB5455.namprd03.prod.outlook.com
X-MS-Exchange-CrossTenant-AuthAs: Internal
X-MS-Exchange-CrossTenant-OriginalArrivalTime: 09 Dec 2022 19:51:33.1246 (UTC)
X-MS-Exchange-CrossTenant-FromEntityHeader: Hosted
X-MS-Exchange-CrossTenant-Id: 84df9e7f-e9f6-40af-b435-aaaaaaaaaaaa
X-MS-Exchange-CrossTenant-RMS-PersistedConsumerOrg: 00000000-0000-0000-0000-000000000000
X-MS-Exchange-Transport-CrossTenantHeadersStamped: MN2PR03MB5344
X-Spam-Score: 1.5 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview:  "Cook, Malcolm" writes: >> Eli Zaretskii writes: >> >> >>
 Cc: emacs-orgmode@HIDDEN, 59882 <at> debbugs.gnu.org >> >> From: David Masterson
 >> >> Date: Thu, 08 Dec 2022 13:56:03 -0800 >> >> >> >> In my testing, I
 found a stra [...] 
 Content analysis details:   (1.5 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 1.0 FORGED_GMAIL_RCVD      'From' gmail.com does not match 'Received'
 headers
 0.2 HEADER_FROM_DIFFERENT_DOMAINS From and EnvelopeFrom 2nd level
 mail domains are different
 -0.0 SPF_HELO_PASS          SPF: HELO matches SPF record
 0.2 FREEMAIL_ENVFROM_END_DIGIT Envelope-from freemail username ends
 in digit (outlook_98c99531806b1c22[at]outlook.com)
 0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail
 provider (dsmasterson[at]gmail.com)
 -0.0 SPF_PASS               SPF: sender matches SPF record
 -0.0 RCVD_IN_DNSWL_NONE     RBL: Sender listed at https://www.dnswl.org/,
 no trust [40.92.21.24 listed in list.dnswl.org]
 0.0 FREEMAIL_FORGED_FROMDOMAIN 2nd level domains in From and
 EnvelopeFrom freemail headers are different
X-Debbugs-Envelope-To: 59882
Cc: Eli Zaretskii <eliz@HIDDEN>,
 "emacs-orgmode@HIDDEN" <emacs-orgmode@HIDDEN>,
 "michel@HIDDEN" <michel@HIDDEN>,
 "59882 <at> debbugs.gnu.org" <59882 <at> debbugs.gnu.org>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.5 (/)

"Cook, Malcolm" <MEC@HIDDEN> writes:

>> Eli Zaretskii <eliz@HIDDEN> writes:
>> 
>> >> Cc: emacs-orgmode@HIDDEN, 59882 <at> debbugs.gnu.org
>> >> From: David Masterson <dsmasterson@HIDDEN>
>> >> Date: Thu, 08 Dec 2022 13:56:03 -0800
>> >>
>> >> In my testing, I found a strange case where, in *scratch*, I get:
>> >>
>> >> (message "%s" org-version)
>> >> ;; Error undefined
>> >> ;; Do 'C-h v org-version'
>> >> (message "%s" org-version)
>> >> 9.3
>> >>
>> >> So, 'describe-variable' on org-version causes Org to be loaded?!?
>> >
>> > Why is it so surprising?  Is this the first time you see that a Help
>> > command loads something to do its job?
>> 
>> Yes, it is surprising.  How did Emacs know to load Org to find org-version? 
>
> This is provided for via emacs' autoload by prefix mechanism.
>
> See:
>
> https://www.gnu.org/software/emacs/manual/html_node/elisp/Autoload-by-Prefix.html
>
> What you observed will NOT happen if you first run:
>
> 	(clrhash  definition-prefixes)

Ah! Thank you.  In many ways, I still think of Emacs from what I learned
about it in the early 80s (yes, pre-Elisp).  I didn't expect this and,
so, didn't investigate the possibility that it's planned (the Info
documentation has gotten huge).  Apologies to Eli.

-- 
David Masterson




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#59882; Package emacs. Full text available.

Message received at 59882 <at> debbugs.gnu.org:


Received: (at 59882) by debbugs.gnu.org; 9 Dec 2022 19:48:06 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Dec 09 14:48:06 2022
Received: from localhost ([127.0.0.1]:38096 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1p3jLp-0002Tq-Sh
	for submit <at> debbugs.gnu.org; Fri, 09 Dec 2022 14:48:06 -0500
Received: from us-smtp-delivery-170.mimecast.com ([170.10.133.170]:52287)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mec@HIDDEN>) id 1p3jLn-0002TY-Ty
 for 59882 <at> debbugs.gnu.org; Fri, 09 Dec 2022 14:48:04 -0500
Received: from NAM10-DM6-obe.outbound.protection.outlook.com
 (mail-dm6nam10lp2108.outbound.protection.outlook.com [104.47.58.108]) by
 relay.mimecast.com with ESMTP with STARTTLS (version=TLSv1.2,
 cipher=TLS_ECDHE_RSA_WITH_AES_256_GCM_SHA384) id
 us-mta-84-Lwj4GNbqPMSUcHdFs5dcXw-1; Fri, 09 Dec 2022 14:48:01 -0500
X-MC-Unique: Lwj4GNbqPMSUcHdFs5dcXw-1
Received: from DS7PR20MB4671.namprd20.prod.outlook.com (2603:10b6:8:79::16) by
 CH0PR20MB3851.namprd20.prod.outlook.com (2603:10b6:610:dd::12) with
 Microsoft
 SMTP Server (version=TLS1_2, cipher=TLS_ECDHE_RSA_WITH_AES_256_GCM_SHA384) id
 15.20.5880.13; Fri, 9 Dec 2022 19:48:00 +0000
Received: from DS7PR20MB4671.namprd20.prod.outlook.com
 ([fe80::a2ca:ae14:c459:fc31]) by DS7PR20MB4671.namprd20.prod.outlook.com
 ([fe80::a2ca:ae14:c459:fc31%4]) with mapi id 15.20.5880.016; Fri, 9 Dec 2022
 19:48:00 +0000
From: "Cook, Malcolm" <MEC@HIDDEN>
To: David Masterson <dsmasterson@HIDDEN>, Michel Schinz <michel@HIDDEN>
Subject: RE: Multiple versions of Org in load-path problem
Thread-Topic: Multiple versions of Org in load-path problem
Thread-Index: AQHZCR5eZDy5J6kF+UuTmomTbhGr6K5ibgoAgADrUJ6AAD7mboAAAlGAgAC5oRiAADryuoABbA5g
Date: Fri, 9 Dec 2022 19:47:59 +0000
Message-ID: <DS7PR20MB4671E666B1A808154B54A408BE1C9@HIDDEN>
References: <SJ0PR03MB54550C18409A8F2DF921A77DA21B9@HIDDEN>
 <87tu27jq7h.fsf@localhost>
 <SJ0PR03MB5455E1FA2C2887B0200CA8B6A21D9@HIDDEN>
 <SJ0PR03MB54559D5E6849C26AAF6CA044A21D9@HIDDEN>
 <87k032nyok.fsf@localhost>
 <SJ0PR03MB54550C7727696BE317D0DD13A21D9@HIDDEN>
 <39a5810d-75bc-4ddb-8722-703f762ed4de@HIDDEN>
 <SJ0PR03MB5455B76B26B72A11E965BFE2A21D9@HIDDEN>
In-Reply-To: <SJ0PR03MB5455B76B26B72A11E965BFE2A21D9@HIDDEN>
Accept-Language: en-US
X-MS-Has-Attach: 
X-MS-TNEF-Correlator: 
x-ms-publictraffictype: Email
x-ms-traffictypediagnostic: DS7PR20MB4671:EE_|CH0PR20MB3851:EE_
x-ms-office365-filtering-correlation-id: 9304fad3-32f7-4301-a67d-08dada1e46ec
x-ms-exchange-senderadcheck: 1
x-ms-exchange-antispam-relay: 0
x-microsoft-antispam: BCL:0
x-microsoft-antispam-message-info: 33kYtYfbspyhOnsNf2ys2WeQvewvTfFhy5zQhfD4OcBLusq8d9MOny81i0N3lpFKZZWretA7JJjO7EnGylJXTTbdUAaYS/IMosP1cdko2/R0LMdbgzizeFy+uHrdTOgOcISmMIGZxXegCDMZGXs5xxXWC3gJMNXNzkBN7uJBRiuhNB9xhZCambqtTqsyxMi/HVAEmCEq7nzO5MM9aG23lPJCqWxPgv75z1EZYpnC2asnYp4JFrw9YccNdCzNK8cBQH3zPqbihTZZGKdDW4L6U5x9zrxcssz1aeLW63XNUHTO30sqPe6/q5jOFNY3oGK40kSEyOGtDTtIXAzxuZo0A+gQiflJxsGnmx05pcf/yOCPOnpbkNRLtjGar9OCNu7PZ8HjROeuWd72dAcWRD68kJSFJ1DI2hqA94WiyvRlB0TCkJlInrQ2vHgQbFPHDOBXvqwrZb9TzRonUPqGgQN2bl676rvKVp8tm8biGqYyFAu1T8/C6FyuI7mkIyeJHn3MXLMQavukTO61o9UwQNxiO/m+j30u27tMjzaaSfeDXMRgpEvBoOVH3d/jlgYCs3vzOacHmtj55RQ9xBRK4XB+OAqwP+kyzndf7Q4P/SLK0trCuI4u9+OxPTOK7WaCn/y9PJVu0SuuRRxGfZ8+6ww/6gfC3YmlEJpY7dAm5e42HaivcJTVs7EbvZ+vAKEbp4ibTczIW0Gjvh94F6CFsCTdzJdkcgAfsadg9tuWCJSUv/M=
x-forefront-antispam-report: CIP:255.255.255.255; CTRY:; LANG:en; SCL:1; SRV:;
 IPV:NLI; SFV:NSPM; H:DS7PR20MB4671.namprd20.prod.outlook.com; PTR:; CAT:NONE;
 SFS:(13230022)(346002)(396003)(376002)(39850400004)(366004)(136003)(451199015)(86362001)(8936002)(41300700001)(478600001)(66476007)(5660300002)(64756008)(66446008)(966005)(66946007)(66556008)(4326008)(54906003)(76116006)(38100700002)(186003)(8676002)(316002)(52536014)(26005)(6506007)(2906002)(83380400001)(786003)(7696005)(38070700005)(55016003)(9686003)(33656002)(110136005)(71200400001)(122000001);
 DIR:OUT; SFP:1101
x-ms-exchange-antispam-messagedata-chunkcount: 1
x-ms-exchange-antispam-messagedata-0: =?us-ascii?Q?vPAR0xiU2oZD44gRlWJKdGHMm5yjWUb0L3VU2vw6Pe9ZF0lEDh0r/D8ouhl3?=
 =?us-ascii?Q?aSHzwdmUG6IJdDwT6mNE+EJhYsNjnVY6I8oM2oJkXIHj2lfrQ4q1+6R6CH5U?=
 =?us-ascii?Q?CS6Agm95Juo5PAW3cu/hmTynPyTN4t3ki/waUj3REzf1H//Xny5W/feVWcYY?=
 =?us-ascii?Q?lFZGGNYMXkNJCk6RLXRVwkaGx2ZzrEMYYxvX7wGvvO+cBY+DB7KWyxziCFmf?=
 =?us-ascii?Q?fgT08c36PDe1IT8Q9Ns6AHKlmwRTg81GfUbu/CuwZ/qweio8XWpNsVZ/hr2c?=
 =?us-ascii?Q?vqHl7ffLxtI4niUhXeKY5/BR+UV29UXooM9j8CwJH2WDVgSzHJQzv8aKPASk?=
 =?us-ascii?Q?tsDq+SkGCFDMgJuEgUZqJKfFgAunp8TFfeNZnV2qHNxFZvpuQJ6Gqr6ljSgp?=
 =?us-ascii?Q?Rb6WhF5XA+T5hYvoI8yAtfR3R7rKPWaLad69wNoa9ukY00J+ncs7pqysY7AT?=
 =?us-ascii?Q?fSKbKFZXcdv1gT9dKH8X6GKwc90l1SEMEzhmfMZMTZB2Hjb9IKOPIgayvTGZ?=
 =?us-ascii?Q?m8glRklJzfQDoL60nfkzGG8umHli9dS9pckNw4GVgNKwPPF5W591xUL9lpZL?=
 =?us-ascii?Q?rMDy2IXE1QgqUngA0RER4TiVkD+FnL6Pw27NDY6QdU1WRJ6gTcEL9C69z1Z4?=
 =?us-ascii?Q?D0mdfcKhelh8U52u+/SUJs8Ce4M2UomwZ2gktzcOQ4Fbxi5ORhJZehuZ4uaS?=
 =?us-ascii?Q?iScnhJTojxlhqR+5vr8OWdRU0Wc6bNirhthg8I5bFlOiJTdzNAHpXai4dtcY?=
 =?us-ascii?Q?qK2d7Gv3IIbq2YSbkfRKvB53cHQ2RCCtovFTJ6tr2twihFumw+lDqxEYMWg4?=
 =?us-ascii?Q?KxdpnqKjIBiOUJBhibTMYMCZPnONL8QBdxT/2WySxu+BlKt/gFRcy/oL39Rf?=
 =?us-ascii?Q?k7WI3xZqhVj17Smd+YA7q5W5dZz1n2E9QKf4ULBRjzNHVLMfCVQ6kbjtlDUj?=
 =?us-ascii?Q?K3ea1BeRcsdLkpDLkJvgg8/LTt97W5rUnc5Ye8loOKnk8QKolL6sMpbrjv3S?=
 =?us-ascii?Q?q3MXhGrXWDCqctHtx15nFEu1PAdy/dlncpthIM+8EuKsaYlJV+EYL/Y6veO3?=
 =?us-ascii?Q?feZ1wIzYkFJJAy//4t0YFloti9Y1t+s6FAVt7U18h0wAvkKFkGEy7/SiPDHm?=
 =?us-ascii?Q?S/GV4TxfCCRbp8G7W1chgEGnVDIwPTPm4FCVxRHSFvfuyP6x4hgLJ+jcrVl5?=
 =?us-ascii?Q?RNx4PVF94HmCj3Fn31FdKoG+Gu8irg2Gh1jBiil9qHqEdN1APGTghglYG1wJ?=
 =?us-ascii?Q?MMYSXKbMtlpjPMCDYiZpgA9vcfjZwH9LoAVg688dn0Y7DD5+WSBhoKf1qdoo?=
 =?us-ascii?Q?qWN/ZNpV3ZQ/ERaVgFWNuZz2FtA6IxXKCwK4Uq3cuq5avbMgrrUEgmBSpLaZ?=
 =?us-ascii?Q?QjsTtB7Hj5ChqvP1iffFgl8p9JjyJpjSXSPKWZFcZ98SKDoy7KkwFy7SB/ud?=
 =?us-ascii?Q?Afyp7oiG8aaRY86yis+qj4jt08CEm9ziq/FU7tqwGBr9cSLlYUc/w71W6usK?=
 =?us-ascii?Q?s5eQ63idGBR22Vw+szAvVRHWJtWfpXroqXOLIZiGRizHaP9U2sFAg6kEBWrb?=
 =?us-ascii?Q?tHcfmvQ16gd+hGbA9MY=3D?=
MIME-Version: 1.0
X-OriginatorOrg: stowers.org
X-MS-Exchange-CrossTenant-AuthAs: Internal
X-MS-Exchange-CrossTenant-AuthSource: DS7PR20MB4671.namprd20.prod.outlook.com
X-MS-Exchange-CrossTenant-Network-Message-Id: 9304fad3-32f7-4301-a67d-08dada1e46ec
X-MS-Exchange-CrossTenant-originalarrivaltime: 09 Dec 2022 19:47:59.9509 (UTC)
X-MS-Exchange-CrossTenant-fromentityheader: Hosted
X-MS-Exchange-CrossTenant-id: 3ab7a17c-a0ab-4280-b9f3-bb144eebee49
X-MS-Exchange-CrossTenant-mailboxtype: HOSTED
X-MS-Exchange-CrossTenant-userprincipalname: MMtzA4OGk9vIqo8KWdvvpzcocbb73T3jpT+Ah5Nprj1AWPvaHyCduWtiMiTNRi2r
X-MS-Exchange-Transport-CrossTenantHeadersStamped: CH0PR20MB3851
X-Mimecast-Spam-Score: 0
X-Mimecast-Originator: stowers.org
Content-Language: en-US
Content-Type: text/plain; charset=WINDOWS-1252
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 59882
Cc: "emacs-orgmode@HIDDEN" <emacs-orgmode@HIDDEN>,
 "59882 <at> debbugs.gnu.org" <59882 <at> debbugs.gnu.org>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

> Adding this to bug #59882
>=20
> "Michel Schinz" <michel@HIDDEN> writes:
>=20
> > Just for the record, I also ran into problems when installing Org 9.6
> > using Emacs' package system on top of an older version that came with
> > Emacs. If I tried to install it as usual (M-x list-packages, then
> > install the package from there), I had errors during compilation
> > related to `org-assert-version`, and then if I restarted Emacs, I
> > would get a fatal error in an unrelated package.
> >
> > I managed to solve that problem by:
> > 1. uninstalling Org 9.6 and exiting Emacs, 2. starting Emacs with -q,
> > 3. installing Org 9.6 from there (using M-x list-packages as usual),
> > 4. restarting Emacs.
>=20
> Interesting!  I tried this (essentially) and it worked for my case.  In m=
y case, I
> had a built-in Org-9.3 and I was trying to use list-packages to install O=
rg-9.6. I
> checked that using -q still added Org-9.3 to the load-path, but, since Or=
g
> wasn't loaded, the install via list-packages worked.
>=20
> The question is what's the proper way of doing this without '-q'?
>=20
> > I'm not sure this is related to your problem, or whether that helps
> > (but I hope it does)...
>=20
> I think it does.
>=20
> Side note:
>=20
> In my testing, I found a strange case where, in *scratch*, I get:
>=20
> (message "%s" org-version)
> ;; Error undefined
> ;; Do 'C-h v org-version'
> (message "%s" org-version)
> 9.3
>=20
> So, 'describe-variable' on org-version causes Org to be loaded?!?  [Cook,=
 Malcolm]=20

Yes.  See https://www.gnu.org/software/emacs/manual/html_node/elisp/Autoloa=
d-by-Prefix.html

But it will NOT be autoloaded if you first:

(clrhash  definition-prefixes)

HTH & YMMV,

Malcolm

> Why do I
> have a feeling this is related to this bug?

Yeah, I'm not sure what you consider the bug to be now.  Remind me?

>=20
> --
> David Masterson





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#59882; Package emacs. Full text available.

Message received at 59882 <at> debbugs.gnu.org:


Received: (at 59882) by debbugs.gnu.org; 9 Dec 2022 19:40:27 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Dec 09 14:40:27 2022
Received: from localhost ([127.0.0.1]:38057 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1p3jEQ-0002N5-Kl
	for submit <at> debbugs.gnu.org; Fri, 09 Dec 2022 14:40:26 -0500
Received: from us-smtp-delivery-170.mimecast.com ([170.10.133.170]:53201)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mec@HIDDEN>) id 1p3jEP-0002Mz-E2
 for 59882 <at> debbugs.gnu.org; Fri, 09 Dec 2022 14:40:25 -0500
Received: from NAM11-DM6-obe.outbound.protection.outlook.com
 (mail-dm6nam11lp2173.outbound.protection.outlook.com [104.47.57.173]) by
 relay.mimecast.com with ESMTP with STARTTLS (version=TLSv1.2,
 cipher=TLS_ECDHE_RSA_WITH_AES_256_GCM_SHA384) id
 us-mta-288--ddFJfVyPRenuYdu09v42w-2; Fri, 09 Dec 2022 14:40:22 -0500
X-MC-Unique: -ddFJfVyPRenuYdu09v42w-2
Received: from DS7PR20MB4671.namprd20.prod.outlook.com (2603:10b6:8:79::16) by
 MW5PR20MB4427.namprd20.prod.outlook.com (2603:10b6:303:1a2::22) with
 Microsoft SMTP Server (version=TLS1_2,
 cipher=TLS_ECDHE_RSA_WITH_AES_256_GCM_SHA384) id 15.20.5880.14; Fri, 9 Dec
 2022 19:40:17 +0000
Received: from DS7PR20MB4671.namprd20.prod.outlook.com
 ([fe80::a2ca:ae14:c459:fc31]) by DS7PR20MB4671.namprd20.prod.outlook.com
 ([fe80::a2ca:ae14:c459:fc31%4]) with mapi id 15.20.5880.016; Fri, 9 Dec 2022
 19:40:17 +0000
From: "Cook, Malcolm" <MEC@HIDDEN>
To: David Masterson <dsmasterson@HIDDEN>, Eli Zaretskii <eliz@HIDDEN>
Subject: RE: bug#59882: Multiple versions of Org in load-path problem
Thread-Topic: bug#59882: Multiple versions of Org in load-path problem
Thread-Index: AQHZCR5eZDy5J6kF+UuTmomTbhGr6K5ibgoAgADrUJ6AAD7mboAAAlGAgAC5oRiAADryuoAAm71hgAAHAgWAAKo6wA==
Date: Fri, 9 Dec 2022 19:40:17 +0000
Message-ID: <DS7PR20MB46714DA5A213137BCEF5A2D4BE1C9@HIDDEN>
References: <SJ0PR03MB54550C18409A8F2DF921A77DA21B9@HIDDEN>
 <87tu27jq7h.fsf@localhost>
 <SJ0PR03MB5455E1FA2C2887B0200CA8B6A21D9@HIDDEN>
 <SJ0PR03MB54559D5E6849C26AAF6CA044A21D9@HIDDEN>
 <87k032nyok.fsf@localhost>
 <SJ0PR03MB54550C7727696BE317D0DD13A21D9@HIDDEN>
 <39a5810d-75bc-4ddb-8722-703f762ed4de@HIDDEN>
 <SJ0PR03MB5455B76B26B72A11E965BFE2A21D9@HIDDEN>
 <835yel11x8.fsf@HIDDEN>
 <SJ0PR03MB54551B455DAEB936213DE09CA21C9@HIDDEN>
In-Reply-To: <SJ0PR03MB54551B455DAEB936213DE09CA21C9@HIDDEN>
Accept-Language: en-US
X-MS-Has-Attach: 
X-MS-TNEF-Correlator: 
x-ms-publictraffictype: Email
x-ms-traffictypediagnostic: DS7PR20MB4671:EE_|MW5PR20MB4427:EE_
x-ms-office365-filtering-correlation-id: a7a35249-99e0-4848-dfb4-08dada1d3330
x-ms-exchange-senderadcheck: 1
x-ms-exchange-antispam-relay: 0
x-microsoft-antispam: BCL:0
x-microsoft-antispam-message-info: F7m+llPe/4nHmzUicYrYsw/dLOTE3g00Yk57kqHm65ckwj6EWQSjUpU8GYVMzfif4tknSOXe9vf723j8wme0VRFiQNX2AzTIWzAoS0wg9ELLus4BQsACz42gFyghLs1KT7XScyNCcDBWWwL9v2RQkAHp+OrYeff95OkVKwCfGeB4fBGyoBMCJtZY7k83pi8ndeHtHGCH2MiR4DU+MgSe2XXEl7wMWdMNgxuSTlEdCXaPcvVAfyZHDqHBsitpnX8rmQBUXZ2moCDqLCc1Run8LBtN6mQ5RklY9R76fkvOxU4HlDYR2UKvt5mHnDDSEWwIpSl3ZyIYGPTFXHZ3vvE9+h6zvjtLrb7bijRHM36EzVB+8pDfUAqU63tZ2oGLWKezw0q/fKBXMnmVIHKOdTxYJ3W1gLSDlA7uueoH/AJnz96Y5cthpL7mZzSCkqOORA6aoMH1vtCUEqwom58qM8SoZYZgs/hddd2Cc24BK09VzOMUG+QOZuBR0Milw5l5kYkoIqZar+Z8+JNW32Yc+o4cYbhtSxm//HDRAs1jpWfGj5ViyTjG3NfEqIlVWkTyEAR4xjTKQKy4a2dANcC6ppYa5ngZMf7acYOX6zUntQcmXiw+kh8wyoLmxZtgDHDpXsmaUXoyzUjQus0bo0osOdtzxGcgj0M/QMLeEfdW/W0MTyGmKSRs3MqPLN8xni+8qfQXiDt+Wb0XmGPlnndOKYmGrNwFL6H8czkipjbMHbhuIgQ=
x-forefront-antispam-report: CIP:255.255.255.255; CTRY:; LANG:en; SCL:1; SRV:;
 IPV:NLI; SFV:NSPM; H:DS7PR20MB4671.namprd20.prod.outlook.com; PTR:; CAT:NONE;
 SFS:(13230022)(39850400004)(376002)(346002)(136003)(396003)(366004)(451199015)(26005)(786003)(86362001)(316002)(9686003)(76116006)(2906002)(54906003)(110136005)(83380400001)(33656002)(8936002)(55016003)(52536014)(5660300002)(66556008)(8676002)(66476007)(4326008)(64756008)(66946007)(66446008)(41300700001)(71200400001)(38100700002)(966005)(478600001)(122000001)(186003)(7696005)(6506007)(38070700005);
 DIR:OUT; SFP:1101
x-ms-exchange-antispam-messagedata-chunkcount: 1
x-ms-exchange-antispam-messagedata-0: =?us-ascii?Q?De9R+iUGSD0vRn2JNbQNEah9zX4WeHlm4/oblGjEcl/qUfAd5ZrEpAC+xbkX?=
 =?us-ascii?Q?oTdoBR/XbySLzKXD+zaYJxU3JqDnQNC1JcBt7wURJcML6Cema5NArN834pYD?=
 =?us-ascii?Q?4UDmm5IjGEqyvgn2MwHm6/zGydRIZ1Rzb80I/DVAK7YkbBz4ii6uTbKCyV8y?=
 =?us-ascii?Q?DM3Ys788hLVziR0vyoA96kCyutGXXnI6Pf3YhJUSr7H4US3NB4r5zQgFJ8wj?=
 =?us-ascii?Q?ra8kAh86g+Zi141M4hUDkxEFm69jet1tZid0eWAL18bUlT9A56RYx3CbN9dW?=
 =?us-ascii?Q?hsMPDZNmHCIt7k007xno2M9TAgLmQFcm+xnvkIIVxvRtcT9vakn8kbwDS7IV?=
 =?us-ascii?Q?GojABb4sMxp897naULSlyS0DRKAmpPGnqGZys1Q3BbdwfH7csEBtNKNCjiRu?=
 =?us-ascii?Q?m5YFgfdEgnOk5uaG2FnvUaFeLC6X0+TY4nOqKnCXBPxnp802QLo+AjURuPif?=
 =?us-ascii?Q?9U+2E1N8YlXoJTfQ5OIB8eTLl7OGWBBnkEZZNepKKDkS6FceaCKkkt/bsm28?=
 =?us-ascii?Q?tB11E/3x+f5ORf1b+tYuH5B9iEVePw5bXrBQJ3F/bkgdlEUNRfiw468FxyvR?=
 =?us-ascii?Q?e0F+W+3ptGwt8q1sdIsqEeXK4a9RHxOFNSmlW7hzJv02x3Nsv6f4bes4Cye2?=
 =?us-ascii?Q?+pF4i+aXlDB0W2zGIqi2wAljZ4fH71B4PrczX+8w0GCIs4r5FxdOPKqy6zRA?=
 =?us-ascii?Q?NAeEYO7KpSIVY3jKpZLQ4+YTfHmheV74mplsjJMU0Qk7zgyyofidXdqVpegE?=
 =?us-ascii?Q?tJsgZI/4fRkWhmPm/Fe0VxtMNE0KNcmBuwTkrpvzqNHke6E2eNVC55G8hDzW?=
 =?us-ascii?Q?abApE2nVst9EgIjgTyFCqahce+7Yz8siaPr0KkOzoLazu4Uicqbz6vK8q0WT?=
 =?us-ascii?Q?gh43L8I4DLeVViraxiykq1dZLShRSUuMu+e3+K3zxSq6P+xBK/tfriy5ZrBd?=
 =?us-ascii?Q?PozSh7Bn5KpFqQEcXakDrnmwB8TxORUELwVzsDxm5NxgIUi+3Chn8zV4jJc3?=
 =?us-ascii?Q?H2vHzeKNOG4EgODBEt4q7A4ud9zZfVNSOA1j7K97O0dTQbEF5BVOhVRJpU2v?=
 =?us-ascii?Q?CdTM6kY2Qfulmdd9XCfwOTcFPHKP38dK04H8TJQ0GCmRnpVVlie0SwcHiX+y?=
 =?us-ascii?Q?0C8NmVhPwc5TJyIUGFszF6xyA9Ne3TnRxbSh2kx2O60kS7EjzxQxmX4FJagj?=
 =?us-ascii?Q?MFomTm9T0c8v5/0ntVr8Do47DG2TwgchLwvQKGBRShHg3Y7OJKIHgzpK54fI?=
 =?us-ascii?Q?QeioCqliNPTyEYucLSHqzssaUFVcT7p0BFpwVtHC2fPFPvqBssOTZE/iElD2?=
 =?us-ascii?Q?lvhvLFVLcGR9c6VM/MNszxrg9hW3YoXZvD/0TlkA2sup/bAgWo1qZE0cgHMI?=
 =?us-ascii?Q?3j/ZITh1NWLUefYRVZ4w1Nr4nB/o8puHdDfoaEZwJ7wMwWCtuECrxQ1RSzX0?=
 =?us-ascii?Q?Y6Q+CqIj4N4TPn4d9leMlvGtFJHyfZzlGgL5CzJ8JmCtq5MrEpcIVEfyCwDS?=
 =?us-ascii?Q?FSDiMUjQeJhfnar09jjY+zvTwyHpK/K2x1dSyc/obhhU+RhNruG8JdxhVnEu?=
 =?us-ascii?Q?UUPAHunFh5tIdcAVSLM=3D?=
MIME-Version: 1.0
X-OriginatorOrg: stowers.org
X-MS-Exchange-CrossTenant-AuthAs: Internal
X-MS-Exchange-CrossTenant-AuthSource: DS7PR20MB4671.namprd20.prod.outlook.com
X-MS-Exchange-CrossTenant-Network-Message-Id: a7a35249-99e0-4848-dfb4-08dada1d3330
X-MS-Exchange-CrossTenant-originalarrivaltime: 09 Dec 2022 19:40:17.3625 (UTC)
X-MS-Exchange-CrossTenant-fromentityheader: Hosted
X-MS-Exchange-CrossTenant-id: 3ab7a17c-a0ab-4280-b9f3-bb144eebee49
X-MS-Exchange-CrossTenant-mailboxtype: HOSTED
X-MS-Exchange-CrossTenant-userprincipalname: 9MSqg0jf4diUuKgF7lhyqr1vV23zlOr0khgqYwHzFVyY1l8p+cCKYIwbfM9MDXzy
X-MS-Exchange-Transport-CrossTenantHeadersStamped: MW5PR20MB4427
X-Mimecast-Spam-Score: 0
X-Mimecast-Originator: stowers.org
Content-Language: en-US
Content-Type: text/plain; charset=WINDOWS-1252
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 59882
Cc: "emacs-orgmode@HIDDEN" <emacs-orgmode@HIDDEN>,
 "michel@HIDDEN" <michel@HIDDEN>,
 "59882 <at> debbugs.gnu.org" <59882 <at> debbugs.gnu.org>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

> Eli Zaretskii <eliz@HIDDEN> writes:
>=20
> >> Cc: emacs-orgmode@HIDDEN, 59882 <at> debbugs.gnu.org
> >> From: David Masterson <dsmasterson@HIDDEN>
> >> Date: Thu, 08 Dec 2022 13:56:03 -0800
> >>
> >> In my testing, I found a strange case where, in *scratch*, I get:
> >>
> >> (message "%s" org-version)
> >> ;; Error undefined
> >> ;; Do 'C-h v org-version'
> >> (message "%s" org-version)
> >> 9.3
> >>
> >> So, 'describe-variable' on org-version causes Org to be loaded?!?
> >
> > Why is it so surprising?  Is this the first time you see that a Help
> > command loads something to do its job?
>=20
> Yes, it is surprising.  How did Emacs know to load Org to find org-versio=
n?=20

This is provided for via emacs' autoload by prefix mechanism.

See:

https://www.gnu.org/software/emacs/manual/html_node/elisp/Autoload-by-Prefi=
x.html

What you observed will NOT happen if you first run:

=09(clrhash  definition-prefixes)

> didn't request it to by this action.  Or did it do a package-activate-all=
 (or
> similar) to ensure that everything was loaded?
> That would be overkill.  Sometimes the best answer is 'nil'.
>=20
> --
> David Masterson





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#59882; Package emacs. Full text available.

Message received at 59882 <at> debbugs.gnu.org:


Received: (at 59882) by debbugs.gnu.org; 9 Dec 2022 11:58:01 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Dec 09 06:58:01 2022
Received: from localhost ([127.0.0.1]:35589 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1p3c0v-0006qg-D1
	for submit <at> debbugs.gnu.org; Fri, 09 Dec 2022 06:58:01 -0500
Received: from eggs.gnu.org ([209.51.188.92]:47630)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1p3c0t-0006qa-P9
 for 59882 <at> debbugs.gnu.org; Fri, 09 Dec 2022 06:58:00 -0500
Received: from fencepost.gnu.org ([2001:470:142:3::e])
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1p3c0m-0001rX-OW; Fri, 09 Dec 2022 06:57:53 -0500
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnu.org;
 s=fencepost-gnu-org; h=References:Subject:In-Reply-To:To:From:Date:
 mime-version; bh=7xRR4AdD4XEKfi30XfxSQ2VDgY4pcJGnoYttGEYh1g8=; b=nX8fUbreSU1t
 72llQPNMoWyb1WytPR0HPFLCW1b/d+FKagAzUUF+22kCjzj/czukt6SbqUGetBHt+HK1bNQgqoT0P
 Q1iSprHOo3E+GR7VUt5HRAC+AM3FQsJfzMlTT0sOaitrS6Q0PHWtVXReNPJAj9PoS+keCripAzb8G
 3QlBFo9paGHQEREE5oJ/re8pwZF85VuBc0uzTTYFlkary5eNUmN3KDU6p/fbLNmGe0LMS7B2IogJM
 84Z2sYNe/9LBiG8C3YOUzlsU9ADNQUEIYYDdBtNhrq51B+Ku9NJetXFLyEoRXX3A/xDSN6DFH0B+R
 ObxK78oBJjUEduA7KSAr2Q==;
Received: from [87.69.77.57] (helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1p3c0h-0004Q4-Ct; Fri, 09 Dec 2022 06:57:48 -0500
Date: Fri, 09 Dec 2022 13:57:40 +0200
Message-Id: <83359o23ij.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: David Masterson <dsmasterson@HIDDEN>
In-Reply-To: <SJ0PR03MB54551B455DAEB936213DE09CA21C9@HIDDEN>
 (message from David Masterson on Thu, 08 Dec 2022 23:43:05 -0800)
Subject: Re: bug#59882: Multiple versions of Org in load-path problem
References: <SJ0PR03MB54550C18409A8F2DF921A77DA21B9@HIDDEN>
 <87tu27jq7h.fsf@localhost>
 <SJ0PR03MB5455E1FA2C2887B0200CA8B6A21D9@HIDDEN>
 <SJ0PR03MB54559D5E6849C26AAF6CA044A21D9@HIDDEN>
 <87k032nyok.fsf@localhost>
 <SJ0PR03MB54550C7727696BE317D0DD13A21D9@HIDDEN>
 <39a5810d-75bc-4ddb-8722-703f762ed4de@HIDDEN>
 <SJ0PR03MB5455B76B26B72A11E965BFE2A21D9@HIDDEN>
 <835yel11x8.fsf@HIDDEN> 
 <SJ0PR03MB54551B455DAEB936213DE09CA21C9@HIDDEN>
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 59882
Cc: emacs-orgmode@HIDDEN, michel@HIDDEN, 59882 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: David Masterson <dsmasterson@HIDDEN>
> Cc: michel@HIDDEN,  emacs-orgmode@HIDDEN,  59882 <at> debbugs.gnu.org
> Date: Thu, 08 Dec 2022 23:43:05 -0800
> 
> Eli Zaretskii <eliz@HIDDEN> writes:
> 
> >> So, 'describe-variable' on org-version causes Org to be loaded?!?
> >
> > Why is it so surprising?  Is this the first time you see that a Help
> > command loads something to do its job?
> 
> Yes, it is surprising.  How did Emacs know to load Org to find
> org-version?  I didn't request it to by this action.  Or did it do a
> package-activate-all (or similar) to ensure that everything was loaded?
> That would be overkill.  Sometimes the best answer is 'nil'.

I don't think Emacs does package-activate-all.  But Help commands
frequently load packages to provide the documentation of the symbols
you ask about.  If this is surprising, then I suggest to get used to
it.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#59882; Package emacs. Full text available.

Message received at 59882 <at> debbugs.gnu.org:


Received: (at 59882) by debbugs.gnu.org; 9 Dec 2022 07:43:18 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Dec 09 02:43:18 2022
Received: from localhost ([127.0.0.1]:34345 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1p3Y2P-00048r-IO
	for submit <at> debbugs.gnu.org; Fri, 09 Dec 2022 02:43:17 -0500
Received: from mail-bn1nam02olkn2069.outbound.protection.outlook.com
 ([40.92.15.69]:36903 helo=NAM02-BN1-obe.outbound.protection.outlook.com)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <outlook_98C99531806B1C22@HIDDEN>)
 id 1p3Y2M-00048l-U2
 for 59882 <at> debbugs.gnu.org; Fri, 09 Dec 2022 02:43:16 -0500
ARC-Seal: i=1; a=rsa-sha256; s=arcselector9901; d=microsoft.com; cv=none;
 b=lFtsu+YAuaTjaysYzd0oKwxC2+bIV5NPMyZqSl8NwMryjzYrvRdqMxiadmlbrm6FJeJm1jmX04HdnsPIW4ZpmMSc93auhZEf/fnDKvxzwRgK/KsLT1eW8i6kZ7+C7RkL0YKSy85bi/fI8Ct4kk2tG6LBwX0OS47YCydDm9rbi9B6x57kWFevIqq3gox4fi5OkdeRNyTgcgwUDzCMwKteoQF4VqH91NZdyfmdT4Fqh+EI8eRKSJ7ZqNn6tNehfCDzbBslxQJ1NGajYOimJYHVtNZLRmC/R0d8JP7NjfbzcDgJtw2XcOIA6BmdzB8AtI+RhUY95lxao9GnOCBKVri8jw==
ARC-Message-Signature: i=1; a=rsa-sha256; c=relaxed/relaxed; d=microsoft.com; 
 s=arcselector9901;
 h=From:Date:Subject:Message-ID:Content-Type:MIME-Version:X-MS-Exchange-AntiSpam-MessageData-ChunkCount:X-MS-Exchange-AntiSpam-MessageData-0:X-MS-Exchange-AntiSpam-MessageData-1;
 bh=QqgEzJ5YIDosGtx9fVBs3IkPVgP3E/k0vPtiG76Xtjg=;
 b=E3jQO5RsC08oDfT4eUTPfRdpz1W7xCkHk/qpUNXf32DpthsmbqCJk5hAVIjOb6uWZxEoaC9f+IhL+Jip/e5giz20pRVkvuCFdGvjkab6zau5xxTTcRKqI4wumWR6zJbRET7reg+VUbt+B0jghzS83cIX193V129DACoUFd/lEArNmwXJy1zvy0QVrL9CcnAZYGcCgtcHKLxdOBRmCydrI5hr8ZZRknlmcSa7BBdYD3J2/NnPGADdCYvWP/7hj27sAAws8EynWtHvGZ3XBYr0kwnpqKCUwg2ndu6miS+GwGi27p/grHQUzVwkEMgXmNWsc7K+PCKMFdFe/C3MRUIlZg==
ARC-Authentication-Results: i=1; mx.microsoft.com 1; spf=none; dmarc=none;
 dkim=none; arc=none
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=outlook.com;
 s=selector1;
 h=From:Date:Subject:Message-ID:Content-Type:MIME-Version:X-MS-Exchange-SenderADCheck;
 bh=QqgEzJ5YIDosGtx9fVBs3IkPVgP3E/k0vPtiG76Xtjg=;
 b=L7GMB/yIbeuek6g+wQLvv2sLColLp9jqvBHyNL3kQD7Er55NVA6FDKkrF1yMRKmQ46hszrD7RY6WQQAOJoiJzfJMdMlEy1bbDufbOiiFnKpPhYHJCL1xiv96tlEbbIgyZu74PfX6SHt0b633Nldj9AwD11bUEBWu5V9o+ksTC3zGhzoSKvnSHKLeUIcWDhZFircUq/uiNTAbD/l56QWBui+UfgsdAljklP0CtPp5HuMrIUpe0U6im8OMIYz/XSk24FAdQ/gwGfCHH1tO7yabKhumzNzEJWC0EnluVXrELo6yUJw+qM3MgeB2AUSVo6lNUZ6u/fcjVIhjSvhroXX8eg==
Received: from SJ0PR03MB5455.namprd03.prod.outlook.com (2603:10b6:a03:27b::11)
 by PH0PR03MB5765.namprd03.prod.outlook.com (2603:10b6:510:40::7) with
 Microsoft SMTP Server (version=TLS1_2,
 cipher=TLS_ECDHE_RSA_WITH_AES_256_GCM_SHA384) id 15.20.5880.18; Fri, 9 Dec
 2022 07:43:08 +0000
Received: from SJ0PR03MB5455.namprd03.prod.outlook.com
 ([fe80::e016:84f7:daad:916e]) by SJ0PR03MB5455.namprd03.prod.outlook.com
 ([fe80::e016:84f7:daad:916e%3]) with mapi id 15.20.5880.016; Fri, 9 Dec 2022
 07:43:08 +0000
From: David Masterson <dsmasterson@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#59882: Multiple versions of Org in load-path problem
References: <SJ0PR03MB54550C18409A8F2DF921A77DA21B9@HIDDEN>
 <87tu27jq7h.fsf@localhost>
 <SJ0PR03MB5455E1FA2C2887B0200CA8B6A21D9@HIDDEN>
 <SJ0PR03MB54559D5E6849C26AAF6CA044A21D9@HIDDEN>
 <87k032nyok.fsf@localhost>
 <SJ0PR03MB54550C7727696BE317D0DD13A21D9@HIDDEN>
 <39a5810d-75bc-4ddb-8722-703f762ed4de@HIDDEN>
 <SJ0PR03MB5455B76B26B72A11E965BFE2A21D9@HIDDEN>
 <835yel11x8.fsf@HIDDEN>
Date: Thu, 08 Dec 2022 23:43:05 -0800
In-Reply-To: <835yel11x8.fsf@HIDDEN> (Eli Zaretskii's message of "Fri, 09 Dec
 2022 09:17:23 +0200")
Message-ID: <SJ0PR03MB54551B455DAEB936213DE09CA21C9@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.1 (gnu/linux)
Content-Type: text/plain
X-TMN: [3nZNrqzKEgYy9JNh0lwX421ijLqVmXyy/zJ7VIwNqfya5HL7c8ZL9pEVaZl7SiKX]
X-ClientProxiedBy: SJ0PR05CA0156.namprd05.prod.outlook.com
 (2603:10b6:a03:339::11) To SJ0PR03MB5455.namprd03.prod.outlook.com
 (2603:10b6:a03:27b::11)
X-Microsoft-Original-Message-ID: <87wn71qaye.fsf@penguin>
MIME-Version: 1.0
X-MS-Exchange-MessageSentRepresentingType: 2
X-MS-PublicTrafficType: Email
X-MS-TrafficTypeDiagnostic: SJ0PR03MB5455:EE_|PH0PR03MB5765:EE_
X-MS-Office365-Filtering-Correlation-Id: 7d5d7388-13d5-4122-b13c-08dad9b90378
X-Microsoft-Antispam: BCL:0;
X-Microsoft-Antispam-Message-Info: CSY/9raeAR8GQsUn20rfrqbEV8hwJorSQEhQkkHhUxGCArRfK187gkNpqkGWAKnqd+KnzZoGY0KCBisKMhYEGRUwaqNTHJJdkAYBmWUs/mKG/d2IDTXZI84hygorb5XoZhaBU+Co7rRRnduBkpXQq24jCkaKLsgByhMEUDTCRwEpAvfUL+UPVP4+rrD8oOVXyggUQxhYz1vkvLQ627D2h3hGayqIigHJZzw1HtVhusB66QrNgxrnMKPhyEuZWKlHZQ12Hmiiqb/oA7Rr61VXg0XvVx3hTzUAHYfJZpulp+oj4nqiAzptnQbXf/QatQOb0MNrVlFSr2ENsDnvMTKgxbOH2BSqDooNC4pah3p0i0ru7pX2GfQLyC8R7TmIB3X9fhYGwk2MFayCulhO8pWDe72yyiEOSz43HElk2JB1+3wKx0VR+yiRTjkIfJv4upgVWd+U9wTE8QxPJAuJfesHR696KtI/L5J7HT4h1G5htaisrDgZjYpz/AYCzL16yv8H1L8cGAjfOnRD80Z+MMxGs+XAQfnaFPbygHDaFgwrS43J4P4qL1BxgluF16RF8Ma/PIM9gWTrgrZNbYVWnyg7CsjilMZH2ORJ8oVF7dGiRZ2mMx1VWCijw1yAhQnXirbBMvTMc3N/fPY7FF51loENUQ==
X-MS-Exchange-AntiSpam-MessageData-ChunkCount: 1
X-MS-Exchange-AntiSpam-MessageData-0: =?us-ascii?Q?r5jbw/vZM7Sz/IR17rwEhCqU6p+g60zb71/5VE6PWYcNUd1UjT73RcfB15wj?=
 =?us-ascii?Q?4rpsP/lixCu85hogBzSpfuyn0yMtEnh141GvNq9KZxiO6U+ycfqRli4aoIzN?=
 =?us-ascii?Q?AOCgJVeD0IzXcIHEJQy57K16Fnj0fLrdpm7JQWI6Ft4gPjLVek2qoUl99gHv?=
 =?us-ascii?Q?hRPFum9NCPcrrq4GFHu/8BBnJH5cyxD+oFWyUQiXhj2u6tdDNTZiVqtSm1xq?=
 =?us-ascii?Q?oUabYq69B/lAZq8AX1NOxXYktBGtbHJepc6EIp2ka+Gs7EUBll22fsvEaeuO?=
 =?us-ascii?Q?fZ6tlgOVsx4WKxsWfDwPUTxWomd/x3bsWtLS1Voc8fIXhk6bTz7LJdUxI1He?=
 =?us-ascii?Q?wDvAw3MVR7uFd1Eji69NS9D3hWMwtALD0z4hGf3jt1hkkHcZxHwnZwKZf+ZP?=
 =?us-ascii?Q?vVQCGxEgHWyGWs3FawXOIX4Iexy3ZLKe5bq4S3RTeOX7hAAIRb1/GJOR2/1a?=
 =?us-ascii?Q?xRwZKtZFrWEdEkq9Tq1VcML5vUidl654cLdCJ4+/RpGRVu0bJBNJFvESiuhX?=
 =?us-ascii?Q?45hiWpnn1Y5+o5qlSGlSWpNiid17VynkhOjV6PfjSZn57OPgLA22dfdNawsU?=
 =?us-ascii?Q?ouzuizuHL0Ckb7n+1aoRYkF3v5ApLQ9Yh2GpjVPKxZPuSdZ5jk4LPKsc0znN?=
 =?us-ascii?Q?m23lyq020hwyl8nKuPA1YDwKklBzVyZrx23CMS8VehJnPTXfKxmaqkD1z+b1?=
 =?us-ascii?Q?qRwst2y+bv5lfwuJ047o2tFfD5r5qAu4MB09fL/CQnbyE+1iZnHKxB0P43ja?=
 =?us-ascii?Q?w9n9yiqUFD5jvudXvFfl+mF+3SM7ko6kDXci02Jkb52XHf+JJiLIlToOGggk?=
 =?us-ascii?Q?lwm07TjnZIN17g3rnXeiaX2l5q/INTugXxr92dH4Iah1mlbK2O34ltH0UFDt?=
 =?us-ascii?Q?r/GJCOPhb3MEKGtBDx93DxEm89ZMz7yLyA4rxgEJosnh+kcVOUpDoVJgB73Z?=
 =?us-ascii?Q?g2JE/N0HYWUkpRizxQq7+oLdeyVFjAum+WDOa67K1n4AhyLg1VV3LGX2d0pC?=
 =?us-ascii?Q?6Ex/zZJ4n9J40V4w9wP8vk58R8ak7M/+1ogEgUVEJvLFegmi0mSxx1PH9npl?=
 =?us-ascii?Q?Ob0WYyh0J19ve/7mMsGnLTk3tbe4t5W8bJ1HVHsgTjV3OX78woYKTwod/2Q/?=
 =?us-ascii?Q?w57ZGP2mXiRYJKhEmi71+47Ggub+3lizBp0fqEF0BA6zKxoJZ0rIwAs4Wl1R?=
 =?us-ascii?Q?KwXTg4iLROasCYXYLDxkwZqBU3ozmMX6DNgEJrmqWeYoP0ons0WHzp1nJIIk?=
 =?us-ascii?Q?MY/sTW7tyJ8f58mMprOFKLwXnRrxLOeryhABw9Y/qExMG+XgRYRGMm6JpwAu?=
 =?us-ascii?Q?GPXmP8KtXAPjAL9Kc8pXSGyHjX4+fSROHdA68yRZbeqr9vj6iM38G8tYAxP7?=
 =?us-ascii?Q?UaJfly3z9Ho3FYrDo+UnC/ZEh00T?=
X-OriginatorOrg: outlook.com
X-MS-Exchange-CrossTenant-Network-Message-Id: 7d5d7388-13d5-4122-b13c-08dad9b90378
X-MS-Exchange-CrossTenant-AuthSource: SJ0PR03MB5455.namprd03.prod.outlook.com
X-MS-Exchange-CrossTenant-AuthAs: Internal
X-MS-Exchange-CrossTenant-OriginalArrivalTime: 09 Dec 2022 07:43:08.2701 (UTC)
X-MS-Exchange-CrossTenant-FromEntityHeader: Hosted
X-MS-Exchange-CrossTenant-Id: 84df9e7f-e9f6-40af-b435-aaaaaaaaaaaa
X-MS-Exchange-CrossTenant-RMS-PersistedConsumerOrg: 00000000-0000-0000-0000-000000000000
X-MS-Exchange-Transport-CrossTenantHeadersStamped: PH0PR03MB5765
X-Spam-Score: 1.5 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview:  Eli Zaretskii writes: >> Cc: emacs-orgmode@HIDDEN,
 59882 <at> debbugs.gnu.org
 >> From: David Masterson >> Date: Thu, 08 Dec 2022 13:56:03 -0800 >> >> In
 my testing, I found a strange case where, in *scratch*, I get: >> >> (m [...]
 Content analysis details:   (1.5 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 1.0 FORGED_GMAIL_RCVD      'From' gmail.com does not match 'Received'
 headers
 0.2 HEADER_FROM_DIFFERENT_DOMAINS From and EnvelopeFrom 2nd level
 mail domains are different
 -0.0 SPF_HELO_PASS          SPF: HELO matches SPF record
 0.2 FREEMAIL_ENVFROM_END_DIGIT Envelope-from freemail username ends
 in digit (outlook_98c99531806b1c22[at]outlook.com)
 0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail
 provider (dsmasterson[at]gmail.com)
 -0.0 SPF_PASS               SPF: sender matches SPF record
 -0.0 RCVD_IN_DNSWL_NONE     RBL: Sender listed at https://www.dnswl.org/,
 no trust [40.92.15.69 listed in list.dnswl.org]
 0.0 FREEMAIL_FORGED_FROMDOMAIN 2nd level domains in From and
 EnvelopeFrom freemail headers are different
X-Debbugs-Envelope-To: 59882
Cc: emacs-orgmode@HIDDEN, michel@HIDDEN, 59882 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.5 (/)

Eli Zaretskii <eliz@HIDDEN> writes:

>> Cc: emacs-orgmode@HIDDEN, 59882 <at> debbugs.gnu.org
>> From: David Masterson <dsmasterson@HIDDEN>
>> Date: Thu, 08 Dec 2022 13:56:03 -0800
>> 
>> In my testing, I found a strange case where, in *scratch*, I get:
>> 
>> (message "%s" org-version)
>> ;; Error undefined
>> ;; Do 'C-h v org-version'
>> (message "%s" org-version)
>> 9.3
>> 
>> So, 'describe-variable' on org-version causes Org to be loaded?!?
>
> Why is it so surprising?  Is this the first time you see that a Help
> command loads something to do its job?

Yes, it is surprising.  How did Emacs know to load Org to find
org-version?  I didn't request it to by this action.  Or did it do a
package-activate-all (or similar) to ensure that everything was loaded?
That would be overkill.  Sometimes the best answer is 'nil'.

-- 
David Masterson




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#59882; Package emacs. Full text available.

Message received at 59882 <at> debbugs.gnu.org:


Received: (at 59882) by debbugs.gnu.org; 9 Dec 2022 07:17:43 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Dec 09 02:17:43 2022
Received: from localhost ([127.0.0.1]:34147 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1p3Xdf-0003pO-C2
	for submit <at> debbugs.gnu.org; Fri, 09 Dec 2022 02:17:43 -0500
Received: from eggs.gnu.org ([209.51.188.92]:40324)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1p3Xdd-0003pI-Ln
 for 59882 <at> debbugs.gnu.org; Fri, 09 Dec 2022 02:17:42 -0500
Received: from fencepost.gnu.org ([2001:470:142:3::e])
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1p3XdX-0007LH-Co; Fri, 09 Dec 2022 02:17:35 -0500
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnu.org;
 s=fencepost-gnu-org; h=References:Subject:In-Reply-To:To:From:Date:
 mime-version; bh=ySVERv42gNXuYxLpyZ/x5rM9dr8fhfQPCUmfseLDQDM=; b=q5gUDGzalLBR
 r3VpgToULJtXniInPI5O9LcqKinv/iDj9vdYpyBoNQbT8ABzeLFC/nb+lgR8GxUH51dWS3cYaGpN6
 s3RAvCCF1SjN0UHVGQTAIf1LCHZuCo1VpWlq+tMqQ6pydf72UAPzJopPr5aSHwOrjJKlTzy1Lgjct
 ZNyG0qAmIcpw6aWYMRHX0AdsKCMvEDwdvIJzJas2i5rpUjaHyPvCRzwdpEZxFbHiNhLAggliCMEQ8
 3Al9TO9YhcxQmnc2S56m3CjseWCo0XyA93qxLbr6nVKSEPIWv5ngcDbW0F0b2yTdsghzgh7LOPLRk
 WLAbmoyKifZ+KxSsk+NheA==;
Received: from [87.69.77.57] (helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1p3XdU-0004nD-5O; Fri, 09 Dec 2022 02:17:34 -0500
Date: Fri, 09 Dec 2022 09:17:23 +0200
Message-Id: <835yel11x8.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: David Masterson <dsmasterson@HIDDEN>
In-Reply-To: <SJ0PR03MB5455B76B26B72A11E965BFE2A21D9@HIDDEN>
 (message from David Masterson on Thu, 08 Dec 2022 13:56:03 -0800)
Subject: Re: bug#59882: Multiple versions of Org in load-path problem
References: <SJ0PR03MB54550C18409A8F2DF921A77DA21B9@HIDDEN>
 <87tu27jq7h.fsf@localhost>
 <SJ0PR03MB5455E1FA2C2887B0200CA8B6A21D9@HIDDEN>
 <SJ0PR03MB54559D5E6849C26AAF6CA044A21D9@HIDDEN>
 <87k032nyok.fsf@localhost>
 <SJ0PR03MB54550C7727696BE317D0DD13A21D9@HIDDEN>
 <39a5810d-75bc-4ddb-8722-703f762ed4de@HIDDEN>
 <SJ0PR03MB5455B76B26B72A11E965BFE2A21D9@HIDDEN>
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 59882
Cc: emacs-orgmode@HIDDEN, michel@HIDDEN, 59882 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> Cc: emacs-orgmode@HIDDEN, 59882 <at> debbugs.gnu.org
> From: David Masterson <dsmasterson@HIDDEN>
> Date: Thu, 08 Dec 2022 13:56:03 -0800
> 
> In my testing, I found a strange case where, in *scratch*, I get:
> 
> (message "%s" org-version)
> ;; Error undefined
> ;; Do 'C-h v org-version'
> (message "%s" org-version)
> 9.3
> 
> So, 'describe-variable' on org-version causes Org to be loaded?!?

Why is it so surprising?  Is this the first time you see that a Help
command loads something to do its job?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#59882; Package emacs. Full text available.

Message received at 59882 <at> debbugs.gnu.org:


Received: (at 59882) by debbugs.gnu.org; 9 Dec 2022 03:53:29 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Dec 08 22:53:29 2022
Received: from localhost ([127.0.0.1]:60930 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1p3US0-0001Fa-R5
	for submit <at> debbugs.gnu.org; Thu, 08 Dec 2022 22:53:29 -0500
Received: from mail-bn7nam10olkn2020.outbound.protection.outlook.com
 ([40.92.40.20]:46155 helo=NAM10-BN7-obe.outbound.protection.outlook.com)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <outlook_98C99531806B1C22@HIDDEN>)
 id 1p3OsG-0006Rc-OK
 for 59882 <at> debbugs.gnu.org; Thu, 08 Dec 2022 16:56:13 -0500
ARC-Seal: i=1; a=rsa-sha256; s=arcselector9901; d=microsoft.com; cv=none;
 b=HkVcm0TTwRF1EDzn7o2uclRDS+NHWkT46yKCY8gjkMi6rPi1oq9MFI/7TBm2EZWMnH1NNy+lNuc1OVvT+Ylyj6c2rmefg1eAK6A9UdTO29kQd0ZDtqwvWsimoADWNxqwdQeeItZWwQyqRPq5c2i/b6UZ0S/XsT4XfQE4+DdBBXtcG0InhDFTOhmBQotRyB36JLVMEVMsYy25DWYjZtg1+8fkBCmIJ9RJn1vaB/17+O9BUBz6K6ZzOXwAfwwGt96v5ndzd4ZtCMOLiOR9X1UJ8ozu6NSb9bZt9IXyqEztcpfIzRBN8nKQ7atMxz/vmC/DqUH/jQewv2JMvwMHsWSipA==
ARC-Message-Signature: i=1; a=rsa-sha256; c=relaxed/relaxed; d=microsoft.com; 
 s=arcselector9901;
 h=From:Date:Subject:Message-ID:Content-Type:MIME-Version:X-MS-Exchange-AntiSpam-MessageData-ChunkCount:X-MS-Exchange-AntiSpam-MessageData-0:X-MS-Exchange-AntiSpam-MessageData-1;
 bh=dz3p4lXZulTLuVZPTBwuMfA6iKNO0fl/SjFXefkafRM=;
 b=eUH/O76bXumzK5oo20GKAq/peQlbFywEY14mPkpAcbNDFlWGEV1dV1PyabzMwxIUn1GhtLUcKq2b6mYN44Sj30M8rGXQvdplch6YMItH0Wm990JpqgS8SwQwN6DOonZ/Cr54l0v3k5TZ7AgYUBfZT5Ih10Mjt9f9QKYTJBB32QT9a7IYhIENliiE57CVwZbnY6E9tPNYwOSU1lMvSW+++qWzQWZXsyN4q/bzPtC2ZaJ0rpJMsEyB2cm/Qg5fWLbKVfasbHLcd8fPiKPWy8XYSPFXZbg2sCcyKjavg3EEm49MkdiTfqdq8R4cjzzGju/z5yswcQKj2xD3g03wvgspHA==
ARC-Authentication-Results: i=1; mx.microsoft.com 1; spf=none; dmarc=none;
 dkim=none; arc=none
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=outlook.com;
 s=selector1;
 h=From:Date:Subject:Message-ID:Content-Type:MIME-Version:X-MS-Exchange-SenderADCheck;
 bh=dz3p4lXZulTLuVZPTBwuMfA6iKNO0fl/SjFXefkafRM=;
 b=WobGKHqY5Yx3BRgNlFmJUY7vM90PuxaZCQLmpwJ4AXipmSSNEsk55uooyQWd3rVPHFvoseh4759nUu2uWC31AmuuR6ilfePsWb9+SD6zkH6m078WIxdAwoFXgPSBGKbJ/MGlfFWd+2ibebV00+UM9RR8tmmT8VDzEQBtDF5ZdQ6iX4lqnJ9unb6DAwiYsbKLMOkUhqqWg+a17IaK7h5vg9i/a6fFT/AwVRY3V19AdaqTY/tp3wnBWnwTE2UYubj1sFS89+27VC37kdROwcK9svn0TIfGwUNyfpwsXGmbvmaShxiq5k0E3CAWxfDUhR7wdgB11Z2PiuWWNWSE0Ab9uQ==
Received: from SJ0PR03MB5455.namprd03.prod.outlook.com (2603:10b6:a03:27b::11)
 by CH2PR03MB5334.namprd03.prod.outlook.com (2603:10b6:610:92::13)
 with Microsoft SMTP Server (version=TLS1_2,
 cipher=TLS_ECDHE_RSA_WITH_AES_256_GCM_SHA384) id 15.20.5880.14; Thu, 8 Dec
 2022 21:56:05 +0000
Received: from SJ0PR03MB5455.namprd03.prod.outlook.com
 ([fe80::e016:84f7:daad:916e]) by SJ0PR03MB5455.namprd03.prod.outlook.com
 ([fe80::e016:84f7:daad:916e%3]) with mapi id 15.20.5880.014; Thu, 8 Dec 2022
 21:56:05 +0000
From: David Masterson <dsmasterson@HIDDEN>
To: "Michel Schinz" <michel@HIDDEN>
Subject: Re: Multiple versions of Org in load-path problem
References: <SJ0PR03MB54550C18409A8F2DF921A77DA21B9@HIDDEN>
 <87tu27jq7h.fsf@localhost>
 <SJ0PR03MB5455E1FA2C2887B0200CA8B6A21D9@HIDDEN>
 <SJ0PR03MB54559D5E6849C26AAF6CA044A21D9@HIDDEN>
 <87k032nyok.fsf@localhost>
 <SJ0PR03MB54550C7727696BE317D0DD13A21D9@HIDDEN>
 <39a5810d-75bc-4ddb-8722-703f762ed4de@HIDDEN>
Date: Thu, 08 Dec 2022 13:56:03 -0800
In-Reply-To: <39a5810d-75bc-4ddb-8722-703f762ed4de@HIDDEN> (Michel
 Schinz's message of "Thu, 08 Dec 2022 20:31:13 +0100")
Message-ID: <SJ0PR03MB5455B76B26B72A11E965BFE2A21D9@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.1 (gnu/linux)
Content-Type: text/plain
X-TMN: [trnxcCnnCJ9+hq24v9VfOXxQNcIFyfK37nXjrJmaZLLQBys2+z/rioakN8kbYWql]
X-ClientProxiedBy: SJ0PR03CA0098.namprd03.prod.outlook.com
 (2603:10b6:a03:333::13) To SJ0PR03MB5455.namprd03.prod.outlook.com
 (2603:10b6:a03:27b::11)
X-Microsoft-Original-Message-ID: <87ililef0s.fsf@penguin>
MIME-Version: 1.0
X-MS-Exchange-MessageSentRepresentingType: 2
X-MS-PublicTrafficType: Email
X-MS-TrafficTypeDiagnostic: SJ0PR03MB5455:EE_|CH2PR03MB5334:EE_
X-MS-Office365-Filtering-Correlation-Id: 5cd9f053-0a74-44a8-400e-08dad967012f
X-Microsoft-Antispam: BCL:0;
X-Microsoft-Antispam-Message-Info: FyuLn7sKqjP1wwKJEjfirWTOrqb1abpc/klt4joAnN3rcZzZcB2xIK0mKqfVnCEoaXQZvtPShiaBXx4up+pmvtdzPO2MICBEUE3WWeFoEpWtimxXP4IvgxNOen9NUF4WsQq8F9Sp+Hfil1pGStSQbjflOwsyS2bAIWOpKiFVmjrLeoEXgPKFKrnI88S4Wu6z0zO/cCWThAtv3BOqEVAbwYfzlIXzs5zql7NWrf8MmXGUP11jh8XWrFQxteQlh9ptTaMFxZmADXf7r7V+Pb+bYnwqxvDJO4d5stHb8rccG4JgY+EAz4UPULu+wALvs091dnaOs8j40NWTHoY3UdplcaJz6BlpaY/3vF6B7FUrcKN/AgeTVJGxybUAN21X9FZo1EFQewxkWWakfhkEU1RNab+IGe1vjyog5zjjBc9IXf0CTk4k1nM3nyjPZfF6rdNSf5fDjhmWrnrbFGOyOhUefbtMnuOZ4JKESO83Jip29Hh6XTe5kKytBA2P8yDJRPNTauqki6Ij/aZUsgaNqjDHEG+gwPiWhjmkUqGvzy2U6RbdP/lAxNFxZ6ZucnKCEyvu7L/3MNzGQ3BA3wb6dqTabi2ZFvoWtf2M06FrSfZ+j7YzbEapTUosQhiOd6h2unWS3WM+XYaGuIW+hf9ItI6e3QZiaS5NWS0GF9UT4p9zi+8=
X-MS-Exchange-AntiSpam-MessageData-ChunkCount: 1
X-MS-Exchange-AntiSpam-MessageData-0: =?us-ascii?Q?YyyCGjSVf7XHkwEmjxMCnJye9al9q86hT2zsX273mw5y26M5TAvjBm6fgAOo?=
 =?us-ascii?Q?riycrS6CzAOzoqhZhDgRSwEqwr5nzD1oya2lIpYF2ilreQZH7H0JKxf3mCDm?=
 =?us-ascii?Q?T+969VEwD/DG2p+9xqwIqXT/HjKS1lqQGF5lfBq2yPc9cTWLWMy51+2sbyom?=
 =?us-ascii?Q?0wcUlwROCVN0SKcE5hjlYSvX/GbAevYzLj5ojZ7MNJ9lNufhyVDMcg0Ubh+c?=
 =?us-ascii?Q?g0OdI2NCf5wZWH0S+T2TyFk4Rk3kmXgJ7F0VCm0eKR2FE947wpsgdaX7ZqT8?=
 =?us-ascii?Q?z8FejUwwU9GmGX1pmT/Nz1mqUDotil2AIHUvdMejjtpw6a0Xg35YVo8DB+GJ?=
 =?us-ascii?Q?VIC+iGeAmvSTK4Tyi0imN1A6FphHeXBUmzCtrkOYz4PF0EjR44xG7Wb5jDG4?=
 =?us-ascii?Q?UU4mse6g46nZtJ5D9mbnNCpudiBoe5o0mkALDk3IHN0gS5mqQZrVVsN5EEP0?=
 =?us-ascii?Q?RT2Yk+MI+f3gpylktf15/BMAag1zKRGmM4VHiqkrIhU78K34YbzysUNrqdCQ?=
 =?us-ascii?Q?BDzf4pDXItXpWAZCMIIbBQ+yrfQqZWydTYN9jDz3XeIPXbPYjDGDaEyT3c0k?=
 =?us-ascii?Q?MOnr4V4q7v4ioYKpP1Z9TNedX3dWocEYi9iztNu4Mev/0LLjgtWLvlwpf63y?=
 =?us-ascii?Q?e+6sIolufh08vr/8yyBL8N6IQodC711hhFDanXwiNVUuAX0TV8kAniSoapWP?=
 =?us-ascii?Q?582h+S28gY5we6JuYSxJmNMiCHh8vR6CmY/8LYQmdtxQiJaRKEf5wPXHoi+B?=
 =?us-ascii?Q?4DUNs++mWMzCMS4zGvW6J+7DmrtncBZ5+I3W3Yws3OFL2J6saivk5gYfmo7z?=
 =?us-ascii?Q?ilu3gFcuq0zpqiN/MqdSP55b31rg2ssGyCA0FIPAVrhwmU070oYp/PVLK4Ud?=
 =?us-ascii?Q?MM96mXmYs81Q0qiUjH4Uegk+HeomzB5qLg6Qa+8H54X5J5j82MpxzhPh17YZ?=
 =?us-ascii?Q?6roIlK8jp1w5zfMMcb88kNPaITcLqI/ZlgQBbK6VJO+bhCHssGLyKxajdh1m?=
 =?us-ascii?Q?iPb/pDlSwZTBHZU4aB2ckCRYXpp9wtaW9cgZbBCc7oSzRMDUewRamQawKhOh?=
 =?us-ascii?Q?FCJaoLD6S+5M9p89TqiqaAwV+IDqJ+pHIG77eunCx10tfQMFOnMTKGNp0tJU?=
 =?us-ascii?Q?hE6qNTdmBNrfAc8OSDk/PDWvTK3u2byIgd8CtIGrAbgl8QHxUSLlkAY/DEx8?=
 =?us-ascii?Q?gcv8YfdmX6KKr6xHANJaHbpjJ421okmBpKDx9Kt1JZnkgOZukiaSkl4myJGp?=
 =?us-ascii?Q?m+YZSU+L2tbAS61GkJ+83zZ2j/+dThobSW21Q0DtMo/i752XWeG1QO/YCCZN?=
 =?us-ascii?Q?jVe6De4opG+0Jg2uL4/ejA/bF3M6eejeTSCYQm1aI8RB/vLroX/My49/nj/N?=
 =?us-ascii?Q?mESzwVNHuRMFzP4yjmczatc3pXLR?=
X-OriginatorOrg: outlook.com
X-MS-Exchange-CrossTenant-Network-Message-Id: 5cd9f053-0a74-44a8-400e-08dad967012f
X-MS-Exchange-CrossTenant-AuthSource: SJ0PR03MB5455.namprd03.prod.outlook.com
X-MS-Exchange-CrossTenant-AuthAs: Internal
X-MS-Exchange-CrossTenant-OriginalArrivalTime: 08 Dec 2022 21:56:05.4215 (UTC)
X-MS-Exchange-CrossTenant-FromEntityHeader: Hosted
X-MS-Exchange-CrossTenant-Id: 84df9e7f-e9f6-40af-b435-aaaaaaaaaaaa
X-MS-Exchange-CrossTenant-RMS-PersistedConsumerOrg: 00000000-0000-0000-0000-000000000000
X-MS-Exchange-Transport-CrossTenantHeadersStamped: CH2PR03MB5334
X-Spam-Score: 1.5 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview: Adding this to bug #59882 "Michel Schinz" writes: > Just for
 the record, I also ran into problems when installing Org 9.6 > using Emacs'
 package system on top of an older version that came with > Emacs. If I tried
 to install it as usual (M-x list-pac [...] 
 Content analysis details:   (1.5 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 1.0 FORGED_GMAIL_RCVD      'From' gmail.com does not match 'Received'
 headers
 0.2 HEADER_FROM_DIFFERENT_DOMAINS From and EnvelopeFrom 2nd level
 mail domains are different
 -0.0 SPF_HELO_PASS          SPF: HELO matches SPF record
 0.2 FREEMAIL_ENVFROM_END_DIGIT Envelope-from freemail username ends
 in digit (outlook_98c99531806b1c22[at]outlook.com)
 0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail
 provider (outlook_98c99531806b1c22[at]outlook.com)
 -0.0 SPF_PASS               SPF: sender matches SPF record
 -0.0 RCVD_IN_DNSWL_NONE     RBL: Sender listed at https://www.dnswl.org/,
 no trust [40.92.40.20 listed in list.dnswl.org]
 0.0 FREEMAIL_FORGED_FROMDOMAIN 2nd level domains in From and
 EnvelopeFrom freemail headers are different
X-Debbugs-Envelope-To: 59882
X-Mailman-Approved-At: Thu, 08 Dec 2022 22:53:27 -0500
Cc: emacs-orgmode@HIDDEN, 59882 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.5 (/)

Adding this to bug #59882

"Michel Schinz" <michel@HIDDEN> writes:

> Just for the record, I also ran into problems when installing Org 9.6
> using Emacs' package system on top of an older version that came with
> Emacs. If I tried to install it as usual (M-x list-packages, then
> install the package from there), I had errors during compilation related
> to `org-assert-version`, and then if I restarted Emacs, I would get a
> fatal error in an unrelated package.
>
> I managed to solve that problem by:
> 1. uninstalling Org 9.6 and exiting Emacs,
> 2. starting Emacs with -q,
> 3. installing Org 9.6 from there (using M-x list-packages as usual),
> 4. restarting Emacs.

Interesting!  I tried this (essentially) and it worked for my case.  In
my case, I had a built-in Org-9.3 and I was trying to use list-packages
to install Org-9.6. I checked that using -q still added Org-9.3 to the
load-path, but, since Org wasn't loaded, the install via list-packages
worked.

The question is what's the proper way of doing this without '-q'?

> I'm not sure this is related to your problem, or whether that helps (but
> I hope it does)...

I think it does.

Side note:

In my testing, I found a strange case where, in *scratch*, I get:

(message "%s" org-version)
;; Error undefined
;; Do 'C-h v org-version'
(message "%s" org-version)
9.3

So, 'describe-variable' on org-version causes Org to be loaded?!?  Why
do I have a feeling this is related to this bug?

-- 
David Masterson




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#59882; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 7 Dec 2022 11:36:33 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Dec 07 06:36:33 2022
Received: from localhost ([127.0.0.1]:49821 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1p2sj2-0003Rt-WA
	for submit <at> debbugs.gnu.org; Wed, 07 Dec 2022 06:36:33 -0500
Received: from lists.gnu.org ([209.51.188.17]:51696)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <yantar92@HIDDEN>) id 1p2siy-0003Rd-HL
 for submit <at> debbugs.gnu.org; Wed, 07 Dec 2022 06:36:31 -0500
Received: from eggs.gnu.org ([2001:470:142:3::10])
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <yantar92@HIDDEN>)
 id 1p2siy-0004Nj-6i
 for bug-gnu-emacs@HIDDEN; Wed, 07 Dec 2022 06:36:28 -0500
Received: from mout01.posteo.de ([185.67.36.65])
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <yantar92@HIDDEN>)
 id 1p2sin-0003Cy-4D
 for bug-gnu-emacs@HIDDEN; Wed, 07 Dec 2022 06:36:27 -0500
Received: from submission (posteo.de [185.67.36.169]) 
 by mout01.posteo.de (Postfix) with ESMTPS id 42BF1240026
 for <bug-gnu-emacs@HIDDEN>; Wed,  7 Dec 2022 12:36:12 +0100 (CET)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=posteo.net; s=2017;
 t=1670412975; bh=oXG8/LSRLrn+C3pitiNx2QdsS88M9iCOKhys65p2GE4=;
 h=From:To:Subject:Date:From;
 b=a2HyNgZm67pZQV+k/r9yq9uvCEktF4jaheizgSwWrL24pcpFy2RN0xcHubVKzfX/V
 /meoDIxvbY4F0qUaMG/YgXSJdunWaEQtB2cGXg4Vvs8BXKQaqVw5StSGDCwysDFyx1
 lSeCd/dCVjCr5YglQrPEAlkwouaWVcf303LQUkM08v6CWsfmgeP+2lI44PnrFwCfZl
 0ftu0FIfp7gnG70BqxhgbIyyuBdASY+LuSG2YKjiFVKinodJCcRiDV8E3rjqME3JNy
 x6+l9jlqq5AuQRV/r58FfPMnLYYOR6v3AlFETnb1+Syx6aUzcwlJVZPYClKOnrPViz
 fuUOcfzRshaEw==
Received: from customer (localhost [127.0.0.1])
 by submission (posteo.de) with ESMTPSA id 4NRwGN1DLhz9rxN
 for <bug-gnu-emacs@HIDDEN>; Wed,  7 Dec 2022 12:36:11 +0100 (CET)
From: Ihor Radchenko <yantar92@HIDDEN>
To: bug-gnu-emacs@HIDDEN
Subject: 30.0.50; Compilation of ELPA packages during version upgrade (Org
 9.6 ELPA upgrade from older ELPA version)
Date: Wed, 07 Dec 2022 11:36:07 +0000
Message-ID: <87mt7zh2e0.fsf@localhost>
MIME-Version: 1.0
Content-Type: text/plain
Received-SPF: pass client-ip=185.67.36.65; envelope-from=yantar92@HIDDEN;
 helo=mout01.posteo.de
X-Spam_score_int: -20
X-Spam_score: -2.1
X-Spam_bar: --
X-Spam_report: (-2.1 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1, SPF_HELO_NONE=0.001,
 SPF_PASS=-0.001 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -1.3 (-)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.3 (--)

Hi,

I am writing as a follow-up of numerous errors reports on Org 9.6
upgrades.

Users commonly report issues upgrading Org mode via ELPA when an older,
non-built-in, version of Org is already installed and loaded.

The issue is well described in https://irreal.org/blog/?p=10996

People are commonly getting "invalid function `org-assert-version'",
which indicates compilation issue when `org-assert-version' macro is not
correctly recognized as a macro.

Similar errors have been reported in the past Org upgrades when we
introduced/changes some basic macros in Org.

I am not yet sure about the source of the error, but I suspect that it
might be something to do with package.el. May it be that M-x
package-install / package-reinstall does not unload the old package
versions upon installation? Or maybe there are some stale .elc files
lying around? Any other ideas?

P.S. Please, do not be diverted by the purpose of `org-assert-version'
macro. The origin of the error has nothing to do with it and could as
well happen with any other macro. It is just that we put this particular
macro into all the Org libraries now, making the problem obvious.

-- 
Ihor Radchenko // yantar92,
Org mode contributor,
Learn more about Org mode at <https://orgmode.org/>.
Support Org development at <https://liberapay.com/org-mode>,
or support my work at <https://liberapay.com/yantar92>




Acknowledgement sent to Ihor Radchenko <yantar92@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#59882; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Fri, 3 Feb 2023 12:30:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.